Airplay SDK > Airplay Art Tools Reference >

Airplay Art Tools Reference

Welcome to the Airplay Art Tools.

The Airplay Art Tools are part of the Airplay SDK. These Tools allow you to produce Amazing 3D Graphics, to create Fonts, and to organise all these assets into easy to manage projects. For brevity, the terms Tools and Airplay Tools are used throughout this documentation to refer to the Airplay Art Tools.

This document contains the following sections:

  • Introduction
  • Whats New
  • How to Use this Help
  • System Requirements
  • Installation
  • Introduction to the Airplay Art Tools
  • Quickstart
  • Airplay Studio Exporters
  • Airplay Studio Director
  • Airplay Studio Viewer
  • Airplay Studio Font Builder
  • Airplay Studio UI Builder
  • Collada Art data Converter
  • FAQ's
  • Tutorials
(c) 2009 Ideaworks Labs. All rights reserved.


Airplay Art Tools Reference: Introduction

Airplay Art Tools Reference > Introduction >

Introduction

Welcome to the Airplay Art Tools Reference. This guide is designed to help you learn and get the most out of the Airplay Art Tools.

The Airplay Art Tools are used to create and manage art assets for use within applications built using the Airplay SDK. Some of these tools work as plugins within 3D Modelling applications and others work as stand-alone programs. For more information on the Airplay Art Tools, see the Introduction to the Airplay Art Tools

Whats New

There are many new features, updates and fixes within this version of the Airplay Art Tools. To see whats new in this latest release, see the Whats New page

Using this Help File

For advanced users, or those new to the Airplay Art Tools, the How To Use This Help page gives information on the best pages to turn to for the answer to your query or a starting point for learning the tools.


Airplay Art Tools Reference: Whats New

Airplay Art Tools Reference > Whats New >

Whats New

The Airplay Art Tools contain many new features and fixes for past bugs. Many of these new features are listed below. Information about these can be found in the appropriate topics within this help file.

Exporters

  • An Importer has been added into the Exporters for 3D Studio Max and Maya. This allows previously exported files to be imported back into the application. This supports files, such as GROUP and GEO files.
  • New Versions of 3D Studio Max and Maya are now supported. The Airplay Art Tools are now supported on 3D Studio Max versions 8 to 2009 and Maya versions 7 to 2009.
  • XRefs contained within scenes in 3D Studio Max can now be exported.
  • Biped models within 3D Studio Max are now supported.

Director

  • The Source View has been changed into the Editor View, and now has a 'to data / to text' button to switch between the two views. The data view shows the data within a formatted view, and the text view shows the data as it is saved in the file. Data views are available for certain file types, and the text view is available for all file types. The Editor View also allows files to be edited within Director.

The Viewer

  • The Camera tab has been moved from the top of the Viewer window, to the right-hand size where the scene and show/hide tabs lie to allow for more options to be shown. These include the coordinates, rotation and field-of-view of the free camera.

Tutorials

  • Several New Tutorials have been added to the Tutorial Section. These can be found here.


Airplay Art Tools Reference: How To Use This Help

Airplay Art Tools Reference > How To Use This Help >

How To Use This Help

This help file contains the documentation related to the Airplay Art Tools. Each tool has a section explaining it's purpose, how it looks and how it works. There are several other sections, including installation instructions, tutorials and FAQs. Some of the elements are described in more detail below.

Quickstart

The Quickstart section has been included to give a quick summary for the most common tasks carried out using the Airplay Art Tools. These include links to the pages in the main sections, where a full explanation of the tasks is given. Links to tutorials that explain the task are also given. The Quickstart pages are useful for previous users that only require a small reminder about the steps for the task. To go to the Quickstart pages, click here.

The FAQ's

A collection of Frequently Asked Questions is included to show what problems other users have encountered. This is a good place to start when trying to diagnose a problem with a file or program, such as 'Why does my transparent texture have pink flecks in the transparent parts when viewing using the Viewer?', or 'Why does my 3D Modelling Package become sluggish when using the Exporters'. To view the FAQ's, click here.

The Examples

There are example files referenced throughout this help file. These are installed with the Airplay SDK and are located within the examples/ToolsExamples/ folder. To make it easier to view these files, it is suggested that a project is created within Director called toolsExamples so that any files can easily be created, viewed or modified.

The Tutorials

There are a selection of tutorials included at the end of this help file. The first section, the Beginners Tutorials, teach the basics of how to use the different elements of the Airplay Art Tools, such as setting up a project or performing a simple export. The remaining tutorials take the user through different processes that can be used to create and export more advanced art assets. To go to the Tutorials, click here.

To work on the tutorials, a project needs to be set up called toolsTutorials. The path for this project is examples/ToolsTutorials/ within the Airplay SDK installation directory.


Airplay Art Tools Reference: System Requirements

Airplay Art Tools Reference > System Requirements >

System Requirements

The Airplay Art Tools are installed as part of the Airplay SDK. The system requirements for the Airplay SDK are listed within the Airplay SDK reference, on the System Requirements page.

3D Applications

The Exporters are compatible with the following 3D Packages:

  • 3D Studio Max 8
  • 3D Studio Max 9
  • 3D Studio Max 2008
  • 3D Studio Max 2009
  • Maya 7
  • Maya 8
  • Maya 8.5
  • Maya 2008
  • Maya 2009

Note: The plugins are only compatible with the 32-bit versions of these software packages.

Other Software

An Art Package will be required to create texture files for adding to assets created in a 3D Application before using the exporters.


Airplay Art Tools Reference: Installation

Airplay Art Tools Reference > Installation >

Installation

The Exporters are installed automatically as part of the Airplay SDK install process. Before installing the Airplay SDK, make sure that all 3D Applications are closed.

If the Exporters were not installed automatically with the Airplay SDK, they can be individually installed when required. For more information on Manual Installation for 3D Studio Max and Maya, see the following links:

  • Installation for 3D Studio Max
  • Installation for Maya

Using the Exporters within 3D Studio Max

Utilities Tab in 3D Studio Max
  • A - Utilities Tab
  • B - Configure Button Sets button
  • C - More... Button

To access the Airplay Art Tools within 3D Studio Max, do the following:

  • Open 3D Studio Max
  • Select the Utilities Tab
  • Click the "More..." button to bring up a list of Utilities
  • Select the Airplay Studio Exporter from the list
  • Click OK. The Tools Rollout is now shown on the Utilities Tab

It is recommended that you add the Airplay Art Tools as a button on the Utilities tab for ease of use.

Configure Button Sets in 3D Studio Max
  • Click the "Configure Button Sets" button on the Utilities Tab
  • Select the Airplay Studio Exporter from the list
  • Drag this onto an empty button in the position required
  • Click OK.

Using the Exporters within Maya

The Plugin must be loaded before it can be called. Follow the instructions below to check that the plugin has been loaded successfully.

Plugin Manager in Maya
  • Open Maya
  • Open the Plugin Manager (Window > Settings/Preferences > Plugin Manager)
  • Ensure that the ASMaya7Exporter.mll plugin has both checkboxes ticked (the number in the plug-in name will differ for each version of Maya)
  • Click the "Close" button to close the window


Airplay Art Tools Reference: Installation for 3D Studio Max

Airplay Art Tools Reference > Installation > Installation for 3D Studio Max >

Installation for 3D Studio Max

Installing the Exporters Using Launchpad

The Exporters can be individually installed using the Launchpad application.

Launchpad - Installing Exporters
  • Open the Launchpad application from the start menu group for the Airplay SDK
  • Click the "Advanced Mode >>" button
  • Select the "Install Max Exporters" tab
  • Choose which Exporter to install and enter the correct path, or click the Browse button to select a path
  • Click the corresponding "Install" button

If this fails, then the Exporters need to be installed Manually.

Manually Installing the Exporters

If the Exporters have to be installed manually, they still require configuring as they would with an automatic install. Refer to the Installation page for more details.

3D Studio Max 8

If 3D Studio Max is installed in the default path (C:/Program Files/Autodesk/3dsmax8):

  • run the file <sdk_install>/tools/Exporters/Max/CopyMax8_0Exporter.bat to install the Exporter

If 3D Studio Max is not installed at the default path, do the following:

  • Copy ASMax8Exporter.dlu to <Max8Location>/plugins
  • Copy ASExpUI.dll to <Max8Location>/plugins
  • Copy exporter.txt to <Max8Location>/plugins
  • Copy metabase.txt to <Max8Location>/plugins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Max8Location>

3D Studio Max 9

If 3D Studio Max is installed in the default path (C:/Program Files/Autodesk/3dsmax9):

  • run the file <sdk_install>/tools/Exporters/Max/CopyMax9_0Exporter.bat to install the Exporter

If 3D Studio Max is not installed at the default path, do the following:

  • Copy ASMax9Exporter.dlu to <Max9Location>/plugins
  • Copy ASExpUIx9.dll to <Max9Location>/plugins
  • Copy exporter.txt to <Max9Location>/plugins
  • Copy metabase.txt to <Max9Location>/plugins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Max9Location>

3D Studio Max 2008

If 3D Studio Max is installed in the default path (C:/Program Files/Autodesk/3ds max 2008):

  • run the file <sdk_install>/tools/Exporters/Max/CopyMax2k8Exporter.bat to install the Exporter

If 3D Studio Max is not installed at the default path, do the following:

  • Copy ASMax2k8Exporter.dlu to <Max2008Location>/plugins
  • Copy ASExpUIx9.dll to <Max2008Location>/plugins
  • Copy exporter.txt to <Max2008Location>/plugins
  • Copy metabase.txt to <Max2008Location>/plugins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Max2008Location>

3D Studio Max 2009

If 3D Studio Max is installed in the default path (C:/Program Files/Autodesk/3ds max 2009):

  • run the file <sdk_install>/tools/Exporters/Max/CopyMax2k9Exporter.bat to install the Exporter

If 3D Studio Max is not installed at the default path, do the following:

  • Copy ASMax2k9Exporter.dlu to <Max2009Location>/plugins
  • Copy ASExpUIx9.dll to <Max2009Location>/plugins
  • Copy exporter.txt to <Max2009Location>/plugins
  • Copy metabase.txt to <Max2009Location>/plugins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Max2009Location>


Airplay Art Tools Reference: Installation for Maya

Airplay Art Tools Reference > Installation > Installation for Maya >

Installation for Maya

Installing the Exporters Using Launchpad

The Exporters can be individually installed using the Launchpad application

Launchpad - Installing Exporters
  • Open the Launchpad application from the start menu group for the Airplay SDK
  • Click the "Advanced Mode >>" button
  • Select the "Install Maya Exporters" tab
  • Choose which Exporter to install and enter the correct path, or click the Browse button to select a path
  • Click the corresponding "Install" button

If this fails, then the Exporters need to be installed Manually.

Manually Installing the Exporters

If the Exporters have to be installed manually, the shelf buttons will have to be added individually. After copying the files for the correct version of Maya, the following instructions describe how to create the shelf buttons.

Shelf Editor Window in Maya
  • Open Maya
  • Open the Shelf Editor (Window > Settings/Preferences > Shelves...)
  • On the shelves tab, create a new shelf and name it "AirplayStudio"
  • Click the "Save all Shelves" button and then Close the window
  • Make sure that the "AirplayStudio" shelf is selected. Open the Script Editor
  • Type "ASMayaExporter" (without quotes) into the script editor and choose File > Save Selected to Shelf, this is your Export Command
  • Type "ASMayaEdit" into the script editor and choose File > Save Selected to Shelf, this is your Edit Attributes Command
  • Type "ASMayaViewSelected" into the Command Line and choose File > Save Selected to Shelf, this is your View Selected Command
  • Type "ASMayaExclude" into the script editor and choose File > Save Selected to Shelf, this is your Exclude Editor Command
  • Type "ASMayaCheck" into the script editor and choose File > Save Selected to Shelf, this is your Pre-flight Check Command
  • Type "ASMayaImport" into the script editor and choose File > Save Selected to Shelf, this is your Import Command

Maya 7

If Maya is installed in the default path (C:/Program Files/Alias/Maya7.0):

  • run the file <sdk_install>/tools/Exporters/Maya/CopyMayaExporter.bat to install the Exporter

If Maya is not installed at the default path, do the following:

  • Copy <SDK install>/Tools/Exporters/Maya/ASMaya7Exporter.mll to <Maya7Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/ASExpUI.dll to <Maya7Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/exporter.txt to <Maya7Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/metabase.txt to <Maya7Location>/bin/plug-ins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Maya7Location>/bin
  • Open Maya
  • In the plugin manager (Window > Settings/Preferences > Plug-in Manager) tick both "loaded" and "auto load" for the ASMaya7Exporter.mll

Maya 8

If Maya is installed in the default path (C:/Program Files/Alias/Maya8.0):

  • run the file <sdk_install>/tools/Exporters/Maya/CopyMaya8Exporter.bat to install the Exporter

If Maya is not installed at the default path, do the following:

  • Copy <SDK install>/Tools/Exporters/Maya/ASMaya8Exporter.mll to <Maya8Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/ASExpUI.dll to <Maya8Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/exporter.txt to <Maya8Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/metabase.txt to <Maya8Location>/bin/plug-ins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Maya8Location>/bin
  • Open Maya
  • In the plugin manager (Window > Settings/Preferences > Plug-in Manager) tick both "loaded" and "auto load" for the ASMaya8Exporter.mll

Maya 8.5

If Maya is installed in the default path (C:/Program Files/Autodesk/Maya8.5):

  • run the file <sdk_install>/tools/Exporters/Maya/CopyMaya85Exporter.bat to install the Exporter

If Maya is not installed at the default path, do the following:

  • Copy <SDK install>/Tools/Exporters/Maya/ASMaya85Exporter.mll to <Maya8.5Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/ASExpUI.dll to <Maya8.5Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/exporter.txt to <Maya8.5Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/metabase.txt to <Maya8.5Location>/bin/plug-ins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Maya8.5Location>/bin
  • Open Maya
  • In the plugin manager (Window > Settings/Preferences > Plug-in Manager) tick both "loaded" and "auto load" for the ASMaya85Exporter.mll

Maya 2008

If Maya is installed in the default path (C:/Program Files/Autodesk/Maya2008):

  • run the file <sdk_install>/tools/Exporters/Maya/CopyMaya2k8Exporter.bat to install the Exporter

If Maya is not installed at the default path, do the following:

  • Copy <SDK install>/Tools/Exporters/Maya/ASMaya2k8Exporter.mll to <Maya2k8Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/ASExpUI.dll to <Maya2k8Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/exporter.txt to <Maya2k8Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/metabase.txt to <Maya2k8Location>/bin/plug-ins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Maya2k8Location>/bin
  • Open Maya
  • In the plugin manager (Window > Settings/Preferences > Plug-in Manager) tick both "loaded" and "auto load" for the ASMaya2k8Exporter.mll

Maya 2009

If Maya is installed in the default path (C:/Program Files/Autodesk/Maya2009):

  • run the file <sdk_install>/tools/Exporters/Maya/CopyMaya2k9Exporter.bat to install the Exporter

If Maya is not installed at the default path, do the following:

  • Copy <SDK install>/Tools/Exporters/Maya/ASMaya2k9Exporter.mll to <Maya2k9Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/ASExpUI.dll to <Maya2k9Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/exporter.txt to <Maya2k9Location>/bin/plug-ins
  • Copy <SDK install>/Tools/Exporters/Maya/metabase.txt to <Maya2k9Location>/bin/plug-ins
  • Copy <SDK install>/s3e/bin/libeay32.dll to <Maya2k9Location>/bin
  • Open Maya
  • In the plugin manager (Window > Settings/Preferences > Plug-in Manager) tick both "loaded" and "auto load" for the ASMaya2k9Exporter.mll


Airplay Art Tools Reference: Introduction to the Airplay Art Tools

Airplay Art Tools Reference > Introduction to the Airplay Art Tools >

Introduction to the Airplay Art Tools

The Airplay Art Tools are a collection of programs designed for creating and managing assets for use within applications built using the Airplay SDK. The Tools share information between themselves to ensure that duplicate information is kept to a minimum. This is particularly useful when working with large projects.

There are four tools that make up the Airplay Art Tools. These are:

  • The Exporters:

    The Exporters are used to convert the data from a 3D Modelling Package into a format that can be understood by an application built using the Airplay SDK. Characters, large Worlds and Animation can all be exported using the Exporters.

    For more information on the Exporters, see the An Introduction to the Exporters

  • Director:

    Director is used in the effective management of Projects and assets. Assets can be viewed and edited, reports of assets can be generated, and overall project settings can be created and modified.

    For more information on Director, see the An Introduction to Director

  • The Viewer:

    The Viewer is used to preview art assets that have been or are to be exported using the Exporters. The Viewer provides an environment that is as close as possible to that of an application built using the Airplay SDK, so providing an accurate preview as possible.

    For more information on the Viewer, see the An Introduction to the Viewer

  • The Font Builder:

    The Font Builder is used to create compatible fonts to be used within the Airplay SDK. A single GXFONT file created by the Font Builder, can contain multiple styles, colours and sizes of font.

    For more information on the Font Builder, see the An Introduction to the Font Builder


Airplay Art Tools Reference: An Introduction to the Exporters

Airplay Art Tools Reference > Introduction to the Airplay Art Tools > An Introduction to the Exporters >

An Introduction to the Exporters

The Airplay Studio Exporters are used to convert models and animations from the format inside a 3D package, into a format that can be understood by the Airplay SDK. Simple models, up to large worlds, and characters with skin, bones and animations are all supported.

The Exporters only work from a 3D modelling package such as 3D Studio Max or Maya. They are installed automatically into whichever modelling packages are chosen from the install menus. When the modelling package is loaded, the buttons and menus are already installed and require no further setup to run.

The Exporters also include several other plugins, the Exclude Editor, the Pre-Flight Check and the Importer. The Exclude Editor is used when deciding what elements to export, the Pre-Flight check runs a simulated export to check for errors, and the Importer can import previously exported files back into a 3D modelling package.

Quickstart

Quickstart: Using the Exporters

Tutorials

Tutorial: Using the Exporters

Related Pages

Exporting Assets

Frequently Asked Questions: Exporters


Airplay Art Tools Reference: An Introduction to Director

Airplay Art Tools Reference > Introduction to the Airplay Art Tools > An Introduction to Director >

An Introduction to Director

The Airplay Studio Director is a program used for managing large amounts of assets within a project. It uses a combination of views to display different types of files, such as image files or data files. Director is also linked to the Viewer, allowing compatible files to be opened within the Viewer from several of the Director Views.

Director can be used to edit files within the project or create new files. There are several views that can be used for editing, the Editor View gives a text view of the file, while the Details Views shows data from compatible files within a table format for easy editing. A Report View can be used to create a report about certain files, which can then be saved to a file for external editing. Data about files, such as names and paths can also be saved out to files using the Export File option on a directory.

Quickstart

Quickstart: Using Director

Tutorials

Tutorial: Projects

Tutorial: Using Director

Related Pages

Airplay Studio Director

Frequently Asked Questions: Director


Airplay Art Tools Reference: An Introduction to the Viewer

Airplay Art Tools Reference > Introduction to the Airplay Art Tools > An Introduction to the Viewer >

An Introduction to the Viewer

The Airplay Studio Viewer can be loaded from Director and is used to preview assets that have been exported using the Airplay Studio Exporters for use in an application built using the Airplay SDK. This program allows the user to check assets before they are incorporated into a final application, and can reduce the need for changes from problems such as texturing and lighting.

The Viewer can also be used to preview assets while in development in a 3D application such as 3D Studio Max or Maya. Assets can be viewed combined with other assets, such as using the correct camera to view a scene, even if the camera is located within a different file.

Quickstart

Quickstart: Using the Viewer

Tutorials

Tutorial: Using the Viewer

Related Pages

Airplay Studio Viewer

Frequently Asked Questions: The Viewer


Airplay Art Tools Reference: An Introduction to the Font Builder

Airplay Art Tools Reference > Introduction to the Airplay Art Tools > An Introduction to the Font Builder >

An Introduction to the Font Builder

The Airplay Studio Font Builder is an application used to create Font files that are compatible for use with the Airplay SDK. The Font Builder creates two types of files, a GXFONT file, which holds the description of the font and the Characters it contains, and a texture file, saved as a .tga, which contains the actual images of the Characters.

The Font Builder creates the files based upon a chosen font, font-style, size, colour, spacing and alignment. Using Sub Ranges within the Font allows different fonts, sizes and spacing to be used for different Characters whilst still only outputting one set of Font files. Any TrueType font can be used within the Font Builder, and Unicode Characters are also supported, but not all Unicode Characters are present in all TrueType fonts.

Quickstart

Quickstart: Using the Font Builder

Tutorials

Tutorial: Building a Font

Related Pages

Airplay Studio Font Builder

Frequently Asked Questions: The Font Builder


Airplay Art Tools Reference: Quick Start

Airplay Art Tools Reference > Quick Start >

Quick Start

The Quick Start section is designed to explain the key steps for carrying out the most common tasks using the Airplay Art Tools. For more detailed information about the tasks or programs listed, see the links in the related pages section on the bottom of each page.

  • Using the Exporters
  • Using Director
  • Using the Viewer
  • Using the Font Builder


Airplay Art Tools Reference: Using the Exporters

Airplay Art Tools Reference > Quick Start > Using the Exporters >

Using the Exporters

The Exporters are used to convert models and animations into a format that can be read by the Airplay SDK. There are many options available including different Export Types, a choice of saving location and project, and the ability to view the output of the export using the current settings before the actual export. Objects within the art file that are not required for export can be automatically excluded from export using the Exclude Editor.

  • Exporting an Asset
  • Excluding an Asset
  • Pre-Flight Check


Airplay Art Tools Reference: Exporting an Asset

Airplay Art Tools Reference > Quick Start > Using the Exporters > Exporting an Asset >

Exporting an Asset

Assets are Exported from a 3D Modelling Package using the Exporter. Before Exporting, all options need to be set up to ensure the data is saved in the correct format and location. A Pre-Flight Check can be performed before a full export to check for errors if required. For more information, see the Pre-Flight Check section.

Exporting Assets

To export assets, do the following

  • Select the assets that are required for export
  • Open the Exporters Dialog
  • Select the Correct Project
  • Select the Correct Export Type
  • Choose a name and location for the export
  • Add in any other required options
  • Click Export

Related Pages

Airplay Studio Exporters

Tutorial: Using the Exporters


Airplay Art Tools Reference: Excluding an Asset

Airplay Art Tools Reference > Quick Start > Using the Exporters > Excluding an Asset >

Excluding an Asset

Objects within an art file that are not required for export can be excluded using the Exclude Editor. Previously Excluded objects can be included again, by moving them from the excluded column to the included column using the arrows in the Exclude Editor.

Excluding an Asset in Maya

To Exclude an asset from Export using Maya, do the following:

  • Open the Exclude Editor by doing any of the following
    • Open the AirplayStudio Tools Menu, and choose the Exclude Editor Menu
    • Click the Exclude Editor button on the AirplayStudio Shelf
    • Type ASMayaExclude; into the Maya Command line / Script Editor
  • Select an object to exclude
  • Click the Exclude button
  • Repeat for any other objects required
  • Click OK

Excluding an Asset in 3D Studio Max

To Exclude an asset from Export using 3D Studio Max, do the following:

  • Open the Exclude Editor by choosing the AirplayStudio button from the Utilities Tab, and clicking the Exclude Editor button
  • Select an object to exclude
  • Click the Exclude button
  • Repeat for any other objects required
  • Click OK

Related Pages

Exclude Editor


Airplay Art Tools Reference: Pre-Flight Check

Airplay Art Tools Reference > Quick Start > Using the Exporters > Pre-Flight Check >

Pre-Flight Check

The Pre-Flight Check allows the user to check whether an export will encounter any problems before carrying out the export. Full or part exports can be performed with selected assets and selected options.

Pre-Flight Check in Maya

To run a pre-flight check in Maya, do the following

  • Open the Pre-Flight Check dialog by doing any of the following
    • Click on the Pre-Flight Check button on the AirplayStudio Shelf
    • Open the AirplayStudio Menu and choose the Pre-Flight Check option
    • Type ASMayaCheck; into the Maya Command Line or Script Editor
  • Pick options using the checkboxes or click the 'Check from Export Type' button to automatically tick options based on the Export Type
  • Click the 'Check!' button to perform the check

Pre-Flight Check in 3D Studio Max

To run a pre-flight check in 3D Studio Max, do the following

  • Open the Pre-Flight Check dialog by clicking on the Pre-Flight Check button on the AirplayStudio section of the Utilities Tab
  • Pick options using the checkboxes or click the 'Check from Export Type' button to automatically tick options based on the Export Type
  • Click the 'Check!' button to perform the check

Related Pages

Pre-Flight Check

(c) 2009 Ideaworks Labs. All rights reserved.


Airplay Art Tools Reference: Using Director

Airplay Art Tools Reference > Quick Start > Using Director >

Using Director

Director is used for organising large amounts of assets within a project. Files can be viewed and modified, either within Director, or by opening them into an External Editor. Director can be used to find out the relationship between assets, and whether assets are dependant on any other asset. This can be particularly helpful in removing obsolete files from a project.

  • Setting up a Project
  • Viewing Assets
  • Changing the Layout


Airplay Art Tools Reference: Setting up a Project

Airplay Art Tools Reference > Quick Start > Using Director > Setting up a Project >

Setting up a Project

Creating a new Project

To create a new project, do the following:

  • Go to the Project Menu and Choose 'Setup Project'
  • Click the 'Add' button at the bottom of the dialog
  • Enter a name for the Project and click OK
  • Select the location of the Project and click OK
  • Select a ResBuild style from the dropdown box if required
  • Click OK and the Project will be created and loaded as the current Project

Selecting an Existing Project

To select an existing project, do the following:

  • Go to the Project Menu and Choose 'Select Project'
  • Select a Project from the list

Related Pages

Airplay Studio Director

Tutorial: Projects


Airplay Art Tools Reference: Viewing Assets

Airplay Art Tools Reference > Quick Start > Using Director > Viewing Assets >

Viewing Assets

Viewing an Asset

Depending on the file type, there will be several View options for an asset. Right-Clicking on an asset displays the context menu where views can be chosen, file info is available and reports can be created.

  • Double Click the Asset - this will perform the default action for the file type
  • Right Click on the Asset, if there is a single option at the top of the list, this is the default action
  • Right Click on the Asset, select the View menu and choose a View

Related Pages

Airplay Studio Director

Tutorial: Using Director


Airplay Art Tools Reference: Changing the Layout

Airplay Art Tools Reference > Quick Start > Using Director > Changing the Layout >

Changing the Layout

Changing the Layout

All of the views within Director can be moved to any of the different panels. This is simply done by dragging and dropping the item where required. The right click Context Menu can be used to change which panel future views should be loaded within.

Director Layouts can be saved and loaded so they can be used again. This makes it easy to have different layouts to do different tasks. The default layout can also be loaded. This is located in tools > AirplayStudioDirector > data > VLayoutShared.svl within the Airplay Installation Directory.

Saving a Layout

  • Click File > Save Layout...
  • Enter a file name and a location for the layout
  • Click Save

Loading a Previously Saved Layout

  • Click File > Load Layout...
  • Select a layout file to load
  • Click Open

Related Pages

Airplay Studio Director

Tutorial: Using Director


Airplay Art Tools Reference: Using the Viewer

Airplay Art Tools Reference > Quick Start > Using the Viewer >

Using the Viewer

The Viewer is used to preview art assets before they are included within an application to help identify bugs and to make sure the assets display or run as intended. The Viewer can be opened from Director, or directly from a 3D modelling application such as 3D Studio Max or Maya.

  • How to View Assets
  • Viewer Controls


Airplay Art Tools Reference: How to View Assets

Airplay Art Tools Reference > Quick Start > Using the Viewer > How to View Assets >

How to View Assets

Viewing an Asset from Director

To view an art asset from Director, do either of the following:

  • Double-click the desired asset
  • Right-click the asset and select 'View in Viewer'

Viewing an Asset from 3D Studio Max

To view an art asset in 3D Studio Max, do the following:

  • Select the desired asset
  • Click the Airplay Studio Exporter button on the Utilities Tab
  • Click 'View Selected' on the rollout

Viewing an Asset from Maya

To view an art asset in Maya, do the following:

  • Select the desired asset
  • Either:
    • Click AirplayStudio Tools > Airplay Studio: View Selected In Viewer
    • Click the View Selected button on the AirplayStudio Shelf
    • Type 'ASMayaViewSelected' into the script editor or command line in Maya

To exit the Viewer, click File > Exit

Related Pages

Airplay Studio Viewer

Tutorial: Using the Viewer


Airplay Art Tools Reference: Viewer Controls

Airplay Art Tools Reference > Quick Start > Using the Viewer > Viewer Controls >

Viewer Controls

The Viewer is controlled using a combination of keyboard and mouse controls. The most common of these keys are shown below. For more information, see the Default Controls section.

Camera Movement

Rotate View Keys Zoom View Keys Pan View Keys

Alt + Left Mouse Button - Move the Mouse to Rotate around the focal point

Alt + Right Mouse Button - Move the Mouse up or down to zoom in or out on the focal point

Alt + Mouse Wheel Press - Move the Mouse to pan the view

WSAD Camera Movement Keys
  • W - Move Camera Forwards
  • S - Move Camera Backwards
  • A - Move Camera Left
  • D - Move Camera Right

Asset Rotation Keys

Object Rotation Keys
  • Up Arrow - Rotate Model Around X Axis Clockwise
  • Down Arrow - Rotate Model Around X Axis Anticlockwise
  • Z - Rotate Model Around Y Axis Clockwise
  • C - Rotate Model Around Y Axis Anticlockwise

Preset View Keys

  • 1 - Frames Model in Back View
  • 2 - Frames Model in Top View
  • 3 - Frames Model in Left View
  • 4 - Frames Model in Right View
  • 5 - Frames Model in Bottom View
  • 6 - Frames Model in Front View

Related Pages

Airplay Studio Viewer

Tutorial: Using the Viewer


Airplay Art Tools Reference: Using the Font Builder

Airplay Art Tools Reference > Quick Start > Using the Font Builder >

Using the Font Builder

The Font Builder creates Fonts that can be used within an application built using the Airplay SDK. Two files are created, a GXFONT file, which is a description of the font, and a .TGA file, which is the texture that is displayed on-screen. A Font can also be loaded from a file so that it can be modified.

  • Creating a New Font
  • Working on an Existing Font


Airplay Art Tools Reference: Creating a New Font

Airplay Art Tools Reference > Quick Start > Using the Font Builder > Creating a New Font >

Creating a New Font

To create a new Font:

Choosing a Font

  • Click the "Select..." button at the top of the Input Section
  • Select the required font, font size, and font style
  • Click OK

Adding in Extra Characters

  • Extra Characters can be added by typing directly in to the Characters field
  • A Unicode range can be added by selecting the range and clicking the "Add" button
  • To remove any duplicates, click the "Optimise" button

Adding Sub Ranges

  • Add any sub ranges required in the font using the "Add" button and specifying the Characters required
  • Click OK
  • Select the sub range in the "Sub Ranges" field and add any options required for this sub range

Viewing the Font

  • View the font in the Output Window by clicking the "Redraw" button to see the font
  • If a character is selected, it will be drawn in the Character window
  • After any changes, click the "Redraw" button to update the view

Setting the Font Colour

  • Set the colour of font by typing an RGB value into the colour fields, or by clicking the "Select..." button and choosing a colour from the palette

Saving the Font

  • Type a file name and location into the "Save Path" field, or click the "Browse..." button and select a file name and location
  • Select whether to save the GXFONT file, the .TGA file or both
  • Click the "Create" button

Related Pages

Airplay Studio Font Builder

Tutorial: Building a Font


Airplay Art Tools Reference: Working on an Existing Font

Airplay Art Tools Reference > Quick Start > Using the Font Builder > Working on an Existing Font >

Working on an Existing Font

The Font Builder allows previously created Fonts to be modified and re-saved. A GXFONT file is required for this; a Font cannot be loaded using a .TGA file.

Loading a Font

  • From the File Menu, select "Load", or click the "Load" button in the "Saving and Loading" section
  • Choose the required file, this must be a GXFONT file, not a .TGA file
  • Click OK

Making Changes

  • Make any changes required to the font. Loading another font without saving the current font will lose any changes to the current font

Saving the Font

  • Choose where the file should be saved, or overwrite an existing file
  • Make sure that if it overwrites an existing file(s), that these files are not open in any other applications
  • Click the "Create" button to save the font

Related Pages

Airplay Studio Font Builder

Tutorial: Building a Font


Airplay Art Tools Reference: Airplay Studio Exporters

Airplay Art Tools Reference > Airplay Studio Exporters >

Airplay Studio Exporters

The Airplay Studio Exporters are used to save out data from a 3D Modelling Package into a format that can be used by the Airplay SDK. This includes saving the models, textures and animations from the scene. When using the Exporters, there are some settings that are required for different types of objects, these are generally set using the Exporter Editor. Options for the Export can be set within the Exporter dialog, including the type of export to be performed and the location to save the data.

The Exporter comes with several extra add-ons. These include the Pre-Flight check, which tests whether an export can be successfully run without actually performing an export, and the Importer, which allows previously exported data to be imported back into a 3D Modelling Package.

  • Introduction to the Exporters
  • Exporting an Asset
  • Models
  • Materials
  • Animations
  • Export Types
  • Exporter UI
  • Exporter Editor
  • Exclude Editor
  • Pre-Flight Check
  • The Importer


Airplay Art Tools Reference: Introduction to the Exporters

Airplay Art Tools Reference > Airplay Studio Exporters > Introduction to the Exporters >

Introduction to the Exporters

The Exporters are used to convert models built within a 3D modelling package, such as 3D Studio Max or Maya into a format that can be understood by the Airplay SDK. There is support for handling many different types of model, from characters with skins and bones to simple polygonal models. A copy of the Exporters is required for each version of 3D modelling package, for more information, see the Installation page

Opening the Exporters

The Exporters can be opened from within a 3D modelling package, which has had the Exporters installed. To open the Exporter within 3D Studio Max, select the Utilities tab, click the 'Airplay Studio Exporter button' to open the rollout, then click the 'Airplay Studio Exporter' button on the rollout to open the Exporter window. In Maya, select 'Maya Exporter' from the AirplayStudio Tools menu, click the 'Export' button on the AirplayStudio Shelf, or type 'ASMayaExporter' into the Maya Command line or Script Editor.

The Interface

The Exporter dialog is made up of a single window containing all the required options. There are also several dialog boxes that can be opened from this window. The other tools within the Exporter can be opened in separate windows, further information can be seen in their respective sections of this guide. For simplicity within the documentation, the Exporter window has been split into four sections, which can be seen below.

The Exporter interface
  • Project Options - These relate to the project containing the asset
  • Export Options - This is where an export type is chosen
  • Asset Options 1 - This section contains options such as name and location of the asset
  • Asset Options 2 - This section contains animation options and some advanced options

Related Pages

Quickstart: Using the Exporters

Tutorial: Using the Exporters


Airplay Art Tools Reference: Description of the Exporter Tools

Airplay Art Tools Reference > Airplay Studio Exporters > Description of the Exporter Tools >

Description of the Exporter Tools

The Exporter comes with several tools that are used to help when creating art assets. These tools are used for setting properties on objects, checking that the export will work successfully and importing in previously exported data.

Exporter Editor

The Exporter Editor is used to set options on objects that are required for export. These are the more advanced options that cannot be set within the 3D Modelling Package. Multiple objects can be chosen and options that are common across the selection can be changed once, for all the objects.

For more information, see Exporter Editor section.

Exclude Editor

The Exclude Editor is used to select which objects are to be exported and which are to be excluded. Multiple objects can be selected and moved at the same time when moving objects from one list to the other.

For more information, see Exclude Editor section.

Pre Flight Check

The Pre-Flight Check is a test export that allows any problems to be found and corrected before performing a full export. All options that need to be set for export require setting before the Pre-Flight Check is run. Then, the actual objects to be tested can be selected in the Pre-Flight Check dialog before running the check.

For more information, see Pre-Flight Check section.

The Importer

The Importer is used to import previously exported models back into a 3D Modelling Package. This does not have to be the same package that the file was exported from. This is particularly useful when creating a world file, as all the pieces required need to be placed within the same file.

For more information, see The Importer section.


Airplay Art Tools Reference: The Process of Exporting

Airplay Art Tools Reference > Airplay Studio Exporters > The Process of Exporting >

The Process of Exporting

The list below shows the steps required for setting up and exporting assets. The Exporter Editor is used to set properties on objects to be exported, otherwise some objects may be exported incorrectly or not at all. Ensuring that options are correct before attempting to export can save large amounts of time or frustration later on that could easily have been avoided.

The first step is to create the model(s) required and add materials as normal. Models should all be of a mesh type (editable mesh in 3D Studio Max), nurbs or subdivision surfaces are not supported. Once all the models are finished, the following steps can then be completed.

The Exporter Editor

  • Set any properties in the Exporter Editor required for meshes. (See Mesh Properties)
  • Set any properties in the Exporter Editor required for materials. (See Material Properties)
  • Set any properties in the Exporter Editor required for animations. (See Animations)
  • Set Selection Sets to export, if required, as they are not automatically included. (See Selection Sets)
  • Set any other properties required.

The Exclude Editor

  • Set any pieces of the scene that are not to be exported using the Exclude Editor, and re-include any that are now required that were previously excluded. (See Exclude Editor)

The Exporter Dialog

  • Select the correct Project from the list or create a new Project. (See Project Options)
  • Select the Export type required. (See Export Options)
  • Choose a name for the asset. (if required). (See Asset Options 1)
  • Choose a location to save the assets. (See Asset Options 1)
  • Choose which objects to export, All, Selected or Visible. (See Asset Options 1)
  • Set any other properties required.
  • Click the View! button to preview what will be exported (this step may be ignored). Any errors generated will be shown in the log window. Close the Viewer when finished.
  • Make any changes to options or object properties (if required).
  • Click the Export Button


Airplay Art Tools Reference: Models

Airplay Art Tools Reference > Airplay Studio Exporters > Models >

Models

Models are the building blocks for all 3D applications. For general use, there are no special options that need to be set on models for them to be exported using the Exporters; options can be overwritten if required using the Exporter Editor. Selection Sets are not exported unless set up to do so, this is explained in the Selection Sets section.

  • Creating Optimum Models
  • Selection Sets
  • Character Assemblies
  • Level of Detail (LOD) Groups


Airplay Art Tools Reference: Creating Optimum Models

Airplay Art Tools Reference > Airplay Studio Exporters > Models > Creating Optimum Models >

Creating Optimum Models

There are several guidelines that should be adhered to when creating models for use within a program built in the Airplay SDK. These guidelines can help to create the most compatible models possible and can minimise time spent correcting these models later in the project.

Creating Meshes

Meshes should always be created using the smallest number of polygons possible. When building a mesh, due consideration should be given to how much it will figure in any scene. If a mesh is only ever to appear in the distant background of a scene, then adding small details would not be required. Any vertices that meet within a mesh should, if possible, be welded together, otherwise gaps can form which may become visible in the final application.

Any additional vertex information, such as unique vertex normals and unique vertex colours, increases mesh overheads. Sharing the normals will give the effect of a smooth surface with no hard edges and is the optimum way of exporting a model, but hard edges can be incorporated if required.

Double Sided polygons are not exported by default. If they are required within the model, then the material must be set up as double-sided using the options contained within the Exporter Editor. Any polygons which have more than four vertices, will be converted into polygons with four or less vertices when exported.

Transform History

Art packages store transform and pivot history, for this reason it may be necessary to freeze the pivot and transform history before an asset is saved. When the scale, position and rotation of a node have been finalised, then the transforms of that node should be frozen. An object should exist at the world origin unless it has an offset that must be observed in any scene in which it is referenced or to which it is imported. For example, if a set of meshes were created that lay on a circle, and are all equidistant from the central point, then it would be sensible to apply this offset from the world origin.

Naming and Sharing Assets

Where possible ensure that all unique assets have unique names. This means that it will be possible to share assets of the same name without any errors. This will result in significant savings in both performance and file size.

All assets should be created with a view to reusing them as much as possible. The Airplay SDK is built around this concept, and it expects to have resources passed to it that have already been loaded by other assets. If an asset is loaded from a group file that is set to be shared, any request for an asset of the same name will not result in that asset being re-loaded, it will however point to the asset that has already been loaded. For example, if there are several characters that use the same rigs, then the rigs can be given the same names; i.e., "genericRig" and animations can be shared across them. There could then be one animation called "walk" and this can be used by all the characters with a "genericRig".


Airplay Art Tools Reference: Creating Selection Sets

Airplay Art Tools Reference > Airplay Studio Exporters > Models > Creating Selection Sets >

Creating Selection Sets

Selection sets that have been created within an art package can be exported in a similar way to other objects. By selecting an object that is part of a selection set and opening the Exporter Editor, the set can be configured for export. Face, Edge and Vertex selection sets are supported, object selection sets are currently not supported. Selection Sets must also be of only one type, either vertex, edge or face.

An Example of a Selection Set

Configuring a Selection Set

For the Exporter to include the selection set in the export, it must be set up correctly. For this, a Set class must be attached and configured.

  • Select any object that exists within the selection set
  • Open the Exporter Editor. This will display a list of thumbnails from which you can select the relevant selection set.
  • Click the Add button opposite the Add Set field
  • Set the selection set class using the Class drop-down menu
  • Set the 'Export To' option using the Export to drop-down menu
  • Set the Add Set drop-down menu to be one of the following:
    • CSelSetFace
    • CSelSetEdge
    • CSelSetVert
  • Click the Add button
  • Set any of the other options required
  • Click OK to close the dialog and save the changes


Airplay Art Tools Reference: Character Assemblies

Airplay Art Tools Reference > Airplay Studio Exporters > Models > Character Assemblies >

Character Assemblies

Characters are made up of a skeleton of bones, covered with a skin. Usually a character is animated and thus may also include controllers and/or IK's to assist with movement. Characters are not exported as a different type to static models, instead there is an additional SKIN and SKEL file exported per character to hold the extra information. Animations are exported as ANIM files, as with any other type of animation.

Examples of Skeletons

Bones and Hierarchies

A skeleton can be made from up to 32 bones. Each of these bones must be attached together in a hierarchy, with one root bone as the parent. Any controllers or IK's that are attached to the bones will not be exported, but the effects that these have upon the bones will be simulated. To do this, a keyframe will be added to the bone where there is a keyframe on a controller or IK related to that bone.

The Skel Name is the name that is used for the model once it has been exported. This field within the Exporter Editor can be filled in on the root bone, but if it is not used, then the name of the root bone will be used for the model instead. The image below shows the difference between the Name of the Bone, and the field where the Skel Name is entered.

Adding the Skel Name

To change the skel name, do the following:

  • Select the Root Bone
  • Open the Exporter Editor
  • Click the Show/Hide Anim Overrides Group button to access the fields
  • Type the required name into the Skel Name field
  • Click OK

Skinning

A model can be skinned as normal using either the physique modifier (in 3D Studio Max) or the Skin modifier (3D Studio Max and Maya). The Exporters can support up to four influences per vertex on the skin, but it is advisable to keep it to one or two, as skinning can be, computationally, very expensive. If more than four influences are used on a vertex, then the first four will be normalised and any additional ones will be ignored. A record of any of these changes will appear in the Exporter log. There are no other options required for exporting skins.


Airplay Art Tools Reference: Level of Detail Groups

Airplay Art Tools Reference > Airplay Studio Exporters > Models > Level of Detail Groups >

Level of Detail Groups

A Level of Detail (LOD) Group allows different models to be used at different distances from the camera. For example, the detail within an object that can be seen close up is lost when the object is far away; therefore, there is no reason to draw the detail when the object is far away, so an alternative low-detail object can be drawn instead. By drawing a low-detail version of an object time and resources can be saved and this theory is often used in games. There can be up to 10 different models within a LOD group, but 3 or 4 is usually enough.

An Example of an Possible Level of Detail Model

Naming within the LOD Group

The names for the different objects within the group must follow the naming convention otherwise the different levels will not be picked up when exporting. The ending to the object name must also be in capitals, as the example shows below

  • The full resolution model is called 'object'.
  • The first LOD model is called 'object_LOD1'.
  • The second LOD model is called 'object_LOD2'.

For example, the full resolution model of a character is called 'man'. The first LOD is therefore called 'man_LOD1', the second LOD is called 'man_LOD2', the third called 'man_LOD3'.

Creating LOD Groups

Creating LOD Groups is slightly different between 3D Studio Max and Maya.

  • Create all of the LOD objects within the 3D Modelling Package
  • Name each LOD using the naming convention explained above
  • In 3D Studio Max, do the following:
    • Group the objects
    • Open the Utilities tab, click on 'More..' and choose the 'Level of Detail' rollout
    • With the group selected, click 'Create New Set'. The objects will then appear in the list in the correct order.

      • Creating a LOD Group in 3D Studio Max

  • In Maya, do the following:
    • Select the objects
    • Open the Edit menu, select, 'Level of Detail > Group'

      • Creating a LOD Group in Maya

The remainder of the instructions apply to both modelling packages

  • Ensure all the objects are in the correct order within the group
  • Select the group and set the LOD distances

    • Setting the LOD Distances

  • Ensure the group is selected, open the Exporter Editor
  • Set the Distance to Cull Value, this is the value where the object completely disappears from view

    • Setting Distance to Cull Values

  • Close the Exporter Editor
  • Click the 'View Selected' button to see the assets in the Viewer. Zoom in and out to check that the models work as intended and the distances are correct. The models can also be seen individually using the LOD buttons on the Model toolbar, or from the Scene tab.

    • Viewing LODs in the Viewer

  • Close the Viewer to return to the modelling package
  • Perform an Export as required


Airplay Art Tools Reference: Materials

Airplay Art Tools Reference > Airplay Studio Exporters > Materials >

Materials

The materials added to a model can make a simple coloured box turn into a lifelike representation of an object. The diffuse, ambient and emissive textures are exported automatically without the need for any special settings. The UV sets applied to the model also need no other settings.

Materials can also have more advanced properties, these can be set using the options for the material within the Exporter Editor. Options can be set including those for lighting calculations and rendering modes.

  • Adding Materials
  • Transparency
  • Palettisation
  • Multiple UV Sets
  • Vertex Colours


Airplay Art Tools Reference: Adding Materials

Airplay Art Tools Reference > Airplay Studio Exporters > Materials > Adding Materials >

Adding Materials

Materials are colours or textures added to an asset to create a more lifelike appearance. Textures can be created in an art package, such as Photoshop, and added to assets using a 3D modelling package. Maximum texture size varies across target devices, and large textures sometimes carry a penalty. For best results across the largest number of target devices textures should be kept 256x256 or smaller. In SW, the size of a texture affects how often it can be tiled. The absolute maximum size is 2048x2048 for SW, and implementation defined for OpenGL ES (the standard guarantees at least 64 - in practice, 1024 is the normal lower limit).

  • 4 bit BMP, palletised
  • 4 bit BMP, palletised, RLE
  • 8 bit BMP, palletised
  • 8 bit BMP, palletised, RLE
  • 16 bit BMP
  • 24 bit BMP
  • 4 bit PNG, palletised
  • 4 bit PNG, palletised, alpha
  • 8 bit PNG, palletised
  • 8 bit PNG, palletised, alpha
  • 24 bit PNG
  • 24 bit PNG, alpha
  • 16 bit TGA
  • 16 bit TGA, RLE
  • 24 bit TGA
  • 24 bit TGA, RLE
  • 32 bit TGA, alpha
  • 32 bit TGA, alpha, RLE
  • 4 bit GIF, palletised
  • 5 bit GIF, palletised
  • 6 bit GIF, palletised
  • 8 bit GIF, palletised

Setting Materials: 3D Studio Max

Texture Window - 3D Studio Max
  • Ambient Colour
  • Diffuse Colour
  • Emissive Colour
  • Ambient Texture (texture 1)
  • Diffuse Texture(texture 0)

Using the image above as a guide, set up the materials as required. If a texture is added, the corresponding colour will be ignored. For help with creating and applying textures, refer to the relevant help file for the 3D modelling package.

Setting Materials: Maya

Texture Window - Maya
  • Diffuse Colour
  • Ambient Colour
  • Emissive Colour
  • Diffuse Texture (texture 0)
  • Ambient Texture (texture 1)

If a material colour is required, only the anisotropic, blinn, hairtubeshader, lambert, phong, and phongE material types are compatible.

Using the image above as a guide, set up the materials as required. If a texture is added, the corresponding colour will be ignored. For help with creating and applying textures, refer to the relevant help file for the 3D modelling package.


Airplay Art Tools Reference: Transparency

Airplay Art Tools Reference > Airplay Studio Exporters > Materials > Transparency >

Transparency

When building a 2D or 3D environment within an application, there are times when transparency in textures is required. For example, instead of building an object that would require many vertices, such as a maple leaf, a texture of the leaf can be applied to a plane with the area surrounding the leaf set as transparent. When viewing this plane, the only part visible is the leaf, which allows the leaves to be created with only four vertices. Transparency is also useful when building textures such as fences, where large areas require being "see through" without the problems of creating holes within the model.

An example of how different layers involving transparency can be built up into the final image. This example uses chromakey transparency.

How Transparency Works

Transparency and the Airplay SDK

There are two ways of including transparency in textures within the Airplay SDK. Textures can either use an alpha channel, or they can use chromakey transparency. The supported colour for chromakey transparency is Magenta (255, 0, 255). Some examples of textures including chromakey transparency are shown below.

Creating a Transparent Texture

The steps below describe how to make a texture with chromakey transparency. When adding the Magenta, make sure it is the exact colour, as anything else will not show up as transparent.

  • Create a texture
  • Colour the transparent parts in Magenta (255, 0, 255)
  • Save the file in a compatible format
  • Use the texture as normal

Example

An example of using transparency within a modelling application is shown in the file transparencyexample in the examples/ToolsExamples/transparency directory within the Airplay SDK installation directory. These files can be opened using either 3D Studio Max or Maya. The files contain several examples of how chromakey transparency can be used, including a window and a pot plant. These files can be viewed in the Viewer from the modelling package, or exported and opened from Director. A copy of the exported files - GEOs, MTL and GROUP files - can be found in the data folder.


Airplay Art Tools Reference: Palettisation

Airplay Art Tools Reference > Airplay Studio Exporters > Materials > Palettisation >

Palettisation

Palettisation allows an asset to be reused by varying the appearance of its texture. When using indexed textures, you can make use of an optimisation that allows for a different texture to be used, without the overhead of actually including the entirety of the new texture when packaging up your application.

Palettisation works by having a 'base' indexed colour image, which contains a palette of colours that are displayed using the palette information in the texture. The palettes of subsequent textures can then be made to replace the 'base' texture's palette. This cuts down the install size of the application as each subsequent texture only needs to save its palette information (as the distribution of colours in the texture is held in the 'base' texture), in effect giving a new texture without the overheads of saving all the data to describe a completely new texture.

The door example below is used to show how different textures can have different colours. Each of the door images is shown with its colour palette so the similarities to the palette can be seen.

Texture Settings

There are several settings which must be set up correctly for palettised textures to work properly. These are:

  • The bit depth must be the same for the base and subsequent textures
  • The colour palettes must stay in the same order, so the colours can be mapped onto each other in the correct way.
  • Base texture must be named basename#.extension and subsequent textures must be named basename#newname.extension

Creating the Base Texture

  • Create an indexed colour texture (4bit or 8bit)
  • Save the file as basename#.extension

In the example above, the door is saved as a 4bit image called door#.bmp

Creating Subsequent Textures

Subsequent Texture 1
Subsequent Texture 2
  • Starting with the base texture, change the colours as required
  • Save the file as basename#newname.extension

In the examples above, both doors are 4bit images, one is called door#red.bmp and the other is called door#white.bmp


Airplay Art Tools Reference: Multiple UV Sets

Airplay Art Tools Reference > Airplay Studio Exporters > Materials > Multiple UV Sets >

Multiple UV Sets

Multiple UVs can be used when mapping more than one material to a particular object. An example of this would be to have a wall, textured with a tiled brick material, and a sign placed on the wall. To prevent having to make up an extra object with extra polygons, on which to place the sign, the sign texture can be placed straight upon the wall with different UVs used to place the sign correctly. The wall texture would be placed within the diffuse material slot, using the first set of UVs, and the sign texture would be placed within the ambient texture slot, using the second set of UVs.

Example

This simple example shows the uses of multiple UV sets. The floor texture on the diffuse channel uses the first UV set, and this texture is tiled to create the floor tiles effect. The multi-pass texture, being the blood smear, uses the second set of UVs to be placed singularly on the floor surface. This allows the two textures to be placed on the same surface, so that two separate surfaces do not have to be created. The result is shown in the image below.


Airplay Art Tools Reference: Vertex Colours

Airplay Art Tools Reference > Airplay Studio Exporters > Materials > Vertex Colours >

Vertex Colours

Vertex Colours are used to add an extra layer of colour onto an object. They can also be added on a per-point basis, which allows for greater accuracy. Vertex colouring is often used for adding lighting to an object, either using a single colour channel to get light and shadows, or using a three colour channel for full colour lighting. Another use for vertex colouring is to allow the reuse of textures, by creating a base texture and laying different vertex colours over the top to give the effect of different coloured textures.

Example of Vertex Colouring

There are two options that need to be set to ensure vertex colouring is configured as required. The shading mode is used for choosing between smooth shaded vertex colours, this is gouraud shading, and no shading between vertex colours, this is flat shading. The other option is for the Modulate Mode. This sets how many channels are to be used for the vertex colours. Either 'None' for no vertex shading, 'R' for a single channel, and 'RGB' for three channels. These options give the defaults that will be used when the objects are placed within an application. These defaults will be used unless they are overwritten within the code of the application.

Using Vertex Colouring

  • Set a material upon the object as normal
  • Add Vertex Colouring as required
  • Select the object and open the Exporter Editor
  • Ensure the material for the object is selected within the thumbnail list
  • Set the Shading Mode, 'Gouraud' for blended colours, and 'flat' for un-blended colours

    • Setting the Shading Mode

  • Set the Modulate Mode, 'None' for no colours, 'R' for a single colour channel and 'RGB' for three colour channels

    • Setting the Modulate Mode

  • Close the Exporter Editor
  • Continue exporting as normal


Airplay Art Tools Reference: Animation

Airplay Art Tools Reference > Airplay Studio Exporters > Animation >

Animation

Animations can be split into three sections, Character Animation, Non-Character Animation and UV Animation. Characters contain a selection of bones joined together and covered by a skin. A Character can be animated doing different 'routines', for example, a human character could have animations for walking, running, and sitting down. These can all be exported and used within a program which can switch between the animations according to some pre-defined condition.

Non-Character Animation involves the movement of a non-skeletal form. This could be a moving escalator or a TV picture. These animations can either be built using normal animation techniques, (creating keyframes), and exported in the same way as a Character Animation, or by using UV animation, which uses a texture to create the animation, in the same way as a flip-book operates.

  • Exporting Animations
  • Sub Anims
  • UV Animation


Airplay Art Tools Reference: Exporting Animations

Airplay Art Tools Reference > Airplay Studio Exporters > Animation > Exporting Animations >

Exporting Animations

Animations are exported in the same general way as other objects. Animations are stored in ANIM files, skins and skeletons of characters are stored in SKIN and SKEL files. This keeps any animations separate from the models. Non-character animation can also be exported, this creates the same style ANIM files as for characters, without exporting the SKIN or SKEL files.

Examples of an Animation

Character Animation

The Character model, including the skin and skeleton, is exported using the model export option within the exporter dialog. This exports the actual model data, not any animations. The animations are exported separately and saved as the ANIM file type.

Non-Character Animation

Animation which is not based upon a character, eg, without bones or skin, can still be exported using the Exporters. Before exporting the model, the model must be set as the root of the hierarchy, this imitates having a root bone in a skeleton. To do this, select the model and open the Exporter Editor. Within the 'Anim Overrides' group, the option 'Root of Hierarchy' needs to be ticked. Once this is completed, the model data can to be exported using the model export option, but with the hierarchy checkbox also ticked.

Exporting the Animations

To export animations do the following:

  • Open the file containing the animated character or other non-character animation
  • Open the Exporter Editor
  • Set the Export Type to 'anim'
  • Enter any other required options
  • Click Export
  • Repeat for any other animations


Airplay Art Tools Reference: Sub Anims

Airplay Art Tools Reference > Airplay Studio Exporters > Animation > Sub Anims >

Sub Anims

Sub Anims are used to export different animations for a certain part of character. For example, in the image below, the arm raises but the rest of the character stays the same. This can be saved out as a sub anim which allows it to be used at the same time as another animation, so the arm can be raised when the character is in a walking, running or standing still animation. This can cut down on the number of full animations required for a character, thus saving space.

Examples of a Subanim

To export a sub anim, do the following:

  • Make sure the full character has been exported before building a sub anim
  • Open the Exporter
  • Type the name of the bone at the root of the sub anim into the subanimroot field
  • Leave other options the same as were used for exporting other animations for the character
  • Click Export


Airplay Art Tools Reference: UV Animation

Airplay Art Tools Reference > Airplay Studio Exporters > Animation > UV Animation >

UV Animation

UV Animation is the moving of UV points across a static texture to give the effect of an animation. The delay between updating the position of the UV points is specified in terms of application updates. A 'cell' is the name given to the offset that is applied to the UVs. The size of the cell, and the number of cells within the texture can be specified, as can the time between updating the UVs' positions

Cell Animation

Cell Animation Example

Cell Animation uses a texture, split into rectangular cells to create the effect of an animated texture. The UVs 'jump' from one cell to the next, the time between each move counted in terms of application updates. The size, and number of cells can be customised, as can the time between the changes in the UV position.

The example above shows a texture which, when animated, shows each number in turn, repeating when the end is reached. To create this effect, the total length of the texture, divided by C (number of cells in a row) gives A (width of a cell). The total number of cells divided by C, gives the cell height (B). An appropriate period (time taken between cell moves) can then be chosen.

Scroll Animation

Scroll Animation Example

Scroll Animation is very similar to cell animation, except only one 'row' of cells is used. The width of the cell is often very narrow, such as 1 pixel, to allow for many cells within the row and to give smooth animation.

The example above shows the texture for a glow effect. To simulate the glow, the UVs are moved across the texture, repeating when reaching the end. To create this effect, the height of the cell (B) and the height of the texture will be the same, giving one row, and meaning that the number of cells across (C) and the total number of cells will be the same. The period, (time between UV moves), needs to be reasonably short to keep the animation smooth.

Options

The options below are set on the texture within the Exporter Editor, in a 3D modelling package. When the options are set, the animation can be viewed in the Viewer in the same way as any other asset.

The Exporter Editor - setting UV Animation options
  • Anim Cell Width - This is the width of each step taken through the texture
  • Anim Cell Height - This is the height of each step taken through the texture
  • Anim Cell Num Across - This is the number of cells in a row
  • Anim Cell Num - This is the total number of cells within the texture
  • Anim Cell Period - This defines the number of application updates made before moving on to the next cell (animation speed)

Creating a UV Animation

  • Create a suitable texture x cells wide and y cells high
  • Create an object in a 3d modelling package and apply the texture.
  • Adjust UVs appropriately to give the first cell of the animation
  • With the object selected, open the Exporter Editor
  • Select the material and set the required options
  • Close the Exporter Editor
  • Select the object and click the 'View Selected' button to view the animation in the Viewer

Example

An example of UV Cell Animation is shown in the 'jackinthebox' file in the examples/ToolsExamples/UV Animation folder within the Airplay SDK installation directory. This example shows an object with an animated texture of a jack-in-the-box jumping out of his box. An example for the use of Cell Animation of this type is on a model of a screen within a game. This could allow a short 'clip' of 'TV' to be shown on loop, which could be either part of background scenery, or an integral part of the storyline to the game.


Airplay Art Tools Reference: Export Types

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types >

Export Types

The Exporters are able to export many different types of data in different file formats. Each type of data can be specified using the different flags within the Exporter dialog, these include GEO, GROUP, ANIM and WORLD files.

There are several preset Export Types, these enable an asset, such as a Character, an entire World, or just a box to be easily and quickly exported in the best possible way. Before performing an export, see the Choosing an Export Type page to choose the best type of export for the particular task.

  • Choosing an Export Type
  • Model Export
  • Animation Export
  • Material Export
  • Scene Export
  • Level Export
  • World Export
  • Advanced Export Options


Airplay Art Tools Reference: Choosing an Export Type

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Choosing an Export Type >

Choosing an Export Type

The Exporters are configured using a set of flags that list which particular objects should be exported. To make exporting easier, several preset Export Types are available for the most common configurations of the flags. These are the Scene, Model, World, and Anim Exports.

The list below gives some examples of objects, or sets of objects, that are commonly exported. Each example lists the type or types of export required for successfully exporting the data.

Items to Note

  • If exporting only one animation with a model, a scene export can be used which will save out the model and the animation at the same time. This is particularly useful if the model and the animation are within the same file.
  • If including Animated Objects (not Characters) into an export of an Environment, make sure that the Root is specified for the object, and if creating a WORLD file, that the Animated Object has a dynamic World Class Type such as 'CDynamic'

Animated Character

When exporting an Animated Character, two export types are required, a Model Export which includes the skin, skeleton and textures, and Anim Exports for each animation required for the character. Saving out the information about the character only once and not with each animation avoids the duplication of data.

  • Export Character including skeleton and skin as a Model Export
  • Export each separate animation (usually from different files) as Anim Exports

Animated Object (not a Character)

An Animated Object does not have a skeleton or a skin that a Character would have but is animated. A Model Export is required to save out the mesh and texture data of the object, and Anim Exports are required for the animation. This is similar to exporting the Animated Character, but with a few option changes.

  • Specify the Root on the object within the Exporter Editor
  • Perform a Model Export with the hierarchy check-box ticked
  • Export each separate animation as Anim Exports (making sure options in the Notes above are also included)

Single Static Object

When exporting a Single Static Object, a Model Export is the easiest to use. This simply exports the object as a GEO file, accompanied by a MTL file and a GROUP file.

  • Export object using a Model Export

Single Static Environment

If an Environment has few or no repeated elements, and a .World file is not required, then a Scene Export is the most appropriate. Each object will comprise of a GEO and an MTL file, while a single GROUP file is exported, which links together all the other files.

  • Export environment using a Scene Export with the Transform Type set as 'World'

Static Environment with Duplicated Content Throughout

When creating an Environment with duplicated content, and a .World file is required, then a Level Export can be used which will allow each object to be used many times throughout all the environments whilst removing the need for duplicated data.

  • Set World Class Types for objects and instance throughout level
  • Export environment using a Level Export with the Transform Type set as 'Local'

Static Environments with Duplicated Content Throughout

When creating one or more Environments, a library of objects can be created which allows each object to be used many times throughout all the environments whilst removing the need for duplicated data.

  • Export all the objects that make up the Environments as a Scene Export with the Transform Type set as 'Local'
  • Set World Class Types for all objects
  • Save file
  • In a new file, import/reference the previously saved file
  • Arrange objects as required, removing any that are not required
  • Set any World Class Types that require changing
  • Perform a World Export

Material

A special Material Export is available which only creates MTL files. This can be useful for replacing materials or when creating user interfaces using the Airplay SDK.

  • Export materials using a Material Export


Airplay Art Tools Reference: Model Export

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Model Export >

Model Export

The Model Export is generally used when exporting single objects or Characters. This export does not include animation so it is particularly good for exporting Character Models with skins and skeletons. It can also be used when exporting small amounts of objects, as an alternative to the Scene Export.

When exporting Characters, ensure that all bones are skinned to the mesh if they are part of the hierarchy, even if they are not actually weighted to any vertex, otherwise the exporter will generate an error that there is a gap in the hierarchy.

The Exporter - Model Export

Files Created by a Model Export

  • GEO files - for each object in the scene
  • MTL files - for each object in the scene
  • SKEL files - for each character in the scene
  • SKIN files - for each character in the scene
  • GROUP file - one for the whole scene

Running a Model Export

To run a Model Export, do the following:

  • Open the Exporter dialog
  • Set current project (if not already correct)
  • Select Model Export from the Export Types drop-down box
  • Fill in the Asset Name field. This will become the name of the GROUP file created
  • Choose a 'Save to Location' path (relative to the Project Data Directory)
  • Set the 'Transform Type' to be Local
  • Set any other required options
  • Click the 'Export' button


Airplay Art Tools Reference: Animation Export

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Animation Export >

Animation Export

An Anim Export is used to export animation from a Character or other object. Each ANIM file contains a single animation for a single object. If there is more than one animation within a file, each will be exported as individual files. Animation files can be saved when using other export types, but when only exporting an animation, the Animation Export should be used.

The Multianim flag is used when exporting several animations at once. Normally when an animation is exported, it uses the name from the 'Asset Name' field for the first animation, and then the object's name for each subsequent animation. When the Multianim flag is checked, all the animations are exported using the style "objectname.anim".

The Exporter - Anim Export

Files Created by an Anim Export

  • ANIM file - for each animated object in the file

Running an Anim Export

To run an Anim Export, do the following:

  • Open the Exporter dialog
  • Set current project (if not already correct)
  • Select Anim Export from the Export Types drop-down box
  • Fill in the Asset Name field. This will become the name of the ANIM file created. If more than one file is created, this will be the name of the first file, subsequent files will use the object name
  • Choose a 'Save to Location' path (relative to the Project Data Directory)
  • Set the 'Transform Type' to be Local
  • Set any other required options
  • Click the 'Export' button


Airplay Art Tools Reference: Material Export

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Material Export >

Material Export

A Material Export is used to export materials separately from objects. This creates an MTL file which can be used within the project, either as a material for an existing object, or within an application built using the Airplay SDK. Materials can be used without models within the Airplay SDK as images for the user interface, such as menus and buttons.

The Material Export can be particularly useful for changing a material on an object. The material can be placed upon a proxy object and then exported giving a MTL file. This file can then be exchanged with the existing material file without any need to export the whole of the object again. This also means there is no need for the original art files if a material requires changing.

The Exporter - Material Export

Files Created by a Material Export

  • MTL files - for each material assigned to an object in the scene

Running a Material Export

To run a Material Export, do the following:

  • Open the Exporter dialog
  • Set current project (if not already correct)
  • Select Model Export from the Export Types drop-down menu
  • Fill in the Asset Name field. This will become the name of the MTL file created
  • Choose a 'Save to Location' path (relative to the Project Data Directory)
  • Set any other required options
  • Click the 'Export' button


Airplay Art Tools Reference: Scene Export

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Scene Export >

Scene Export

Scene Exports are the most versatile of the Export Types. They allow all the different types of content, from meshes to animation, to be grouped together for export. They are particularly useful when exporting a Character with only one animation, as this is all done together without the need for separate exports; or when creating Environments that require a 'library' file to be set up that can be used with many different WORLD files.

Scene Exports are to be used when exporting more than one object, which can include Animated Characters with skin and bones, and Non-Character animation, as well as any normal static meshes. An example of this would be a single Environment built within a single file. This could be exported as a normal (no added options) Scene Export creating files for each object and an overall GROUP file.

A WORLD file can be included into a Scene Export by ticking the .world checkbox, and setting up the objects in the scene with World Class Types. Adding a .world file to the export in this way should only be used if there is no duplicate content within the environment. If duplicate content is present, then a World Export should be performed separately. For more information on setting up World Class Types, see the World Export page.

The Exporter - Scene Export

Files Created by a Scene Export

  • GEO files - for each object in the scene
  • MTL files - for each object in the scene
  • SKEL files - for each character in the scene
  • SKIN files - for each character in the scene
  • ANIM files - for each animated object in the scene
  • GROUP file - one for the whole scene

Running a Scene Export

To run a Scene Export, do the following:

  • Open the Exporter dialog
  • Set current project (if not already correct)
  • Select Scene Export from the Export Types drop-down box
  • Fill in the Asset Name field. This will become the name of the GROUP file created
  • Choose a 'Save to Location' path (relative to the Project Data Directory)
  • Set the 'Transform Type' to be Local if a WORLD file will be used with the data, or World, if there is to be no .world file
  • Set any other required options
  • Click the 'Export' button


Airplay Art Tools Reference: Level Export

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Level Export >

Level Export

The Level Export is used for exporting a scene but also including a .world file. This allows the scene and the world to be exported at the same time instead of creating two separate files. The Level Export type allows instancing of objects across the scene, which will be detected by the Exporter, as this would be when Exporting a world file singularly.

The Level Export is the same as a Scene Export, with the addition of the world tickbox, and the BaseNameGeo tickbox which is used for detecting instancing within objects in the scene.

The Exporter - Level Export

Files Created by a Level Export

  • .geo files - for each object in the scene
  • .mtl files - for each object in the scene
  • .skel files - for each character in the scene
  • .skin files - for each character in the scene
  • .anim files - for each animated object in the scene
  • .group file - one for the whole scene
  • .world file - one for the whole scene

Running a Level Export

To run a Level Export, do the following:

  • Open the Exporter dialog
  • Set current project (if not already correct)
  • Select Level Export from the Export Types drop-down box
  • Fill in the Asset Name field. This will become the name of the .group file and the .world file
  • Choose a 'Save to Location' path (relative to the Project Data Directory)
  • Set the 'Transform Type' to be Local
  • Set any other required options
  • Click the 'Export' button


Airplay Art Tools Reference: World Export

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > World Export >

World Export

A World Export is used to export the layout of an Environment created out of many different individual pieces that have been exported separately. The reason for using a World Export instead of a Scene Export for an Environment is the ability to save only one version of an object and to duplicate it within a level many times. For example, when creating a forest, many trees are required. Saving each tree individually, even though they are all the same would be a waste of storage space, instead one copy of the tree is saved, and each time a tree needs to be drawn, the same model is used.

When using a World Export, the objects that are required need to be exported first, using either a Scene or a Model export, and the art file saved. Saving the file after the Export ensures that certain properties set during Export are saved which will be required when setting up the World Export. If this is not done, then the properties will require entering manually. The objects then have to be imported/referenced into a new scene and World Class Types set upon them, the process for this is listed below. The objects now need to be duplicated and placed around the scene as required, any changes that are made to the objects at this point will not have any effect on how they will appear in the application, these objects are only acting as placeholders to be replaced later with the previously saved model.

The Exporter - World Export

Files Created by a World Export

  • WORLD file - one for the whole scene

World Class Types

There are five World Class Types, CStatic, CLocator, CDynamic, CCamera and CPath. These are used to set the type of object being exported and how it will be treated within the application.

  • CStatic - this is the most common and is used for most mesh objects such as walls, floors, trees, and any static model that is to appear in the application as it is seen in the 3D Modelling Package.
  • CLocator - this is a point marker, which holds a location that can be accessed and used from within the application. For example, the CLocator point can be used for the entry point of a character into a game, or the end of a level.
  • CDynamic - this is used for objects that are not static within the scene and allows the object to be accessed via the application code. An example of this is a car which is animated but not a Character, therefore it would be exported with the scene and within the WORLD file.
  • CCamera - this is used to identify the position of a camera within your world. For example, a number of Camera objects could be specified around a racing track to allow for realistic playback of a race, supplying various spectator views of the action.
  • CPath - this is used to save a path within the world. An example of a path is the line that the AI cars follow around the track within a racing game.

Setting up World Class Types

  • Select an object (or a selection of objects if they are to have the same options)
  • Open the Exporter Editor
  • Ensure the required object(s) are selected in thumbnail view (if applicable)
  • Choose an option from the 'Class' dropdown field
    • If CStatic is chosen, then a greyed-out field named 'Model' will be shown. This field contains the name of the asset which will be loaded when this object is read during the application code. If this is the only object of this type, then this will be the same as the object name, else it will contain the name of the original object that it was duplicated from. To change this name or enter a missing name, check the 'Override' tickbox and enter a name.
    • If CDynamic is chosen, a field named 'Entity' will be available to enter the name of the asset that this object represents.
  • When the options are completed, click the 'OK' button to close the dialog

Running a World Export

Before running a World Export, the pieces should already have been exported, imported into a new scene and World Class Types set, before placing around the scene as desired. To run the World Export, do the following:

  • Open the Exporter dialog
  • Set current project (if not already correct)
  • Select World Export from the Export Types drop-down box
  • Fill in the Asset Name field. This will become the name of the WORLD file created
  • Choose a 'Save to Location' path (relative to the Project Data Directory)
  • Set the 'Transform Type' to be Local
  • Set any other required options
  • Click the 'Export' button


Airplay Art Tools Reference: Advanced Export Options

Airplay Art Tools Reference > Airplay Studio Exporters > Export Types > Advanced Export Options >

Advanced Export Options

The Exporters use the five World Class Types to describe all the objects exported using a World Export. These types should cover most possibilities, but new Class Types can be added to the Exporter if required. These are added into a file called the expmetatemplate.txt. To add new types, the default expmetatemplate file should be copied into the root of the project where the additions are required, and the new classes added. The original file is not to be modified because the addition of classes is done on a per-project basis; if a expmetatemplate file is detected within the project directory, then this will be used by the Exporter, else the default file will be used.

Changing the expmetatemplate

To setup the new file(s) and classes, do the following:

  • Find the default expmetatemplate file at <sdk_install>/tools/AirplayStudioDirector/data/expmetatemplate.txt
  • Copy this file into the Project Data Directory for the required project(s)
  • Add Classes into this new file, save and close
  • If Director is open, click Update > Refresh all Data to reload the files and recognise the new expmetatemplate file

The next time the Exporters are used, the new expmetatemplate file will be detected and used.


Airplay Art Tools Reference: Exporter UI

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter UI >

Exporter UI

The Exporters have many different options available when setting up an export. These are all located within the Exporter dialog. (object specific options are available within the Exporter Editor and Exclude Editor).

There are two buttons at the base of the Exporter dialog. The 'View!' button allows the scene, with the export options chosen, to be opened within the Viewer. This can be used to check whether the chosen options are correct or to change assets before export. Any other settings required for viewing will be taken from the current project as set in Director. The export button carries out the export; when finished it displays a dialog box listing any problems encountered. Within the dialog, clicking the 'Return to Package' button will close the exporter and return to the program, or 'Continue Exporting' will return to the exporter.

To explain the parts of the Exporter in more detail, the dialog has been split into four different parts with a page describing each. The Project Options is the top section and includes the choice of project the model is part of. The Export Options is the second section and describes the type of export that is to be performed. The remaining two sections, the Asset Options 1 and 2, list all the different options that can be chosen for the export.

  • Project Options
  • Export Options
  • Asset Options 1
  • Asset Options 2


Airplay Art Tools Reference: Project Options

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter UI > Project Options >

Project Options

These options are used for choosing which project the asset is contained within. Projects are used to help organise assets so that all members of the team can find, create and modify files easily. It also allows settings to be used across all assets within a project to make artwork consistent.

The Exporter - Project Options
  • Current Project - This drop-down menu allows you to set the application project into which assets will be exported. The menu will display any projects that have been created in Director, or a new project can be created by clicking the 'Set Project' button.
  • Project Data Directory - If you have selected a known project from the Current Project drop-down menu, then this field will be filled automatically. (The project directory data is stored in the project settings.)

For more details on creating a new project, see the Creating a Project page.


Airplay Art Tools Reference: Export Options

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter UI > Export Options >

Export Options

These options relate to the type of export required. There are several preset types, and customised types can be made using the tickboxes. For more information on the different export types see Different Export Types.

The Exporter - Export Options
  • Export Type - This is where you specify the type of export template that you want to follow. There are two options within the dropdown box, 'Scene' and 'Material'. The 'Material' option exports a single MTL file containing all the material information in your export selection. It will be given the name set in the Asset Name field. The 'Scene' option is used for all other exports. When this option is selected, the '>' box becomes available and has the options shown below:
    • scene - exports the contents of the scene, including anims, skeletons, geos, materials, and a group file
    • model - exports a GROUP file, which takes the name set in the Asset Name field and contains the paths to all the GEO files; a GEO and MTL file for each node/mesh in the export selection, taking the name of the node/mesh they were based on, (placed inside a models folder), and copies all relevant textures (placed into a folder called textures within the models folder)
    • anim - exports a single ANIM file containing all the animation in your export selection, giving the asset the name contained in the Asset Name field, unless the Anims Ranges are set
    • world - This will export a single WORLD file containing all relevant data pertaining to the class types associated with the nodes/meshes in your export selection. It will take the name of the Asset Name field
    • geo - This will export a single GEO and MTL file containing all nodes/meshes in your export selection and will be given the name contained in the Asset Name field
  • Enable Export of - These checkboxes show which files will be created by the export
    • geometry - export models (GEO) and materials (MTL)
    • skeleton - exports skeletons (SKEL) and skins (SKIN)
    • animation - exports an animation (ANIM)
    • exportgroup - exports a group (GROUP) of all the elements within the scene
    • world - exports a world (WORLD). Often used for the positioning of GEOs within the world
  • Export Flags - These are the export flags which can overwrite certain export options which are specified with the export type
    • hierarchy - export hierarchy's of meshes as skeletons
    • resetpos - hierarchy objects are saved at the origin
    • oneGeo - exports only one GEO for all of the objects in the scene
    • multianim - exports all animations as <object-name>.anim
    • localEffect - ignore effect of non-local controllers when searching for anim keys
    • shader - adds effects file to the group file (for GLES2)
    • bakeframes - saves out all the frames of the animation, instead of just the keyframes
    • relanim - hierarchy animations are saved relative to object position
    • verbose - prints out key finding information
    • clampColour - clamps vertex colours between 0 and 1


Airplay Art Tools Reference: Asset Options 1

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter UI > Asset Options 1 >

Asset Options 1

These options include the name and location of the asset as well as which objects within the scene should make up the export selection. Several of these options will have project specific values which should be common between all art assets.

The Exporter - Asset Options 1
  • Asset name - This is where the asset name is set
  • Save to Location - This is the location that the asset will be exported to, relative to the Project Data Directory
  • Scale Factor - This is the scale multiplier that will be applied (and exported with) the assets that are exported
  • Export - This defines what objects in the scene are actually exported
    • All - All assets in the scene (including those that may be hidden but excluding all assets that have been specifically excluded from export)
    • Selected - All assets that are currently selected will be exported
    • Visible - All visible assets will be exported
  • Transform Type - This specifies the transforms that will be used by the exporter
    • Local - All nodes will be exported with the positions specified by their local space transforms
    • World - All nodes will be exported with their positions in world space


Airplay Art Tools Reference: Asset Options 2

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter UI > Asset Options 2 >

Asset Options 2

These options include several that are related to exporting animations, and several more advanced options. All options are not available within all programs, see specific options for details.

The Exporter - Asset Options 2
  • Anim Range Type - This gives the option to choose which length of animation to export
    • Visible Range: Exports animations for the length visible on the trackbar
    • Individual Anim Range: Exports animations based on the length between their first and last keyframes. (animations could be different lengths)
    • Full Range: Exports the full range of animation, even if not currently visible within the trackbar. This option is only available in Maya
  • Anims Ranges - This allows a number of animation ranges to be set up, so they can be exported as different ANIM files. (The ranges that can be specified take the min and max times currently set in the scene.) Clicking the 'Edit' button will open the Anim List dialog with the following options:
    • Add: Give the Anim a name and a start and end then click Add to add it to the list.
    • Delete: Deletes the currently selected Anim in the Anim List
    • Done: Saves changes/additions
    • Cancel: Discards all changes/additions
  • Sub Anim Root - This is the root bone for sub animation. The root bone is the point from which a sub animation is overlaid
  • Texture Dir - This field allows you to specify the directory into which texture files are exported. It can be an absolute path or a relative path to the Project.
  • Exclude File - This is a path to a .txt file that has a list of exclude/include rules. This would be used to set up custom export types prior to having a specific Exporter Extension
  • Import After Editing - This imports changes back into the modelling package that were made within the Viewer
  • Modify Names - Changes names within the scene which are not compatible with any following steps (such as removing spaces or illegal characters from names). This option is only available in 3D Studio Max.


Airplay Art Tools Reference: Exporter Editor

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter Editor >

Exporter Editor

The Exporter Editor is used to set advanced options upon objects, that are required for exporting. When using the Exporter Editor, options can be changed on multiple objects at the same time by selecting all of the relevant objects before opening the Exporter Editor. A set of objects can be chosen from the thumbnails at the top of the Exporter Editor, and options which are common between the objects will be available for modification. Any other options will not be available.

  • Mesh Properties
  • Material Properties
  • Selection Sets


Airplay Art Tools Reference: Mesh Properties

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter Editor > Mesh Properties >

Mesh Properties

Selecting a mesh from the thumbnail listing at the top of the window in the Exporter Editor gives a new list of options below. The options presented allow the advanced properties for the export of the mesh to be set. Options for multiple meshes can be set by selecting more than one mesh in the thumbnail listing and then setting available options.

Editor Options for a Mesh
  • Project - This field displays the current project.
  • Class - This drop-down menu allows a class to be chosen for the node. (normally the default setting should be used)
  • Name - This field displays the name of the mesh being edited.
  • Base Name - When the option BaseNameGeo in the Exporter is checked, this is the name used for the mesh. This can be overridden using the 'Overwrite' checkbox.
  • C World Object - These fields are used when using the world export.
    • Class - Gives a choice of classes for the object to be in the world file
    • Name - Shows the name that will be used for this object in the world file
  • Auto Generated -
  • Auto Generated Group
    • Use Geo - This field is populated with the name of any Geo object being used by the export model
    • Use Group - This field is populated with the name of any Group being used by the export model
    • Use Skel - This field is populated with the name of any Skel object being used by the export model
    • Use Skin - This field is populated with the name of any Skin object being used by the export model

    The Auto-generated fields are "greyed out" as they only display the names of files which are in use and are not editable. The naming of such objects can help in dealing with problems of correct object usage.

  • Overrides -
    • Root of Hierarchy - Sets this as the root of the Hierarchy
    • Skel Name - Overrides the name of the skeleton to be used
    • Anim Name - Overrides the name of the animation to be used
    • Unroll Colour - Doesnt optimise the Colour, saves this as shown in the 3D Modelling Package
    • Unroll Normal - Doesnt optimise the Normals, saves this as shown in the 3D Modelling Package
    • Unroll UV0 - Doesnt optimise the UV Lists, saves this as shown in the 3D Modelling Package
    • Unroll UV1 - Doesnt optimise the UV Lists, saves this as shown in the 3D Modelling Package

  • Add - Allows a ResTemplate to be added which can be used to add in extra options that are required on this object
  • Extra Notes - This field allows you to add extra information to your node description


Airplay Art Tools Reference: Material Properties

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter Editor > Material Properties >

Material Properties

Selecting a material from the thumbnail listing at the top of the window in the Exporter Editor gives a new list of options below. The options presented allow the advanced properties for the export of materials to be set. Many options have a default value, set within the material template within the application For more information on changing the material template, see the "Material" section of the IwGx API Documentation contained in the Airplay SDK.chm.

Sometimes colouring is ignored. For example, when exporting a material the diffuse colour will also be exported so that it has something to render. However, if that material has a texture applied to it, the default behaviour is to disable the export of colours so the texture is displayed without being affected by colouring. If required, the colours and textures can be exported; for example, if the colour is used to make the material more or less affected by lighting; by setting the appropriate options.

Exporter Editor - Material Options 1
  • Project - This field displays the current project.
  • Image Thumbnails - These are the textures and material colours that make up the material
  • Class - This drop-down menu allows a class to be chosen for the node. (normally the default setting should be used)
  • Name - This field displays the name of the material being edited.

Exporter Editor - Material Options 2
  • Shading Mode - This drop-down menu allows the lighting model to be set for this material. The options available are:
    • Default: This option is the project specified value.
    • Gouraud: This will use the vertex colour from each vertex (either taken from the vertex colour or a light source)
    • Flat: This is a faster rendered, simpler lighting model that only has one light value across the whole face (either taken from a vertex colour or a light source)
  • Modulate Mode - This drop-down menu allows the number of channels available for lighting calculations to be set. The options available are:
    • Default: This option is the project specified value (either RGB or R).
    • R: This option just uses the R channel, for a greyscale lighting value.
    • RGB: This option sets full colour lighting.
    • NONE: This option will use no lighting and will be in a sense "self illuminated".
  • Alpha Mode - This drop-down menu allows an alphaMode type for transparency effects to be set. The available options are:
    • Default: This option is the project specified value.
    • Half: Blend of 50% Source and 50% Destination.
    • Add: Source + Destination clamped to 1.
    • Subtract: Destination - Source clamped to 0.
    • Blend: GL specific alpha mode.
  • Face Rendering - This drop-down menu allows options to be set for the way the face will be rendered. The available options are:
    • Default: This option is the project specified value.
    • Front Only: Single sided facing.
    • Back Only: Single sided back facing.
    • Two Sided: Two sided rendering.
  • Invisible - Selecting this check box will make the material invisible (non rendering)

Exporter Editor - Material Options 3
  • Z Depth Offset - Set an offset (for sorting purposes) on the material
  • Z Depth Offset HW - Set an offset (for sorting purposes) on the material for hardware rendering.
  • No Fog - Does not apply hardware fogging to this material.
  • Shader Technique - In this field the name of the vertex shader can be entered that is available to the project (i.e., a dot3 shader for normal mapping) (The 'View!' exporter option in the Exporter dialog can only incorporate a Vertex Shader if the file is within the 'Shaders' directory within the current project)
  • Effect - This drop-down menu allows a selection from a list of pre-defined configurations that ensure that the asset is conditioned correctly and enables the following multi-pass effects:
    • Default: Uses the default blend mode (Multiply) to combine a second texture (if there is one) with the first texture (if there is one) using a second set of UVs (if there are any).
    • Reflection Mapping: Automatically creates a second set of UVs to produce a spherical environment map, using a second texture.
    • Environment Mapping: Uses the vertex normal in screen space to map the second texture.
    • Normal Mapping: This requires a dot3 shader to be used as a vertex shader. This creates Tangent and Bi-Tangent vectors to be used in a hardware vertex shader. The effect part passes the second texture as a dot3 bumpmap and makes use of a second set of UVs if there is one.
  • Blend Mode - This drop-down menu gives options as to how the textures/colours are blended together. It can be set to any of the following:
    • Default: This option is the project specified value.
    • Modulate: Multiply the two textures together.
    • Decal: Cuts out the alpha of texture1 and applies it over texture0.
    • Add: Adds the two textures together.
    • Replace: Replaces texture0 with texture1.
    • Blend: Half of texture0 and half of texture1.
  • Filtering - Selecting this check box will enable filtering of textures in GL.
  • Clamp UV - Selecting this check box stops the edges of a filtered material "bleeding" in HW render mode. This can be used if the material is never tiled.
  • Depth Write Enable - Selecting this check box ensures this object is always rendered at the back of the scene.

Exporter Editor - Material Options 4 - UV Animation Options

These are the animated texture options. For more information, see the UV Animation page.

Exporter Editor - Material Options 5
  • Texture Directory - This field overrides the default directory in which exported textures are placed. It can be an absolute path or a relative path to the Project Root.
  • Export Ambient Colour - This drop-down menu allows the standard export behaviour to be overridden
  • Export Diffuse Colour - This drop-down menu allows the standard export behaviour to be overridden
  • Export Emissive Colour - This drop-down menu allows the standard export behaviour to be overridden
  • Export Specular Colour - This drop-down menu allows the standard export behaviour to be overridden
  • Alt Material - This option allows an alternative material to be specified to be used when GLES2 effects files are not supported. (option only available in Maya)
  • Extra Notes - This field allows extra information to be added to the node description.


Airplay Art Tools Reference: Selection Sets

Airplay Art Tools Reference > Airplay Studio Exporters > Exporter Editor > Selection Sets >

Selection Sets

Selection sets are not exported by default and therefore must be configured using the Exporter Editor. Selecting any object within the selection set will enable the set to be accessed from the thumbnail section within the dialog. This can then be chosen and will give the following options.

Editor Options for Selection Sets
  • Project - This field displays the current project.
  • Class - This drop-down menu allows a class to be chosen for the node. (normally the default setting should be used)
  • Export To - This drop-down menu allows you to specify whether the selection set is exported into a model or a world file.
  • World Format - This drop-down menu allows you to specify what type of selection set block to export into a world file, a Worldspace Block where all Selection Sets are gathered at the end of the file, or an Indexed Model Block where the part of the Selection Set for an object is added within its block.
  • Add Set - This drop-down menu allows you to select the selection set type, i.e., is it a selection set of faces, verts or edges
  • Extra Notes - This field allows you to add extra information to your node description

When a set type has been chosen, one of the following sets of options becomes available.

Face Selection Sets

Set Options for a Face Selection Set
  • Class - Shows the Class that was chosen for the set
  • Name - Gives the name of the set
  • Render - This is a check box that specifies whether faces are rendered
  • Z Mode - Gives the option of a Normal or Average Mode of calculation
  • Z Offset - This is the amount that faces will be shifted in the render table. This allows you to manually adjust the render table

Edge Selection Sets

Set Options for a Edge Selection Set
  • Class - Shows the Class that was chosen for the set
  • Name - Gives the name of the set
  • Render Colour - This allows you to set an RGB value to be applied to an edge selection set

Vertex Selection Sets

Set Options for a Vertex Selection Set
  • Class - Shows the Class that was chosen for the set
  • Name - Gives the name of the set
  • Render Material - This allows you to associate a material with a vertex selection (e.g., glows)
  • Render Size - This is the size at which the material will be drawn

Object Selection Sets

Object Selection Sets are not currently supported although they will display a thumbnail within the Exporter Editor with a limited number of options. There is not a Set class for an Object Selection Set, therefore it is unable to be exported.


Airplay Art Tools Reference: Exclude Editor

Airplay Art Tools Reference > Airplay Studio Exporters > Exclude Editor >

Exclude Editor

The Exclude Editor is used to control which objects are exported and which are not. Within the Exclude Editor dialog, there are two lists, an Included and an Excluded list. To move an object from one list to the other, select the object and click either the Include or Exclude button, or drag the object from one column to the other. If an object is duplicated, then the duplicates will inherit the exclude value.

  • Excluding Objects from Export
  • Exclude Editor UI


Airplay Art Tools Reference: Excluding Objects from Export

Airplay Art Tools Reference > Airplay Studio Exporters > Exclude Editor > Excluding Objects from Export >

Excluding Objects from Export

The Exclude Editor is used to exclude objects from Export. More than one object can be selected within the Include and Exclude lists to save time when excluding large numbers of objects. An object will remain excluded until it is replaced back into the Include list.

Opening the Exclude Editor in Maya

To Open the Exclude Editor in Maya either

  • Open the AirplayStudio Tools Menu, and choose the Exclude Editor Menu
  • Click the Exclude Editor button on the AirplayStudio Shelf
  • Type ASMayaExclude; into the Maya Command line / Script Editor

Opening the Exclude Editor in 3D Studio Max

To Open the Exclude Editor in 3D Studio Max:

  • Choose the AirplayStudio button from the Utilities Tab
  • Click the Exclude Editor Button

Excluding an Object

To Exclude an object from Export:

  • Open the Exclude Editor
  • Do one of the following:
    • Select an object to exclude, and click the Exclude button
    • Drag the object into the Excluded box
  • Repeat for any other objects required
  • Click OK


Airplay Art Tools Reference: Exclude Editor UI

Airplay Art Tools Reference > Airplay Studio Exporters > Exclude Editor > Exclude Editor UI >

Exclude Editor UI

The Exclude Editor is used to select which objects should be exported and which should not. If an object that has already been excluded is duplicated (copy and pasted) in the scene, then the new object will also be excluded from Export.

The Exclude Editor
  • Included: This is the list of all the objects currently included for export, this will initially be all the objects within the scene
  • Excluded: This is the list of objects that have been chosen to be excluded from export
  • Include Button: This button will include a selected object that has previously been excluded from the export
  • Exclude Button: This button will exclude a selected object from export


Airplay Art Tools Reference: Pre-Flight Check

Airplay Art Tools Reference > Airplay Studio Exporters > Pre-Flight Check >

Pre-Flight Check

The Pre-Flight Check is used to perform a trial export that allows the user to see whether there are any problems with their asset or group of assets. A full or partial export can be performed based upon settings from the Exporter. The objects can also be viewed in the Viewer, without saving out to any files.

  • Using the Pre-Flight Check
  • Pre-Flight UI


Airplay Art Tools Reference: Using the Pre-Flight Check

Airplay Art Tools Reference > Airplay Studio Exporters > Pre-Flight Check > Using the Pre-Flight Check >

Using the Pre-Flight Check

The Pre-Flight Check effectively performs an export of the selected assets without writing to file. It allows problems to be seen which would be encountered when a full export is performed. The Pre-Flight Check dialog allows you to select all the items or only a subset of the items to be exported from a scene, to test only those parts. The Check from Export Type button will use the current export options to fill in the tickboxes automatically. Before checks are run it is important that the user has set up all export options using the Exporter or problems may not show up during the checks which could become more complicated to fix later on.

When the Pre-Flight Check has completed, the log file is displayed which shows any errors that have occurred. Also, a tree structure is shown of each of the different elements in the file, such as geometry, materials and skeletons. If errors occur in any of these categories then they will be shown within the tree structure.

Running a Pre-Flight Check in Maya

To run a pre-flight check in Maya, do the following

  • Either:
    • Click on the Pre-Flight Check button on the AirplayStudio Shelf
    • Open the AirplayStudio Menu and choose the Pre-Flight Check option
    • Type ASMayaCheck; into the Maya Command Line or Script Editor
  • Pick options using the checkboxes or click the 'Check from Export Type' button to automatically tick options based on the Export Type
  • Click the 'To Settings' button to display the Exporter Options (if Export options need to be set)
  • Click the 'View!' button to see what is being exported
  • Click the 'Check!' button to perform the check

Running a Pre-Flight Check in 3D Studio Max

  • Click on the Pre-Flight Check button on the AirplayStudio section of the Utilities Tab
  • Pick options using the checkboxes or click the 'Check from Export Type' button to automatically tick options based on the Export Type
  • Click the 'To Settings' button to display the Exporter Options (if Export options need to be set)
  • Click the 'View!' button to see what is being exported
  • Click the 'Check!' button to perform the check


Airplay Art Tools Reference: Pre-Flight Check UI

Airplay Art Tools Reference > Airplay Studio Exporters > Pre-Flight Check > Pre-Flight Check UI >

Pre-Flight Check UI

The Pre-Flight Check allows the user to perform a dry-run export which does not save to file, to test that everything will work and there will be no errors. A partial or full export can be performed, using the checkboxes to choose which objects should be tested.

The Pre-Flight Check
  • Check All: Checks all the tickboxes
  • Check None: Un-checks all the checkboxes
  • Check from Export Type: Checks the boxes based upon the Export Type chosen in the Exporter
  • View! Views the assets within the Viewer
  • Check! Performs the Export test
  • To Settings Loads the Exporter Dialog options so they can be set


Airplay Art Tools Reference: The Importer

Airplay Art Tools Reference > Airplay Studio Exporters > The Importer >

The Importer

The Importer is used to import files that have previously been exported by the Exporters. Files do not have to be imported into the same package that created them, as the Exporters do not create program specific files. Other Importer options include pre-loading a file before the import and adding a prefix to the names of all the imported objects.

  • Using the Importer
  • Importer UI


Airplay Art Tools Reference: Using the Importer

Airplay Art Tools Reference > Airplay Studio Exporters > The Importer > Using the Importer >

Using the Importer

The Importer is used to import previously exported files into a 3d modelling package. The file can be imported into a new file, or a file can be pre-loaded. This can be particularly useful when importing in the objects that are to make up a new world file.

Importing a file in Maya

To import a file using the Importer in Maya, do the following

  • Either:
    • Click on the Import button on the AirplayStudio Shelf
    • Open the AirplayStudio Menu and choose the Model Importer option
    • Type ASMayaImport; into the Maya Command Line or Script Editor
  • Choose the Project where the files are to be imported from
  • Set the World Scale option (if required and are importing a WORLD file)
  • Choose a Pre-Load file (if required)
  • Choose a file to import
  • Type a prefix for the objects in the file (if required)
  • Click the 'Import' button to import

Importing a file in 3D Studio Max

To import a file using the Importer in 3D Studio Max, do the following

  • Click on the Import... button on the AirplayStudio section of the Utilities Tab
  • Choose the Project where the files are to be imported from
  • Set the World Scale option (if required and are importing a WORLD file)
  • Choose a Pre-Load file (if required)
  • Choose a file to import
  • Type a prefix for the objects in the file (if required)
  • Click the 'Import' button to import


Airplay Art Tools Reference: Importer UI

Airplay Art Tools Reference > Airplay Studio Exporters > The Importer > Importer UI >

Importer UI

The Importer is used to import previously exported files back into an art package. The files do not have to originate from the same package as they are being imported into. The files that can be imported are GROUP files, GEO files, WORLD files, SKEL files, ANIM files and MTL files.

  • Current Project: Using the Set Project box, the current Project can be set
  • Project Data Directory: This shows the data directory of the current Project
  • World Scale (blank for default): Sets the World Scale when importing world files. (only works on world files)
  • Pre-Load File: This file is loaded before the import is made.
  • Hide Pre-Loaded data: Hides data from any pre-loaded file
  • 'Clear' button: Clears the Pre-Loaded file field
  • Load File: This is the name of the file that is imported in. (Click the 'Browse' button to search for a file)
  • Prefix: The prefix placed before the names of the objects in the file to distinguish from any existing objects with identical names.


Airplay Art Tools Reference: Airplay Studio Director

Airplay Art Tools Reference > Airplay Studio Director >

Airplay Studio Director

The number of assets used to create an application can become quite large and hard to manage. The Airplay Studio Director assists in managing assets. Using it you can view assets and scenes, create reports about certain files, and edit group and material files. It also allows you to see the dependencies within your application data; therefore, allowing you to differentiate between assets that are critical to your application and those that can safely be deleted.

Director uses a set of views to display the files and the data. These views range from a file hierarchy, like Windows Explorer, that lists all the files within a folder, to a customisable report that can be used to show dependencies, file sizes, and file types, which can also be saved to be used in an external program.

  • Introduction to Director
  • Using Director
  • Director UI


Airplay Art Tools Reference: Introduction to Director

Airplay Art Tools Reference > Airplay Studio Director > Introduction to Director >

Introduction to Director

Director is used to display the contents of projects and help make it easier to manage all the separate assets involved. For example, dependencies within the project can be seen and unwanted files can easily be removed. Director also allows assets to be opened easily, either into Director itself or by opening an external editing program. Assets that are compatible can also be opened in the Viewer.

Opening Director

Director can be opened from the start menu group for the Airplay SDK, in the folder "Tools". It can also be opened from the "Airplay Art Tools" tab of the Launchpad Application.

When opening the Airplay Studio Director for the first time, you will be required to create a new project or browse and select an existing one. Re-opening the Airplay Studio Director at any point will result in the last viewed project being opened. When starting Director, holding down the shift key will show the Set Project dialog before opening the main program, to allow a different project to be chosen. This is particularly useful if there is an error within a project, or a project takes a long time to load.

Interface

The Interface of Director is a collection of panels, with windows that can be dragged between any of the panels. The main method of Viewing data is by using the right-click Context Menu, and the menu bar at the top of the screen. Due to the tabbed nature of the layout, a user can have as many tabs open as required.

  • Menus - There are seven menus on the menu bar, and a context menu for right-click events
  • Tabbed Toolbar - This contains the 'Viewer: Options' and 'Other' Tabs
  • Project View - This is a Explorer style list, which displays the files within the project
  • Active File/Hierarchy File - These are two files open in different Views
  • Log Window Tab - This shows all the log messages generated by Director

Related Pages

Quickstart: Using Director

Tutorial: Projects

Tutorial: Using Director


Airplay Art Tools Reference: Using Director

Airplay Art Tools Reference > Airplay Studio Director > Using Director >

Using Director

Director is used to manage assets within an art project. Existing files can be viewed, modified and saved, and new files can be created. The links between these files, such as which files are referencing which other files can be found, enabling the structure of the project to be monitored. Information about sets of files can be saved into a file for use in other programs, or batch scripts can be created with the data to carry out a particular task.

  • Creating a Project
  • Opening Different Assets
  • Modifying Properties on Assets
  • Saving Changes to Assets
  • Exporting Lists of Assets


Airplay Art Tools Reference: Creating a Project

Airplay Art Tools Reference > Airplay Studio Director > Using Director > Creating a Project >

Creating a Project

When using the Exporters, Director and the Viewer, a Project is required where data can be found. The paths that are used within these programs are relative to the Project Data Directory. This means that the Project Data Directory for each Project must be the same on all computers or files will not be found.

When deciding on a new file structure for projects, it is good practice to create a directory within the root of the project called 'data'. This can then be set as the Project Data Directory. The image below shows the typical layout of a Project. The greyed out folders at the top and bottom of the image are outside of the scope of the Project but shown to illustrate the structure. The 'data' directory is set as the Project Data Directory.

Director - Typical File Structure

Creating a New Project

To create a new project, do the following:

  • Go to the Project Menu and Choose 'Setup Project'
  • Click the 'Add' button at the bottom of the dialog
  • Enter a name for the Project and click OK
  • Select the location of the Project and click OK
  • Select a ResBuild style from the dropdown box if required
  • Click OK and the Project will be created and loaded as the current Project

For more details on creating a new project, see the Creating a Project tutorial.


Airplay Art Tools Reference: Opening Different Assets

Airplay Art Tools Reference > Airplay Studio Director > Using Director > Opening Different Assets >

Opening Different Assets

There are several ways that files can be opened using Director. The 'View' option in the Context menu shows the available options for the particular file type. Double clicking on a file within the Project View will carry out the default action as listed in the context menu. This will be either opening in the Viewer, or opening in an associated program as defined by Windows. The file will also be opened in the Active View within Director. Changes can be made within this view, or another modifiable view can be used.

Opening a File within the Viewer

Files that are compatible with the Viewer can be opened from several of the Director Views. The Hierarchy View and the References View have a 'View' button that will load all the assets from the View into the Viewer, the Details View will also load assets into the Viewer. Some files can also be viewed without a model, for this, choose View > in Viewer (no model) from the Context Menu.

Opening a File within Director

Files can be opened within several different views within Director. These show different data depending on the file type. Files can be opened in different Views using the context menu and selecting the View menu and then the required option. For more information, see the Context Menu .

Opening a File in an External Editor

If a file is double clicked within the Project View which is not compatible with the Viewer then Director will attempt to open it within the default program for the file-type set by the Operating System. If the file does not have an assigned editor, then the file will be opened in the Active View.


Airplay Art Tools Reference: Modifying Properties on Assets

Airplay Art Tools Reference > Airplay Studio Director > Using Director > Modifying Properties on Assets >

Modifying Properties on Assets

There are two different views that provide the ability to modify files, the Details view and the Editor view. The Details View shows the data within a set of tailored fields, based upon the file type, and the Editor View shows the file as plain text in a text field. Both views allow data to be edited.

Editor View

Director - The Editor View

There are two parts to this view. The data view shows the information using named fields (as shown in the image above), and the text view shows the file as a text file, similar to that seen when opening the file in a text editor, such as Notepad. The data view is used for material (MTL) files, and the text view is used for all other supported file types. For compatible files, the views can be switched using the 'To text'/'To data' button at the top of the view.

Materials

Materials (MTL files) can be opened with the data view. The tree list contains all the constituent materials of the material file. From the root of this list, new textures can be added using the add button on the view, or an existing texture can be chosen from the list. The texture options are the same as those that appear in the Exporter Editor. These can be set and then saved using the 'Save File' button at the top of the view.

Details View

Director - The Details View

The details view shows the data within a tabular structure. This allows existing data to be modified and new data to be added. New data can be added to the file by double clicking the <add> cell and properties entered. This view is used for editing GROUP files.


Airplay Art Tools Reference: Saving Changes to Assets

Airplay Art Tools Reference > Airplay Studio Director > Using Director > Saving Changes to Assets >

Saving Changes to Assets

As you work on files and make changes to them, the changes you make are saved in memory and not onto disk. If Director is closed down without saving, then all unsaved changes will be lost.

To save changes to disk, you must do the following:

  • Select the Other tab at the top of the screen.
  • Click the Commit Changes to disk button. This will save all changed files to disk.

If the file you are attempting to edit is under source control, it must be opened for edit before Director will allow you to make any changes.

When editing files within the Viewer, a Save button is available to save any changes made. For more information on the Viewer, see The Viewer


Airplay Art Tools Reference: Exporting File Lists

Airplay Art Tools Reference > Airplay Studio Director > Using Director > Exporting File Lists >

Exporting File Lists

The Action > Export Files and the Action > Export Files (unique files only) options (or Action > Export Hierarchy and Action > Export Hierarchy (unique files only) for GROUP files) within the context menu allow the user to create commands that can be run on every file within the directory or file. The user can enter options that represent the file names or paths of the files within the chosen location, and these can be combined with other information or commands to create the required file. The Export option can also be used to simply create lists of the files within the directory.

Files can be saved into any text-based format, the default being a .bat file (batch file). Batch files can be run from Windows and contain a selection of DOS commands that can be used to perform multiple tasks. Batch files are commonly used to run a command on a selection of files, a job tedious to do by hand. If creating a batch file containing file paths, these paths must be contained within double quotes.

For example, typing '%p' into the 'Command to Run' dialog box and saving the resulting file, will create a list of files that are contained within the directory selected. This can be used within another program or plugin when a list of files is required for another task such as batch processing textures to change sizes or type, or creating a list of files contained within a project.

Options

The options that can be included into the commands which give path names and filenames are shown below. These consist of a percent sign followed by a letter denoting which option is required.

  • %p - Adds the full path for every asset encountered.
  • %f - Adds the filename for every asset encountered.
  • %l - Adds the path relative to the project root for every asset encountered.
  • %e - Adds the extension for every asset encountered.
  • %n - Adds the name minus the extension for every asset encountered.
  • %s - Adds the path relative to the project root minus the asset name for every asset encountered.

Exporting File Information

To Export file information to a file, do the following:

  • Right Click on the Folder containing the files required
  • Choose either
    • Action > Export Files
    • Action > Export Files (unique filenames only)
  • Enter the desired command(s) into the dialog box
  • Click OK
  • Enter a filename, type and location into the save dialog, the default file type is a .bat file
  • Click Save

Example

The command copy "%p" "c:/temp/%f" will create a file containing a set of commands, which copies files from one directory to another directory. A batch file containing these instructions can be run from Windows by double clicking it. This copies the files from the directory selected, into the temp directory on the C drive.

Another example would be to type move "%p" "c:\temp\". This would move the file into the temp directory. This would be run on every file within the selected directory, thus providing an easy way to move files from one location to another.


Airplay Art Tools Reference: Director UI

Airplay Art Tools Reference > Airplay Studio Director > Director UI >

Director UI

The Director interface allows you to view project details and files through a series of views. Drag-and-drop customisation of the interface is supported; you can select any view with your mouse and drag it to another pane within the window

Double-clicking an asset will open the source of that file in the Active view. The file will also be opened in the Viewer if that file is of a type that can be viewed in the Viewer. For more information on the Viewer and how to use it, see Airplay Studio Viewer.

  • Main Menus
  • Context Menu
  • The Other Tab
  • Filtering a View
  • The Different Views
  • Customising the Interface


Airplay Art Tools Reference: Main Menus

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Main Menus >

Main Menus

The Main Menu Bar is located at the top of the screen and has seven menus. All menus are available at all times. The Viewer menu is a copy of the Viewer menu within the Viewer with the exception of the first command which is only available within the Director version of the menu. The contents of these menus is shown below.

File Menu

Director - The File Menu
  • Clear Log - Clears the Log panel which is generally displayed at the bottom of the screen
  • Revert to Default Layout - Reverts the screen to the default layout
  • Load Layout... - Loads a previously saved Layout
  • Save Layout... - Saves the current Layout
  • Exit - Exits the Program

Edit Menu

Director - The Edit Menu
  • Undo - Undoes the last action
  • Redo - Redoes the last action
  • Revert to Last Save - Reloads all files from their last saved position

Update Menu

Director - The Update Menu
  • Refresh All Data - Refreshes all the data in the different views
  • Refresh Source Control - issues a request to the source control application to sync the current project to the head version
  • Refresh Dependencies - Refreshes all the dependencies within the project
  • Commit Changes to Disk - Saves changes to disk

Application Menu

Director - The Application Menu
  • Setup Application... - Sets up an application to go with the current project
  • View Application... - Runs the application attached to the current project
  • Set Resource Template File... - Allows the user to set a Resource Template File

Project Menu

Director - The Project Menu
  • Setup Project... - Opens a dialog box where the user can edit an existing project or set up a new project
  • Select Project - Presents a list of projects that have already been set up to choose from

Viewer Menu

For more information on the Viewer menu, see the Viewer Menus page.

Help Menu

Director - The Help Menu
  • Help File... - Opens the Help File
  • About Director... - Shows the About Box


Airplay Art Tools Reference: Context Menu

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Context Menu >

Context Menu

By right-clicking on any file or folder displayed in the Airplay Studio Director, regardless of the selected view, a context menu will appear displaying all the options available for that file type.

The possible options are as follows:

Default Action

Director - The Context Menu - Default Action
  • View In Viewer - Views file in Viewer
    • File Type: Group, Geo, Anim, Itx, Db, Mtl, Skel
  • View In Project - View Directory in the Project View
    • File Type: Directory
  • Execute File - Runs the file in the associated editor
    • File Type: All other Files

Info Menu

Director - The Context Menu - Info
  • File Path - Relative Path of file/folder to root of project
    • File Type: All Files
  • Also In: - Shows any duplicates of this file/folder
    • File Type: All Files
  • File Size: - Shows the file size (shows 0 for folders)
    • File Type: All Files
  • Refs: and Group Refs: - The number of times the asset is referenced anywhere, and specifically in group files
    • File Type: All Files
  • Size: and Depth: - Shows the size and depth of texture files
    • File Type: Texture Files
  • Source: - The location and name of the original asset (if known)
    • File Type: Group, Mtl, Texture files
  • Archived directly in: - The names of the archives that the asset is in directly
    • File Type: not Directories
  • Archived indirectly in: - The names of the archives that the asset is in indirectly
    • File Type: not Directories

View Menu

Director - The Context Menu - View
  • Hierarchy - Displays the asset in a Hierarchy view. (For more information see the Hierarchy View)
    • File Type: Group, Mtl, Itx, Db
  • References - Displays the asset in a Reference View. (For more information see the Reference View)
    • File Type: not Directories
  • in Project - Displays the asset in the Project View. (For more information see the Project View)
    • File Type: not Directories
  • Editor - Displays the asset in a Editor View. (For more information see the Editor View)
    • File Type: Group, Mtl, Geo, Skel, Skin, Itx, Db, Anim, Cam, Lua, Asm, Gfx, Other, Timeline
  • Details - Displays the asset in a Details View (For more information see the Details View)
    • File Type: Group
  • Summary - Displays the asset in a Summary view. (For more information see the Summary View)
    • File Type: Geo, Skel, Skin, Anim, Texture Files
  • in Viewer (no Model) - Views the asset in the viewer without displaying the model, just using the skeleton
    • File Type: Anim, Skel, Group

Action Menu

Director - The Context Menu - Action
  • Delete - Deletes the asset (if changes are committed to source control)
    • File Type: All Files
  • Delete with unreferenced Children - Deletes the asset and all unreferenced children (if changes are committed to source control)
    • File Type: Group, Mtl
  • Export Files - Exports the asset information. (For Further information, see Exporting Lists of Assets)
    • File Type: Directories
  • Export Files (Unique filenames only) - Exports the asset information for unique filenames. (For Further information, see Exporting Lists of Assets)
    • File Type: Directories
  • Export Hierarchy - Exports a Hierarchy to a text file. (For Further information, see Exporting Lists of Assets)
    • File Type: Group, Mtl
  • Export Hierarchy (unique filenames only) - Exports a Hierarchy, only using unique names, to a text file. (For Further information, see Exporting Lists of Assets)
    • File Type: Group, Mtl
  • Load Source - Opens the file as it would be in a text format
    • File Type: Group, Mtl, Texture Files
  • Build Binary - Uses a special mode in the Current Project's application to build binary versions of the data
    • File Type: Group
  • Load File Externally - Loads the file into an external editing package, defined by the system
    • File Type: Texture Files, Source, Other files

Add Menu

Director - The Context Menu - Add
  • Entity - Adds a new entity to the current directory
    • File Type: Directories
  • Entity in Folder - Adds a new entity in a folder to the current directory
    • File Type: Directories
  • Material - Adds and sets up a new material (and texture folder) in the current directory
    • File Type: Directories
  • File - Adds a new file, offering a choice of file types, into the current directory
    • File Type: Directories

Send To Report Menu

Director - The Context Menu - Send to Report
  • Children (Recursive) - Sends all Children and Grandchildren to report
    • File Type: Directory
  • Children - Sends Children to a report
    • File Type: Directory
  • Hierarchy - Send Hierarchy information to a report
    • File Type: Group, Mtl, Itx, Db, Timeline
  • File - Sends file to a report
    • File Type: not Directories
  • References - Sends references to a report
    • File Type: not Directories

Directory Menu

  • Shows a full copy of the context menu for the current directory
    • File Type: not Directories

View In Windows

  • This opens up an explorer window displaying the directory
    • File Type: Directories


Airplay Art Tools Reference: The Other Tab

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Other Tab >

The Other Tab

Director - The Other Tab
  • Clear Log - Clears the Log panel which is generally displayed at the bottom of the screen
  • Refresh All Data - Refreshes all the data in the different views
  • Refresh Source Control - issues a request to the source control application to sync the current project to the head version
  • Commit Changes to Disk - Saves changes to disk
  • Set Resource Template File... - Allows the user to set a Resource Template File


Airplay Art Tools Reference: Filtering a View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Filtering a View >

Filtering a View

Items in certain views may be filtered to allow information to be found easily. The views that support filtering are:

  • Report View
  • Project View
  • Hierarchy View

Filter Types

The following filter types are available:

  • File Type - This allows filtering by a chosen file type. The types available are:
    • Group, Geo, WorldFile, Texture, Material, Skeleton, Skin, Animation, TimeLine, Luacode, GameFile, Other
  • Reference Type - This allows filtering by the different ways that assets are related to each other. The types available are:
    • Display Referenced: Setting this option will display all non-group files that are referenced by other files.
    • Display Unreferenced: Setting this option will display all non-group files that are not directly referenced by any other file.
    • Display Referenced Groups: Setting this option will display all group files that are referenced by other files.
    • Display Unreferenced Groups: Setting this option will display all group files that are not referenced by other files.

Filtering by File Type

Director - Filtering Views by Type

To filter the selected view by File Type, do either of the following:

  • Within the selected view click 'Filter Type'
  • Select the Checkbox for each file type you would like to appear in the view
  • Click Close
  • Click the dropdown box to the left of the Filter Type Button
  • Select a file type from the list

Filtering by Reference Count

Director - Filtering Views by References

To filter the selected view by Reference Count, do the following:

  • Within the selected view, click 'Reference Count'
  • Select the Checkbox for each reference type you would like to appear in the view
  • Click Close

Filtering by Wildcard

Director - Filtering Views by Wildcard

The Report View has the added option of being able to filter the files using a wildcard, which can be applied to any of the file properties.

To filter the Report View by wildcard, do the following:

  • In the Report View click Filter On Wildcard.
  • Select the property that you would like to apply the wildcard to, from the On Column drop-down menu.
  • Enter the wildcard in the Wildcard field.
  • Click OK.


Airplay Art Tools Reference: The Different Views

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views >

The Different Views

Director has several Views that can be used when opening up different types of files. Some Views allow editing, as long as the file is not read-only. Not all files can be opened in all views, refer to the specific View for more information.

  • Project View
  • Hierarchy View
  • Reference View
  • Report View
  • Editor View
  • Details View
  • Summary View


Airplay Art Tools Reference: Project View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Project View >

Project View

Director - Project View

The Project View lists the files and folders within the current project, as they would be seen by your application, in a format similar to that of Windows Explorer, but unlike Explorer, the files and folders are both listed in the same tree structure

The files shown in the Project View can be filtered by type or reference count, for more information see the Filtering a View section.

The number shown in brackets after some of the files shows how many times it is referenced in other files.


Airplay Art Tools Reference: Hierarchy View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Hierarchy View >

Hierarchy View

Director - Hierarchy View

This view displays a tree structure describing the relationships between the selected asset and its children. This is a useful way of finding all the assets that are dependant upon a selected asset.

The files that can be viewed in a Hierarchy View are:

  • Group
  • Mtl
  • Itx
  • Db

To view the hierarchy in which a file exists, do the following:

  • Right-click on the desired file.
  • In the context menu, click View > Hierarchy. This will present the hierarchy for the selected file in the Hierarchy View.

The files shown in the Hierarchy View can be filtered by type or reference count, for more information see the Filtering a View section.


Airplay Art Tools Reference: Reference View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Reference View >

Reference View

Director - References View

The Reference View shows all of the assets which are dependant on the current asset. This is an inverse of the Hierarchy View. This can help when removing files that are no longer needed in a project without accidentally deleting files that are still needed.

All types of files can be opened in the Reference View, except directories.

To open a file in the Reference View, do the following:

  • Right-click on the desired file.
  • In the context menu, click View > References. This will present a list of references for the selected file in the Reference View.

The files shown in the Reference View can be filtered by type or reference count, for more information see the Filtering a View section.


Airplay Art Tools Reference: Report View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Report View >

Report View

Director - Report View

This view presents a customisable, filterable report. A report is constructed by sending the details of various files and folders to the Report View. New Information can be added to an open report or a new report can be created. Reports can also be saved out to a file.

The files shown in the Report can be filtered by type, reference count or wildcard, for more information see the Filtering a View section.

You can submit details to the Report View, using the following modes:

  • For Directories only
    • Children (recursive): Sends details of all the children and grandchildren of the selected folder to the Report View
    • Children: Sends details of all the children of the selected folder to the Report View
  • For Files only
    • File: Sends the files to the Report
    • References: Sends the References for the selected file to the Report
  • Group, Mtl, Itx, Db, Timeline Files
    • Hierarchy: Sends Hierarchy Information to the Report

Creating a Report

To create a Report, do the following:

  • Right-click on the desired file or folder.
  • In the context menu, click Send to Report
  • Select required option from the list

Report Toolbar

  • Export Report - Saves a report to file
  • View Type - Choose from:
    • List View: text list with details
    • 16x16 sized thumbnails
    • 32x32 sized thumbnails
    • 64x64 sized thumbnails
    • 128x128 sized thumbnails
    • 256x256 sized thumbnails
  • View in Viewer - View all files in the Viewer
  • View in Viewer (no models)- View all files in the Viewer without models
  • Mode - Choose the Mode for creating the report, the options are:
    • Replace: This mode will cause any files that are currently in the report to be replaced by any new submission.
    • Add: This will append any new submission to the end of the current report.
    • Delete: This will delete the files contained in any new submission from those contained in the current report.

Saving a report

The report can be saved by doing the following:

  • Select the Report View.
  • Click Export Report... This presents the Export Report dialog.
  • Delete those fields you do not want to appear in the report by removing them from the comma-separated value list displayed in the dialog.
  • Click OK.
  • Enter a name for the csv file.
  • Click Save.


Airplay Art Tools Reference: Editor View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Editor View >

Editor View

Director - Editor View

This view will display the asset as it is described in its source file. This view is similar to opening the files within a text editor such as notepad. For compatible files, such as GROUP and MTL files, the 'To Data' button at the top of the view can be used to give a different view tailored to the file type. These views display the data within separate fields and allow the viewing and modification of data in a clearer way.

The files that can be viewed in an Editor View are:

  • Group
  • Mtl
  • Geo
  • Skel
  • Skin
  • Itx
  • Db
  • Anim
  • Cam
  • Lua
  • Asm
  • Gfx
  • Timeline
  • Other

To open a file in the Editor View, do the following:

  • Right-click on the desired file.
  • In the context menu, click View > Editor.

To make changes to the file, do the following:

  • Right-click on the desired file.
  • In the context menu, click View > Editor.
  • Make changes to the data in either the text or data views
  • Save changes by clicking the 'Save File' button at the top of the view


Airplay Art Tools Reference: Details View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Details View >

Details View

Director - Details View

This view allows you to view certain assets in a similar way to the Editor View, whilst allowing you to edit the asset in RAM before committing changes to disk. Editing is made easy as the Details View presents file elements in a table format that has drop-down menus containing the appropriate options.

This view should allow for the easy creation/modification of certain file types, such as .groups, by drag-and-drop or by manually adding to the forms. You can drag-and-drop by holding down the ctrl button while dragging a file into the Details View.

The files that can be viewed in a Details View are:

  • Group

To view the Details of a file, do the following:

  • Right-click on the desired file.
  • In the context menu, click View > Details.

For information on how to save the changes that you have made and commit them to disk, see Saving Changes


Airplay Art Tools Reference: Summary View

Airplay Art Tools Reference > Airplay Studio Director > Director UI > The Different Views > Summary View >

Summary View

Director - Summary View

The Summary View allows you to see a break down of information contained within the asset; e.g., the length of the animation in an ANIM file or the size of a texture. This can be used to compare assets, or to compare two version of the same asset to see which has more vertices, materials etc.

The files that can be viewed in the Summary View are:

  • Geo
  • Skel
  • Skin
  • Anim
  • Texture Files

To view the Summary of a file, do the following:

  • Right-click on the desired file.
  • In the context menu, click View > Summary.


Airplay Art Tools Reference: Customising the Interface

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Customising the Interface >

Customising the Interface

The Airplay Studio Director interface is made up of four panes. The panes can customised by adjusting their height or width, dragging-and-dropping existing views into the desired panes, or setting a pane so that any new views of a specific type are opened in that pane.

The Project View and Log View cannot be closed.

  • Setting Panel for new Views
  • Saving the Layout
  • Loading the Layout


Airplay Art Tools Reference: Setting the Panel that Opens New Views

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Customising the Interface > Setting the Panel that Opens New Views >

Setting the Panel that Opens New Views

Director - Right Click Menu on Panels

To set all the new views of a specific type to open in a pane, do the following:

  • Right-click on the pane or the tab of a file that is currently open in that pane
  • Pick one of the following options
    • Hierarchy Views > Open new Group Views here: Clicking this option opens all new Group Views in the selected pane.
    • Hierarchy Views > Open new Ref Views here: Clicking this option opens all new Reference Views in the selected pane.
    • File Views > Open new Source Views here: Clicking this option opens all new Source Views in the selected pane.
    • File Views > Open new Detail Views here: Clicking this option opens all new Detail Views in the selected pane.
    • File Views > Open new Summary Views here: Clicking this option opens all new Summary Views in the selected pane.

Right-clicking on the tab of a file reveals a further two options:

  • Close Tab: Clicking this option closes the selected tab.
  • Close All Tabs: Clicking this option closes all tabs in the selected pane.


Airplay Art Tools Reference: Saving the Layout

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Customising the Interface > Saving the Layout >

Saving the Layout

Any layouts that are created within Director can be saved and used again. Multiple layouts can be created in this way to allow a user to switch between views depending on project or purpose.

To save the layout:

  • Click File > Save Layout...
  • Enter a file name and a location for the layout
  • Click Save


Airplay Art Tools Reference: Loading a Layout

Airplay Art Tools Reference > Airplay Studio Director > Director UI > Customising the Interface > Loading a Layout >

Loading a Layout

Layouts that have been previously saved can be reloaded at any time. The default layout can also be reloaded in this way; the file is called VLayoutShared.svl and is located in the tools > AirplayStudioDirector > data folder within the Airplay Installation Directory.

To load a layout:

  • Click File > Load Layout...
  • Select a layout file to load
  • Click Open


Airplay Art Tools Reference: Airplay Studio Viewer

Airplay Art Tools Reference > Airplay Studio Viewer >

Airplay Studio Viewer

The Airplay Studio Viewer is used to preview various art assets while they are being developed in an environment similar to that of an appropriate device. Lighting, texturing and export properties can all be checked to make sure that the assets display and function in the desired manner. Assets can also be edited using the viewer.

A Free Camera is used within the Viewer to view the assets. This camera can be moved around using keyboard and mouse controls. Other cameras in the scene cannot be moved from their static positions or animated paths.

  • Introduction to the Viewer
  • Opening an Asset
  • Editing an Asset
  • User Interface
  • Default Controls
  • The Metrics


Airplay Art Tools Reference: Introduction to the Viewer

Airplay Art Tools Reference > Airplay Studio Viewer > Introduction to the Viewer >

Introduction to the Viewer

The Viewer is used to view assets that have or will be exported by the Exporters for use in an application built using the Airplay SDK. Assets can be moved, rotated and checked for accuracy, and options can be set, such as lighting values and colours. This can help to make sure that assets appear on a device as they were intended.

If a Vertex Shader is required for an asset, the application that contains the Vertex Shader must be built first for the system to have the correct files. If not, then the effects of the Vertex Shader will not be visible in the Viewer.

Opening the Viewer

The Viewer can be opened by double-clicking a Viewable file within Director, such as a GROUP file, a GEO file or a SKEL file. For compatible files, a right click option, "View in Viewer" is available. The Viewer can also be opened while developing an asset in a 3D Package by selecting an object and clicking the "View Selected" button or, in Maya, typing 'ASMayaViewSelected'. The Viewer can also be opened using the 'View!' button within the Exporter dialog.

Interface

The Viewer is made up of a series of tabbed panels, containing many options for viewing a particular asset. Many of these panels can be moved to different areas of the screen and these areas can be resized. There are also two menus, a File and a Viewer menu.

  • Menus - There are two menus, the File menu and the Viewer Menu
  • Tabbed Toolbar - This holds four tabs with the main controls
  • 3D Viewing Tab - This is where the asset can be previewed in 3D
  • Scene Tab - This shows what is in the Scene
  • Log Window Tab - This shows all the log messages generated by the Viewer

Related Pages

Quickstart: Using the Viewer

Tutorial: Using the Viewer


Airplay Art Tools Reference: Opening an Asset in the Viewer

Airplay Art Tools Reference > Airplay Studio Viewer > Opening an Asset in the Viewer >

Opening an Asset in the Viewer

When an asset is viewed using the Viewer, the asset and all the files that define that asset are copied into a temporary directory, this allows the asset to be viewed without having to create a project to hold it. The asset will then be displayed in the Viewer as it would appear on device (however, application specific classes/attributes may not work in the viewer). If the asset you are trying to view includes other assets, these assets will be loaded also.

An asset can be viewed either from Director, or using a 3d modelling package, such as 3D Studio Max or Maya.

Viewing an Asset from Director

Viewing from Director

To view an art asset from Director, do either of the following:

  • Double-click the desired asset
  • Right-click the asset and select 'View in Viewer'

Viewing an Asset from 3D Studio Max

Viewing using 3D Studio Max

To view an art asset in 3D Studio Max, do the following:

  • Select the desired asset
  • Click the Airplay Studio Exporter button on the Utilities Tab
  • Click 'View Selected' on the rollout

Viewing an Asset from Maya

Viewing using Maya

To view an art asset in Maya, do the following:

  • Select the desired asset
  • Either:
    • Click AirplayStudio Tools > Airplay Studio: View Selected In Viewer
    • Click the View Selected button on the AirplayStudio Shelf
    • Type 'ASMayaViewSelected' into the script editor or command line in Maya

To exit the Viewer, click File > Exit


Airplay Art Tools Reference: Editing the Asset

Airplay Art Tools Reference > Airplay Studio Viewer > Editing the Asset >

Editing the Asset

The Airplay Studio Viewer displays each of the files that have been loaded in order to view the asset under the File List tab. By default, the File List tab is located in the lower left hand corner of the Viewer. You can view any of these files by double clicking on them. This will display the file in the right-hand side of the Viewer.

If you view an asset from a 3D Modelling Package and enable the 'Import after Editing' option in the Exporter, and subsequently edit the options in the Viewer and save them; these changed are imported back into the program. This is especially useful when editing materials as several parameters do not have equivalents in some 3D Modelling Packages.

To open an asset, do one of the following:

  • Double-Click the asset displayed in the File List
  • Double-Click the asset in the Scene Tab. This will also open related files, such as a MTL file

To modify an asset, do the following:

  • If the file is read-only, click the 'Open for Edit' button
  • Make changes to the asset
  • Save the asset
  • If the asset was under source control, it will need to be checked in manually

Edit Toolbar

Editing a file in the Viewer

An edit toolbar is displayed at the top of an open file. This contains six options:

  • Save - Clicking this button will save the file being edited
  • Restore - Clicking this button will restore the file to when it was last saved
  • To Data/Text - Clicking this button will convert a file which is displayed in an organised Data layout as plain text. The reverse is also true
  • Open for Edit - Clicking this button will open a file for edit if it is under source control
  • Reload - Clicking this button will reload the assets with the changes made
  • Live Update - Selecting this check box for an asset file will cause any changes to be automatically added to the asset as displayed in the Viewer

    • Note: Certain changes will not be added to the displayed asset when the Live Update option is checked, for example, a change to the texture used by a material.


Airplay Art Tools Reference: User Interface

Airplay Art Tools Reference > Airplay Studio Viewer > User Interface >

User Interface

The Viewer Interface is made up from several movable panels, with a tabbed option system and several menus. The layout can be moved around and resized as required. The sections below also include information on the many options available in the Viewer.

  • Menus
  • Tabbed Toolbar
  • Main Panels
  • Changing the Viewer Layout


Airplay Art Tools Reference: Menus

Airplay Art Tools Reference > Airplay Studio Viewer > User Interface > Menus >

Menus

There are two menus within the Viewer, the File Menu and the Viewer Menu. These menus are available at all times when the Viewer is open.

There is a copy of the Viewer Menu within Director. This is the same as the menu within the Viewer, with the exception that the Show Metrics and the Emulator Settings options are not available in the Director version, as they refer to an asset that is currently open in the Viewer. A "Kill Viewer" option is included within the Director menu which can be used to close the Viewer Process.

File Menu

  • Reset Emulator - This resets the Emulator and reloads the assets
  • Exit - This exits the Viewer

Viewer Menu

Viewer - The Viewer Menu
  • Show Metrics - This shows the metrics dialog. For more information, see The Metrics
  • Show Emulator Settings - Shows the Emulator settings dialog. This provides access to background settings that can be changed. For Advanced Users only
  • Edit Key map - Displays the Key Map dialog for changing the keyboard controls. For more information, see Changing the Controls
  • Portrait - Displays assets in Portrait view
  • Landscape - Displays assets in Landscape view
  • Rainbow Mipmaps - Displays coloured mipmaps, used to distinguish between the changes between mipmaps
  • Hardware Only - Uses only Hardware for rendering in the Viewer
  • Software Only - Uses only Software for rendering in the Viewer
  • Dynamic HW/SW - Uses both Hardware and Software for rendering in the Viewer
  • Scanline Renderer - Uses the Scanline renderer for rendering in the Viewer
  • Z-Buffer Renderer - Uses the Z-Buffer renderer for rendering in the Viewer
  • GLES 2.x Renderer - Uses the GLES 2.x renderer for rendering in the Viewer
  • 176 x 203 BREW - A Preset Screen Size
  • 320 x 480 HVGA - A Preset Screen Size
  • 240 x 320 QVGA - A Preset Screen Size
  • 352 x 416 N-Series - A Preset Screen Size
  • 480 x 320 IPhone - A Preset Screen Size
  • Custom Size... - Shows a dialog which allows you to choose custom height and width of the view
  • Edit ZOffset Scale - Objects that are very close together in a model can appear to change their order or flicker. A value can be added for export that helps with the sorting of these objects. The Edit ZOffset Scale value is applied to these values and should be constant within a project.


Airplay Art Tools Reference: Tabbed Toolbar

Airplay Art Tools Reference > Airplay Studio Viewer > User Interface > Tabbed Toolbar >

Tabbed Toolbar

The Tabbed toolbar is located along the top of the viewer. There are four different tabs on this toolbar, Lights, Anim, Model and Options. Some of these commands also have keyboard shortcut keys, see the Default Controls page for details. This toolbar is always available within the Viewer.

Lights Tab

Viewer - The Lights Tab
  • Diffuse - This opens a colour palette where a colour can be chosen for the Diffuse Lighting
  • Ambient - This opens a colour palette where a colour can be chosen for the Ambient Lighting
  • Background - This opens a colour palette where a background colour can be chosen
  • Disable - This disables any lighting added by the Viewer such as the Mouse-Light
  • Fixed Light - The Fixed Light is a light that comes from a fixed position. This must first be set by moving the Mouse-Light to the desired position
  • Rotating - This makes the light revolve around the asset
  • Mouse Light - This allows the position of the light to be chosen by dragging the mouse to the appropriate place within the scene
  • Use Specular - Turns the specular lights on or off
  • Orbit Cam - This is the Camera button. The camera type that is currently chosen is shown in the label on the button. There are four types of camera that can be chosen:
    • Orbit Cam
    • Tumble Cam
    • Fly Cam
    • Walk Cam
  • Reset Lights - Resets lighting to the default values
  • Layout Mode - Resets the layout, used when files have been opened and the right-hand pane has been extended

Anim Tab

Viewer - The Anim Tab
  • |<< - Restarts the Current Animation
  • |< - Rewinds the Current Animation
  • Pause/Play - Plays or Pauses the Current Animation
  • >| - Fast-Forwards the Current Animation
  • >>| - Goes to the End of the Animation
  • Slower - Slows down Animation Playback
  • Faster - Speeds up Animation Playback
  • Reverse - Reverses the Direction of Animation Playback
  • Loop - Loops the Animation
  • Prev Anim - Plays the Previous Animation from the list of available animations
  • Next Anim - Plays the Next Animation from the list of available animations
  • Play All - When ticked, all animations available will be played in order

Model Tab

Viewer - The Model Tab
  • Reset Model - Resets model rotation to 0,0,0
  • Arrange - When on, Arrange mode moves the objects into a line for ease of viewing. This is useful when multiple assets have been loaded and they are all displayed at the origin.
  • Lod Auto - Sets global level of detail to be determined automatically
  • Lod 0 - Sets global level of detail to be 0
  • Lod 1 - Sets global level of detail to be 1
  • Lod 2 - Sets global level of detail to be 2
  • Lod <= - Sets global level of detail to be a level lower (if lower level available)
  • Lod => - Sets global level of detail to be a level higher (if higher level available)

Options Tab

Viewer - The Options Tab
  • HW Raster - When on, the asset is displayed using Hardware Rasterisation. (Only available in HW/SW mode)
  • HW Light - When on, the asset is displayed using Hardware Lighting. (Only available in HW/SW mode)
  • HW Trans - When on, the asset is displayed using Hardware Transformation. (Only available in HW/SW mode)
  • Wireframe - When on, displays the object in wireframe mode
  • Origin - When on, shows the origin position marker
  • SkelMode - This button displays skeleton information. It has three modes:
    • Click once, and all the bones will be displayed
    • Click a second time, and the orientation of each bone making up the model will be displayed
    • Click a third time, and their bones, orientation and name will all be displayed
    • Click a fourth time and all detail will be removed
  • Zoom Fit - Zooms the viewport to fit the Viewing window
  • Zoom x1 - Zooms to actual size
  • Zoom x2 - Zooms by a factor of 2
  • Zoom x3 - Zooms by a factor of 3
  • Zoom x4 - Zooms by a factor of 4


Airplay Art Tools Reference: Main Panels

Airplay Art Tools Reference > Airplay Studio Viewer > User Interface > Main Panels >

Main Panels

The Viewer Window is made up of several sets of Tabs. The central tab which displays the images or animations is called the 3D Tab. There is a set of tabs on the right of the screen which holds the Scene, Show/Hide and Camera Tabs. These are used for changing the views or the visibility of objects within the 3D Tab. Below the 3D Tab is the File List and Log Window Tabs.

The 3D Tab

The 3D tab is the large, central tab, and shows the asset in three dimensions as it would appear within an application built using the Airplay SDK. This image can be rotated, zoomed and many other options changed to help visualise how the asset will appear in an application.

The Scene Tab

The Scene Tab

The Scene tab lists all the elements that are part of the asset being viewed. The elements are grouped in several possible sections, the main ones being Animated, Static and Camera. The eye symbol shows whether the object is visible or not, with an open eye for visible and a closed eye for non-visible. All the objects in the list (except the cameras) can be double-clicked and will open for display or edit in text format in a new tab next to the Camera Tab.

  • The Animated section shows each of the elements that have animation, and lists the animations for each. The currently playing animation is shown with a green dot beside its' name.
  • The Static section shows all the static objects within the scene.
  • The Camera section displays cameras that are in the scene including the free camera. The currently active camera is shown with a green dot beside its' name.

The Show/Hide Tab

The Show/Hide tab allows you to show or hide the various elements that are being displayed in the Viewer. To do this, double-click any of the items listed under this tab. The eye icon shows an open eye for visible and a closed eye for non-visible

The Camera Tab

The Camera Tab

This tab gives control of the free camera. The following options are available:

  • Camera drop-down menu: This drop-down menu allows you to choose from the available set of cameras. Cameras are also shown under the Scene tab.
  • Top: This frames the asset using the top camera. The number '2' key has the equivalent effect.
  • Back: Clicking this button frames the asset using the back camera. The number '1' key has the equivalent effect.
  • Right: Clicking this button frames the asset using the right camera. The number '4' key has the equivalent effect.
  • Bottom: Clicking this button frames the asset using the bottom camera. The number '5' key has the equivalent effect.
  • Front: Clicking this button frames the asset using the front camera. The number '6' key has the equivalent effect.
  • Left: This frames the asset using the left camera. The number '3' key has the equivalent effect.
  • Field of View: Zooms the camera in and out, by adjusting the focal length
  • Near Plane: This allows you to set the position of the near clipping plane.
  • Far Plane: This allows you to set the position of the far clipping plane.
  • Position: This displays the current position of the current camera within the world.
  • Rotation: This displays the current rotation of the current camera within the world.

The Log Window

The Log Window

This tab displays all the log messages generated by the viewer while running, and also displays the log from the export process.

The File List

The File List Tab lists all the files that make up the asset being displayed. To display and/or edit these files, double-click the file and it will be loaded as a tab next to the Camera Tab.


Airplay Art Tools Reference: Changing the Viewer Layout

Airplay Art Tools Reference > Airplay Studio Viewer > User Interface > Changing the Viewer Layout >

Changing the Viewer Layout

Many of the Tabs within the Viewer can be moved to a different section of the screen. These different screen sections can also be resized. Note: When the Viewer is closed, the layout is set back to the default.

See the image below for an example of how the tabs can be rearranged

Layout Change in Viewer

To move a Tab to a different location, do the following:

  • Select the Tab to move
  • Drag the Tab to a new location
  • Release the Mouse Button


Airplay Art Tools Reference: Default Controls

Airplay Art Tools Reference > Airplay Studio Viewer > Default Controls >

Default Controls

As with many programs, the Viewer can be controlled using the mouse or other pointing device and the keyboard. Most of the keyboard commands have a corresponding button or menu that can be accessed using the mouse, and the mouse is generally easier to control when moving the free camera and zooming in to assets.

The keyboard controls can easily be changed using the "Edit Key Map" option which occurs within the Viewer and also in Director. For more information see the "Changing the Controls" section.

  • Camera Controls: Keyboard
  • Camera Controls: Mouse
  • Keyboard Controls
  • Changing the Controls


Airplay Art Tools Reference: Camera Controls: Keyboard

Airplay Art Tools Reference > Airplay Studio Viewer > Default Controls > Camera Controls: Keyboard >

Camera Controls: Keyboard

Camera movement can be controlled using the keyboard or the mouse. Options for the Camera can either be found on the toolbars or can be accessed using keyboard shortcuts. There are two sections listed below. The first is the Camera Options, which includes choosing the camera type for the free camera or selecting a different camera within the scene. The second is the Camera Movement keys, which control the movement of the camera around the scene.

The Shift key can be included in many of key combinations to increase the speed of the operation.

Camera Options

  • Change Camera Type
    • Default Key: t
    • Changes the Camera type. The options are: orbit cam, tumble cam, fly cam, and walk cam
  • Increase Field of View
    • Default Key: 8
    • Increases the Field of View
  • Decrease Field of View
    • Default Key: 9
    • Decreases the Field of View
  • Change Camera
    • Default Key: o
    • Changes between different Cameras in the scene

Camera Movement Controls

  • Move Camera Forwards
    • Default Key: w
    • Moves Camera Forwards
  • Move Camera Backwards
    • Default Key: s
    • Moves Camera Backwards
  • Move Camera Left
    • Default Key: a (also 4 on numpad)
    • Moves Camera to the Left
  • Move Camera Right
    • Default Key: d (also 6 on numpad)
    • Moves Camera to the Right
  • Move Camera Up
    • Default Key: f
    • Moves Camera Upwards
  • Move Camera Down
    • Default Key: v
    • Moves Camera Downwards
  • Back View
    • Default Key: 1
    • Frames Model in Back View
  • Top View
    • Default Key: 2
    • Frames Model in Top View
  • Left View
    • Default Key: 3
    • Frames Model in Left View
  • Right View
    • Default Key: 4
    • Frames Model in Right View
  • Bottom View
    • Default Key: 5
    • Frames Model in Bottom View
  • Front View
    • Default Key: 6
    • Frames Model in Front View


Airplay Art Tools Reference: Camera Controls: Mouse

Airplay Art Tools Reference > Airplay Studio Viewer > Default Controls > Camera Controls: Mouse >

Camera Controls: Mouse

The Mouse is used to control the movement of the Free Camera. It can also be used be used to move the Mouse-Light when active. For the commands below, hold down the appropriate controls and move the Mouse

Alt + Left Mouse Button

Move the Mouse to Rotate around the focal point

Alt + Right Mouse Button

Move the Mouse up or down to move the camera closer or further from the focal point

Alt + Mouse Wheel Press

Move the Mouse to pan the view

Left Mouse Button

When the Mouse-Light is turned on, press down the Left Mouse Button and move the mouse to move the Mouse-Light around the scene


Airplay Art Tools Reference: Keyboard Controls

Airplay Art Tools Reference > Airplay Studio Viewer > Default Controls > Keyboard Controls >

Keyboard Controls

The Viewer can be controlled using the mouse or keyboard, or a combination of the both for ease of use. Many of the key commands shown below also have corresponding buttons on the Toolbar but do not have a equivalent mouse command.

The Shift key can be included in many of the key combinations to increase the speed of the operation.

General Options

  • Close View
    • Default Key: Esc
    • Closes the currently open view, leaving the viewer open
  • Show/Hide Origin
    • Default Key: x
    • Shows or Hides the Origin Marker

Lighting Controls

  • Lighting Toggle
    • Default Key: shift + k
    • Toggles the lighting mode between no light, fixed light, and rotating light

LOD Controls

  • LOD Scroll Upwards
    • Default Key: N
    • Scrolls upward through Level of Detail models
  • LOD Scroll Downward
    • Default Key: M
    • Scrolls downward through Level of Detail models

Model Options

  • Reset Model
    • Default Key: q
    • Resets the Model to its saved state
  • Rotate Model Around X Anticlockwise
    • Default Key: up arrow key
    • Rotate the Model anticlockwise around the X axis
  • Rotate Model Around X Clockwise
    • Default Key: down arrow key
    • Rotate the Model anticlockwise around the X axis
  • Rotate Model Around Y Anticlockwise
    • Default Key: z
    • Rotate the Model anticlockwise around the Y axis
  • Rotate Model Around Y Clockwise
    • Default Key: c
    • Rotate the Model clockwise around the Y axis

Animation Controls

  • Animation Scroll Forwards
    • Default Key: Number Pad Plus (+)
    • Use to scroll forwards through all of the animations in a GROUP file
  • Animation Scroll Backwards
    • Default Key: Number Pad minus (-)
    • Use to scroll backwards through all of the animations in a GROUP file
  • Animation Looping
    • Default Key: l
    • Changes whether animations loop continuously or loop singularly
  • Play One/Play All
    • Default Key: b
    • Toggles whether to play one animation or to play all the animations
  • Play/Pause
    • Default Key: p
    • Plays or Pauses the Current Animation
  • Increase Anim Speed
    • Default Key: r and Number Pad Plus (+)
    • Increases the Animation speed
  • Decrease Anim Speed
    • Default Key: r and Number Pad minus (-)
    • Decreases the Animation speed


Airplay Art Tools Reference: Changing the Controls

Airplay Art Tools Reference > Airplay Studio Viewer > Default Controls > Changing the Controls >

Changing the Controls

The Keyboard Controls for the Viewer can easily be changed in either the Viewer or through Director. If a key combination has two parts, the "Down" part must be kept depressed while the "Pressed Key" is pressed to run the command. For example, in the key combination Ctrl+Alt+Del, the Ctrl and Alt keys are depressed (the "Down" keys) while the Del ("Pressed Key") is pressed.

Viewer Key Map

Opening the Controls Dialog

There are several ways to open the Viewer Key Map Dialog:

  • Choose "Edit Key Map" from the Viewer Menu in either the Viewer or Director
  • Click the "Edit Key Map" button on the "Viewer: Options" Tab in Director.

Changing the Controls

To Change a control, select the control from the list and either:

  • Select a Pressed Key from the Pressed Key drop-down box
  • Select a Pressed Key and a Down Key from the drop-down boxes
  • Click in the Key Combo box and type a single key or a combination of 2 keys

Click "Done" when all the keys required have been changed.

Resetting the Controls

To Reset the Controls to their Default Settings, Click the "Reset" Button on the Viewer Key Map Dialog.


Airplay Art Tools Reference: The Metrics

Airplay Art Tools Reference > Airplay Studio Viewer > The Metrics >

The Metrics

The Metrics is a selection of data about the asset or assets that are currently loaded in the Viewer. This includes data such as how much memory is being used, how many polygons are being rendered and how large the textures are. There is also data about the Viewer's System, which is similar to that of an application built using the Airplay SDK. This includes data about memory usage, files currently open, and sound and animation options.

To open the Metrics Dialog, go to Viewer > Show Metrics. A dialog box will be loaded showing the categories on the left and the data on the right. This data continuously updates while the viewer in running.

There are two sections within the Metrics:

  • Airplay System Metrics - This section is about the background environment within which the asset is currently open.
  • Airplay Studio Metrics - This section is about the asset that is open, its size, and the parts that it is comprised of.

For more information on the Metrics, see the Metrics section in the Airplay SDK Reference.


Airplay Art Tools Reference: Airplay Studio Font Builder

Airplay Art Tools Reference > Airplay Studio Font Builder >

Airplay Studio Font Builder

The Airplay Studio Font Builder is used to produce Fonts in the correct format, to use within an application built using the Airplay SDK. Any selection of characters can be used when creating a font file, different fonts can also be placed together into a single font file. The Font Builder generates two different files, a GXFONT file, which is read by the Airplay SDK, and a .tga file which is used as the visual representation of the font within the application.

  • Introduction to the Font Builder
  • Creating a Font
  • Loading a Font
  • User Interface


Airplay Art Tools Reference: Introduction to the Font Builder

Airplay Art Tools Reference > Airplay Studio Font Builder > Introduction to the Font Builder >

Introduction to the Font Builder

The Airplay Studio Font Builder is a small program that creates Fonts as bitmap textures that are saved as GXFONT and .TGA types to be used within the Airplay SDK. Any Truetype Font can be used, and size, colour, and letter spacing can all be added to create the desired look.

Opening the Font Builder

The Font Builder can be opened from the start menu group for the Airplay SDK, in the folder "Tools". It can also be opened from the "Airplay Studio Tools" tab of the Launchpad Application.

The Interface

There are five sections within the main window of the Font Builder Interface. There is also a File menu, which contains a Load File item, for loading an existing Font, and a Help item, which loads the Font Builder section of the Tools Reference Guide.

The Font Builder Interface
  • Input Window - This is where a Font is chosen and the characters required in the Font are added.
  • Input (per range) Options - This section is where sub-ranges can be chosen and configured. It also includes options for text padding and antialiasing.
  • Output - This is where the Font can be viewed. It also includes a section for zooming in to individual characters.
  • Output Options - This is where the colour for the Font can be selected and style options set.
  • Saving and Loading - This is where a filename is specified for the Font and where the Create and Load Font buttons are located.

Related Pages

Quickstart: Using the Font Builder

Tutorial: Building a Font


Airplay Art Tools Reference: Creating a Font

Airplay Art Tools Reference > Airplay Studio Font Builder > Creating a Font >

Creating a Font

The Font Builder uses TrueType Fonts as its input and produces a .TGA file as the texture for the characters, where the letters are saved in the alpha channel, and a GXFONT file, which is read by the Airplay SDK and used to create text using the Font within an application.

The Font Builder can handle Unicode characters, but if the font that you want to use does not have the characters in that you have specified, they may not display or be added to the texture correctly.

Choosing a Font

Selecting a Font
  • Click the "Select..." button to open a Font dialog
  • Choose a Font (making sure it is a TrueType font)
  • If required, change the font style
  • If required, choose a different Font size
  • Click OK

Previewing a Font

The Characters that are currently part of the Font are shown in the "Characters" field. If the "Preview" checkbox is checked then the Characters are shown in the chosen font, style and size. If the "Preview" checkbox is unchecked, then the Characters are shown in the Default font, Trebuchet MS, size 8.

Adding Extra Characters

Adding new Characters to the Font

Characters can be added into the Font in two ways:

  • Characters can be typed directly into the Characters field
  • Characters can be chosen by entering a Unicode Range. (The Characters represented by this range are shown in the adjacent field.) To add these to the Font, click the "Add" button.

Optimise Characters

A Font can not have any repeated Characters. To easily remove duplicated Characters, click the "Optimise" button. This removes any duplicate Characters (within a single sub range) and reorders the remaining Characters according to their Unicode Values.

Sub Ranges

Setting up Subranges

Sub Ranges are used to allow you to split your character input into sub sections, which can have differing properties, such as using a different font or different alignment, whilst still outputting only one texture and one GXFONT file.

  • To add a sub range, click the "Add" button
  • Choose which characters you want within this sub range
  • Click OK

Sub Ranges are displayed in the sub range field. To set properties for individual sub ranges, make sure that the one required is selected in this field. To remove a sub range, and click the "Remove" button.

The other options, antialiasing, kerning, alignment and padding can be set differently for each of the sub ranges.

Output

Viewing the Output

To View the Font with chosen spacing, font type and other options, Click the "Redraw" Button. The Characters are then drawn in the Output field. The "Prev" and "Next" buttons can be used to scroll though multiple pages of the Font. (This can be done for ease of display but this has no effect on the saved Font). The Font Colouring may not look exactly as expected in the Output window, as this shows the Alpha Channel, where the font is saved.

Each of the individual Characters can be selected to be drawn in the Character window, to the right of the Output Field. This scales the Character to fit the window, and can be used for previewing the quality of the Character.

Changing the Font Colour

Changing the Colour

There are two ways to change the Font Colour:

  • Enter an RGB value into the Colour fields
  • Click the "Select..." button and choose a colour from the palette

Character Shadows

To add a Character Shadow, check the "Drop Shadow" checkbox. The distance of the shadow from the letter can then be changed by entering a value into the field to the right of the checkbox. To preview the Drop Shadow, click the "Redraw" button to draw the Characters in the Output window. Lower numbers move the shadow closer to the character, higher numbers move it further away. Only positive values can be used for the drop shadow.

Saving A Font

Saving the Font
  • To choose a location to save the Font, either:
    • Type the file name and path into the "Save Path" field
    • Click the "Browse" button and choose a file name and path
  • Select whether the GXFONT file, the .TGA file, or both files need to be saved
  • Click the "Create" button to save the file(s)


Airplay Art Tools Reference: Loading a Font

Airplay Art Tools Reference > Airplay Studio Font Builder > Loading a Font >

Loading a Font

Existing Fonts can be modified using the Font Builder. The Font Builder only opens Fonts from GXFONT files; a Font cannot be opened from a .TGA file.

Loading a Font

  • To load an existing Font either:

    • Select "Load" from the File Menu
    • Click the "Load" button from the Saving and Loading Section
  • Select the required Font
  • Click OK

If another Font is loaded while an existing Font is open, then the existing Font will be discarded. Any changes made to a loaded Font, must be saved using the "Create" button or the changes will be lost.


Airplay Art Tools Reference: User Interface

Airplay Art Tools Reference > Airplay Studio Font Builder > User Interface >

User Interface

The Font Builder interface is split into five sections containing a selection of objects. It is designed in a way that the general workflow takes the user through each of the sections when creating a font. There is also a menu bar with a file menu containing a Load file option and a link to the help menu.

  • Input
  • Input (per range) Options
  • Output
  • Output Options
  • Saving and Loading


Airplay Art Tools Reference: Input

Airplay Art Tools Reference > Airplay Studio Font Builder > User Interface > Input >

Input

This section deals with the input of the actual characters that are required within the texture and the GXFONT file.

  • Font - This displays the font that will be used to create the texture(the default is Trebuchet MS). A different font can be chosen via the "Select..." button. This will load a font dialog, where a font, font style and font size can be selected.
  • Characters - This field allows characters to be entered that are required within the font. This field can take Unicode characters. When using Sub Ranges it will display the characters in the currently selected Sub Range (for more on Sub Ranges see the Input (per range) Options section below).
  • Preview - This check box allows you to preview your characters using the font chosen in the Font field.
  • Optimise - This removes any duplicates from the characters within the Characters field and orders them according to their Unicode values.
  • Unicode Range - This allows characters to be added to the Characters field by choosing the appropriate Unicode range. These characters will be displayed in the field to the right of the selected values. The range can then be added to the other characters by clicking the "Add" button. The character list is then automatically optimised.


Airplay Art Tools Reference: Input Options

Airplay Art Tools Reference > Airplay Studio Font Builder > User Interface > Input Options >

Input Options

This section allows for the creation of sub ranges, which are used to apply different properties or different fonts to the characters with the texture, while still only creating one texture and one GXFONT file. This section also contains options to change character padding, positioning and antialiasing.

Note: The text display of the Sub Range may not update straight away if the characters within it have changed. Clicking the Sub Range again will force it to refresh.

Input (per range) Options Section
  • Sub Ranges - This window displays the Sub Ranges that are being used. The default is one sub range containing all of the characters.
  • Note: Characters in Sub Ranges cannot be duplicates of characters in other Sub Ranges. The Optimise button will only remove duplicates from a single sub range, not other several sub ranges.
  • Add - The "Add" button creates a new sub range and prompts for the characters to add. If the Characters already exist in another sub range, they will be removed and added to the new sub range. Characters can be changed later within the Characters field.
  • Remove - This option will remove the selected sub range and all the characters/properties in it. The characters will then be added to the first sub range in the list.
  • Anti Alias - This drop down menu allows you to set specific anti alias properties on the currently selected sub range. The specific formats provided suit some fonts better than others and some will not produce noticeable results at smaller font sizes.
    • SystemDefault - Specifies that each character is drawn using its glyph bitmap, with the system default rendering hint. The text will be drawn using whatever font smoothing settings the user has selected for the system.
    • SingleBitPerPixelGridFit - Specifies that each character is drawn using its glyph bitmap. Hinting is used to improve character appearance on stems and curvature.
    • SingleBitPerPixel - Specifies that each character is drawn using its glyph bitmap. Hinting is not used.
    • AntiAliasGridFit - each character is drawn using its antialiased glyph bitmap with hinting.
    • AntiAlias - each character is drawn using its antialiased glyph bitmap without hinting. Stem width differences may be noticeable because hinting is turned off.
    • ClearTypeGridFit - each character is drawn using its glyph CT bitmap with hinting. The highest quality setting. Used to take advantage of ClearType font features.
  • Contrast - This setting effects some of the Anti Alias types and allows for the contrast of the aliased pixels to be altered.
  • Kerning - This allows for the overriding of the fonts kerning table.

The following options allow for the modification of the way the individual characters in the sub range are positioned into the texture by changing the amount of white space around the character. This white space is the amount of padding that will be used when placing the font in an application. The default amount of kerning in your application is always 1 pixel of space around each character, the equivalent of having 1 pixel of white space.

  • Align - Gives a choice of alignments for the Characters.
    • Shrink - This option will minimise the amount of white space around the character uniformly, meaning that it will be justified with no extra spacing when used in an application.
    • Left - This biases the amount of white space to be to the right of the characters so that they appear left justified.
    • Right - This biases the amount of white space to be to the left of the characters so that they appear right justified.
  • Left Padding - This is the number of extra pixels of white space that are added to the left of the characters.
  • Right Padding - This is the number of extra pixels of white space that are added to the right of the characters.


Airplay Art Tools Reference: Output

Airplay Art Tools Reference > Airplay Studio Font Builder > User Interface > Output >

Output

This section allows you to preview the characters as they will be rendered into the texture. It is useful for previewing the quality of the characters and their spacing.

  • Redraw - This button will create the preview of the texture, using all of the settings and characters in the Sub Ranges. Use the Prev and Next buttons to cycle through the pages of previews (Although the previews are broken up into pages, this is just for convenience in layout, and will not affect the way the texture is created).
  • Prev - (under the output window) This button will move to the previous page of the font preview
  • Next - (under the output window)This button will move to the next page of the font preview
  • Character - If you select a character from the Output window it will previewed here (scaled to fit the box, which is usually an enlargement of the texture), along with its Unicode value.
  • Prev - (under the Character box) This button will select the character that precedes the currently selected one for display in the Character preview window.
  • Next - (under the Character box) This button will select the character that follows the currently selected one for display in the Character preview window.


Airplay Art Tools Reference: Output Options

Airplay Art Tools Reference > Airplay Studio Font Builder > User Interface > Output Options >

Output Options

This section allows the colour of the Font to be changed and global styles and parameters to be set.

Output Options Section
  • Colour - This allows you to set a colour for the characters in the font either by manually entering RGB values or via the Select button.
  • Note: If you change the colour of the texture, the alpha channel that will be written out in the texture is still being displayed in the Output window, which may make the preview appear incorrect. This is not going to effect the outputted texture.
  • All Caps - This sets all the characters to upper-case - regardless of what they were before.
  • Drop Shadow - This will force a drop shadow to be rendered into the texture
  • Drop Shadow - The int field next to the Drop Shadow check-box holds the value that will be used for the distance in pixels that the drop shadow will be rendered from the character.
  • TGA Spacing - This value is the distance in pixels between characters in the texture.
  • Leading - This value can override the space in pixels that will be used between the lines of text in an application.


Airplay Art Tools Reference: Saving and Loading

Airplay Art Tools Reference > Airplay Studio Font Builder > User Interface > Saving and Loading >

Saving and Loading

This section allows you to set the output path for your files as well as what files you wish to output.

Saving and Loading Section
  • Save Path - This is the path that will be used to output files. It can be set by typing the path directly into the field, or by clicking on the "Browse..." button and selecting a path and filename.
  • Save .TGA - This check-box specifies whether or not a TGA texture is output. By default this is on
  • Save .gxfont - This check-box specifies whether or not a GXFONT file is output. By default this is on
  • Pallete - This drop-down has settings for modifying the output TGA file.
    • Default - Saves the TGA as 32bit with alpha
    • 16 Colours - Saves the TGA as 32bit with alpha, but crushes all the colours/shades into 16 colours
    • 1 bit alpha - Saves the TGA as 32bit with alpha, full colour but with a 1 bit alpha.


Airplay Art Tools Reference: Airplay Studio UI Builder

Airplay Art Tools Reference > Airplay Studio UI Builder >

Airplay Studio UI Builder

The Airplay Studio Editor can be used to create and edit UI files. These UI files can then be included as a resource inside an application.

  • Introduction to the UI Builder
  • Laying out controls
  • Customising a control
  • Creating a calculator
  • User Interface


Airplay Art Tools Reference: Introduction to the UI Builder

Airplay Art Tools Reference > Airplay Studio UI Builder > Introduction to the UI Builder >

Introduction to the UI Builder

The Airplay Studio UI Builder is a program that creates user interface files that are saved as .UI types to be used within the Airplay SDK.

Opening the UI Builder

The UI Builder can be opened from the start menu group for the Airplay SDK, in the folder "Tools". It can also be opened from the "Airplay Studio Tools" tab of the Launchpad Application.

The Interface

There are four panels within the main window of the UI Builder Interface. There is also a File menu, which allows the user to create, load and save projects, and a Help item, which loads the UI Builder section of the Tools Reference Guide.

The UI Builder Interface
  • Menus - There are four menus on the menu bar, and a context menu for right-click events
  • Files - This is the hierarchy of files within the root group
  • Palette - A collection of Preset Elements, Layouts and Focus Handlers
  • Media - This is a collection of assets
  • Viewer - This displays UI file as it will appear on the device
  • Source View - This displays the source of the file
  • Element Editor - This is the main property editor for elements
  • Layout Editor - This displays the layout of the current file
  • Style Editor - This displays the styles and property sets
  • Material Editor - This displays the materials that are used in the group


Airplay Art Tools Reference: Laying out controls

Airplay Art Tools Reference > Airplay Studio UI Builder > Laying out controls >

Laying out controls

Layouts are used within IwUI to arrange child elements within the available space. If a control is not within a layout it can be moved and re-sized freely. However if a control is within a layout it can re-size and re-position itself automatically depending on the space available.

Applications can be made up from elements and controls nested within a layout tree so that the application will adjust suitably for a wide range of screen sizes.

Aligning Controls

With some layouts it may not always be possible to align a control to all edges of screen. Horizontal and Vertical layouts arrange the controls one after another and it is not possible to align a control with the right or bottom edge respectively. In the case of the Grid layout it is important to set the sizeToSpace property true to ensure the grid expands to fit space available.

How to align controls on a Panel

  1. Add a Panel by dragging it from the Palette onto viewer.
  2. Change the Panels layout by dragging a Layered layout from the ChangeLayout section of the Palette onto the element named "Base" in the element hierarchy.
  3. Ensure the Base element is highlighted and drag any of the Controls from the Palette onto the Viewer (it be aligned automatically)

Aligning an existing control

  1. Switch to the Element Editor
  2. Select the element or control in the Viewer or Element Hierarchy
  3. Adjust the alignV property in Element Editor
  4. Click the Refresh Viewer Data icon if the Viewer does not update

Using a Grid layout

  1. Add a Grid layout by dragging it from the Palette onto the viewer
  2. Switch to the Layout Editor
  3. Select CIwUILayoutGrid in the Layout Hierarchy
  4. To change the number of rows or columns edit the numRows or numColumns property
  5. To ensure the grid expands to fit the entire screen set the sizeToSpace property to true
  6. To change a controls row or column select the control within Viewer, Element Hierarchy or Layout Hierarchy.
  7. Change the row or column property
  8. Change the rowSpan or columnSpan property to allow the control the span multiple rows or columns

Changing the background

  1. Add a Layered layout by dragging it from the Palette onto the Viewer or into the Element Hierarchy
  2. Add an Image by dragging it from the Palette onto Viewer into the Layered layout on the Element Hierarchy
  3. Switch to the Element Editor
  4. Select the Image in the Element Hierarchy
  5. Set the sizeToContent property to false
  6. Click the Change icon on the texture property
  7. Select -=new=-
  8. Select your .group file
  9. Choose a texture file (tga, bmp, gif or png) and press Open
  10. Click the Reset Viewer icon to update the texture


Airplay Art Tools Reference: Customising a control

Airplay Art Tools Reference > Airplay Studio UI Builder > Customising a control >

Customising a control

Adding a texture

  1. Select the control on the viewer or within the element hierarchy
  2. Switch to the Element Editor
  3. Find the texture property
  4. If the property is greyed out, click the Override icon
  5. Click the Change icon
  6. Select -=new=-
  7. Select your .group file
  8. Choose a texture file (tga, bmp, gif or png) and press Open
  9. Click the Reset Viewer icon to load the texture

Adding a font

  1. Select the control on the viewer or within the element hierarchy
  2. Switch to the Element Editor
  3. Find the font property
  4. Select -=new=-
  5. Select your .group file
  6. Choose a gxfont file (created by the Font Builder) and press Open
  7. Click the Reset Viewer icon to load the font

Changing a Control's colour

  1. Add a Control by dragging it from the palette onto the viewer
  2. Select the Control on the viewer or within the element hierarchy
  3. Switch to the Element Editor
  4. Change the RGBA values or click the icon to bring up the colour picker
Changing the button colour

Re-sizing a button

If a button is not within a layout its minimum and maximum size must be overridden before it can be resized:
  1. Select the button on the viewer or within the element hierarchy
  2. Switch to the Element Editor
  3. Find the sizeMax property
  4. Click the Override icon
  5. Specify a larger size or (-1,-1) if you wish there to be no maximum size
  6. Repeat steps 3 - 5 for the sizeMin property
  7. If the button is not within a layout it can be resized by adjusting the size property of re-sizing the button within the viewer
  8. If the button is within an layout it will expand to it's sizeMax property if the space is available

Changing a button texture

  1. Add a button by dragging it from the palette onto the viewer
  2. Select the button on the viewer or within the element hierarchy
  3. Switch to the Element Editor
  4. Find the greyed out buttonUp property
  5. Click the override icon
  6. Click the change icon
  7. Select -=new=-
  8. Select your .ui file
  9. Enter a name (e.g '<button_texture>') and press OK
  10. Switch to the Style Editor
  11. Change the texture property
  12. Select -=new=-
  13. Select your .group file
  14. Choose a texture file (tga, bmp, gif or png) and press Open
  15. Click the Reset Viewer icon to update the texture

Adding an icon to a button

  1. Add a button by dragging it from the palette onto the viewer
  2. Select the button on the viewer or within the element hierarchy
  3. Switch to the Element Editor
  4. Set the caption to blank
  5. Drag an Image from the palette onto the button
  6. Change the texture on the Image to for example deletekey_symbol
  7. Position the Image on the button manually

In order to re-size the icon:

  1. Select the Image on the viewer or within the element hierarchy
  2. Switch to the Element Editor
  3. Set the sizeToContent to false
  4. Re-size the icon within the viewer or by changing the size property

In order to have the icon centre automatically:

  1. Switch to the Layout Editor
  2. Change the layout on the button by dragging ChangeLayout/Layered onto the button in the hierarchy
  3. Select the Image
  4. Set the alignV property to middle
  5. Set the alignH property to centre


Airplay Art Tools Reference: Creating a Calculator

Airplay Art Tools Reference > Airplay Studio UI Builder > Creating a Calculator >

Creating a Calculator

Note: Do not worry if there are errors appearing in the log window, during editing the data will not always be in a consistent state.

  1. Open the UI Builder (<sdk_root>\tools\ASUIBuilder\ASUIBuilder.exe)
  2. Create a new Project:
    1. Click on the 'New Prj...' button
    2. Type in or browse to the project data directory (usually this is <project_name>\data)
    3. Set the name of GROUP file to UI.group. There will be 2 files created, a GROUP file which the application (and the viewer) will use to load all the assets and UI files for this project and a UIP file which stores settings of the project.
    4. Set the style to 'iwui_style'. All the files associated with this style are copied into your project data directory.
    5. Click 'OK'
    3. Creating a new project
  3. Create a new UI file and load it up
    1. Right click in the files view and click 'New UI file...'
    2. Type in 'test.ui' then click 'OK'
    3. Double click on the new UI file in the "Files" panel
    4. Click 'Save Prj'
  4. Create the background
    1. From the Palette drag 'Layouts/Panel' onto the tree view (the left hand panel) of the Element Editor. 'Layouts' are a package of a base element and a layout, 'Panel' is a set of elements that give us a standard background for our UI.
    2. From the Palette drag 'ChangeLayout/Grid' onto 'Base' in the tree view of the Element Editor 'ChangeLayout' changes the layout type on an element. 'Grid' is an layout that splits its area into a x by y grid.
    3. Go to the Layout editor
    4. Select the CIwUILayoutGrid under the 'Base' Element
    5. Change the numColumns to 1
    6. Go back to the Element Editor
  5. Create the results field
    1. From the Palette drag 'Controls/Label' onto 'Base' in the tree view of the Element Editor 'Controls' are standard UI Controls 'Label' is a text label
    2. Change the name to Result.
    3. Change the caption to 0.
    4. Click on the change button next to the style and change this to '<label_large>'. A style is a set of properties that the element derives from. These are editable in the Style Editor.
    5. Click on the Override button next to the AlignH property. This property is defined in the '<label_large>' style set, but we want to change it.
    6. Change AlignH to right.
    7. Override the sizeMin, sizeMax and sizeToContent
    8. Change sizeMin to 160 by 24
    9. Change sizeMax to -1 by -1. this means use the maximum possible size.
    10. Change the sizeToContent to false
  6. Create our button grid
    1. From the Palette drag 'Layouts/Grid' onto 'Base' in the tree view of the Element Editor
    2. Change the name of Grid to Buttons
    3. In the Layout Editor select the CIwUILayoutGrid under the 'Buttons' element
    4. Change numColumns to 4
    5. Change numRows to 6
    6. Go back to the Element Editor
  7. Create our first button
    1. From the Palette drag 'Controls/Button' onto 'Buttons' in the tree view of the Element Editor
    2. Change the name to 'Button_mc' and the caption to 'mc'
    3. Override the sizeMin and sizeMax properties
    4. Set sizeMin to 36 by 24
    5. Set sizeMax to -1 by -1
    6. Set sizeHint to 300 by 300
  8. Creating more buttons
    1. Hold down <ctrl> and drag 'Button_mc' onto 'Buttons'
    2. Repeat until we have 22 buttons (5 rows of 4 buttons and 2 buttons on the bottom row)
    3. Change the caption on each button to match the table below, change the button names at the same time, but be aware that names should only contain alphanumeric characters and '_'. Problems may arise if you have multiple items with the same name in a layout.

      mc
               m+
               m-
               mr
      C
               +/-
               /
               *
      7
               8
               9
               -
      4
               5
               6
               +
      1
               2
               3
               =
      0
              .

    4. In the Layout Editor move the '.' button to column 2
    5. Change the rowSpan of the '=' button to 2
    6. Change the columnSpan of the '0' button to 2
    7. Set the colours of the top row of buttons to red (255,0,0)
    8. Set the colour of the '=' button to orange (255,128,0)
    9. Set the colours of the other operator buttons ('C','+/-' etc) to light gray (192,192,192)
  9. Changing font on the results field
    1. Override the font on the Result element
    2. Click change on the font property and select 'font_huge'
    3. Change the sizeMin to 160,34
    4. Change the colour to black (0, 0, 0, 255)
  10. Hooking up to the code
    1. On the 'mc' button click 'Add new OnButtonClick'
    2. Copy 'CController::OnClickButton_mc' into the '<item 0>' property. This sets the function in the application that will be called when this button is clicked. There can be multiple functions called on a click if more items are added here.
    3. Repeat this for all the buttons, the functions are as follows:
      • CController::OnClickButton_mc
      • CController::OnClickButton_mplus
      • CController::OnClickButton_mminus
      • CController::OnClickButton_mr
      • CController::OnClickButton_C
      • CController::OnClickButton_plusminus
      • CController::OnClickButton_divide
      • CController::OnClickButton_times
      • CController::OnClickButton_7
      • CController::OnClickButton_8
      • CController::OnClickButton_9
      • CController::OnClickButton_minus
      • CController::OnClickButton_4
      • CController::OnClickButton_5
      • CController::OnClickButton_6
      • CController::OnClickButton_plus
      • CController::OnClickButton_1
      • CController::OnClickButton_2
      • CController::OnClickButton_3
      • CController::OnClickButton_equal
      • CController::OnClickButton_0
      • CController::OnClickButton_dot


Airplay Art Tools Reference: User Interface

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface >

User Interface

  • Main Menus
  • Main Toolbar
  • Files Tab
  • Palette Tab
  • Media Tab
  • Viewer Tab
  • Source Tab
  • Element Editor Tab
  • Layout Editor Tab
  • Style Editor Tab
  • Material Editor Tab


Airplay Art Tools Reference: Main Menus

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Main Menus >

Main Menus

The Main Menu Bar is located at the top of the screen and has four menus. All menus are available at all times. The Viewer menu has a selection of the options available in the Viewer menu from the full Viewer application. The contents of all these menus is shown below.

File Menu

UI Tool - The File Menu
  • New Project - Creates a new project
  • Load Project - Loads and existing project (UIP) file
  • Save Project... - Saves the current project and any other open files
  • New UI... - Creates a new UI file. The file is added into the root GROUP file
  • Save UI... - Save the currently open UI file
  • Exit - Exits the Program

Viewer Menu

UI Tool - The Viewer Menu
  • Restart Viewer - If the viewer has not been initialized, Initialize the viewer and load the root group otherwise clean out the data and reload the root group
  • Portrait - Displays assets in Portrait view
  • Landscape - Displays assets in Landscape view
  • Hardware Only - Uses only Hardware for rendering in the Viewer
  • Software Only - Uses only Software for rendering in the Viewer
  • Dynamic HW/SW - Uses both Hardware and Software for rendering in the Viewer
  • Scanline Renderer (SW) - Uses the Scanline renderer for rendering in the Viewer
  • Z-Buffer Renderer (SW) - Uses the Z-Buffer renderer for rendering in the Viewer
  • GLES 2.x (HW) - Uses the GLES 2.x renderer for rendering in the Viewer
  • 176 x 203 BREW - A Preset Screen Size
  • 320 x 480 HVGA - A Preset Screen Size
  • 240 x 320 QVGA - A Preset Screen Size
  • 352 x 416 N-Series - A Preset Screen Size
  • 480 x 320 IPhone - A Preset Screen Size
  • Custom Size... - Shows a dialog which allows you to choose custom height and width of the view

Preferences Menu

UI Tool - The Preferences Menu
  • Auto Start Viewer - Loads the root Group into the Viewer on start-up
  • Show Assert Box - Shows pop-up assert messages, uncheck to send assert messages to the log window
  • Outline Hierarchy - Toggles debug drawing for the Hierarchy in the Viewer
  • Outline Siblings - Toggles debug drawing for the Siblings in the Viewer
  • Outline Margins - Toggles debug drawing for the Margins in the Viewer

Help Menu

UI Tool - The Help Menu
  • Help File... - Opens the Help File
  • About ASUI Builder... - Shows the About Box


Airplay Art Tools Reference: Main Toolbar

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Main Toolbar >

Main Toolbar

UI Tool - The Main Toolbar
  • New Project - Creates a new project
  • Load Project - Loads and existing project (UIP) file
  • Save Project - Saves the current project and any other open files
  • New UI - Creates a new UI file. The file is added into the root GROUP file
  • Save UI - Save the currently open UI file
  • Auto Start Viewer - If the viewer has not been initialized, Initialize the viewer and load the root group otherwise clean out the data and reload the root group
  • Reset Viewer - Resets the Viewer


Airplay Art Tools Reference: Files Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Files Tab >

Files Tab

UI Editor - Files Tab

The Files Tab lists the files within the current Root Group. Group files are shown with their contents displayed in a hierarchy. UI files can be opened for editing by double clicking the file within the Files Tab.

Right-Click Menu

The Files Tab also includes a right-click menu. This contains the following options:

  • Add File... - Adds an existing file to the group file under the cursor, or to the root group if not over a group file.
  • New Group File... - Adds a new group file to the group file under the cursor, or to the root group if not over a group file.
  • New UI File... - Adds a new UI file to the group file under the cursor, or to the root group if not over a group file.
  • New Material File... - Add a new Material file to the group file under the cursor, or to the root group if not over a group file.
  • New Property Set File... - Add a new Property Set (ITF file) file to the group file under the cursor, or to the root group if not over a group file.
  • Remove - Remove the file under the cursor from its parent group.
  • View Source - View this file in the Source View Tab.


Airplay Art Tools Reference: Palette Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Palette Tab >

Palette Tab

UI Editor - Palette Tab

This is a collection of Preset Elements, Layouts and Focus's. Drag them onto the Tree view of the Element Builder or the Layout Builder to create a copy in the current UI file of this item.

The Palette is split into several sections:

  • Layouts: These are Elements that contain a Layout.
    • Layered: The elements children are layered on top of one another in order
    • Vertical: The elements children are arranged vertically in order
    • Horizontal: The elements children are arranged horizontally in order
    • Grid: The elements children are placed into an x by y grid
    • ScrollableVertical: The elements children are arranged vertically in order in a scrollable window
    • White_Background: An element containing the standard background components.
  • Controls: These are Standard Control Elements
    • Element: A blank base element
    • Image: An element that holds a texture or a material
    • Button: An element that can be clicked on
    • Label: An element that holds a line of text
    • Progress: A progress bar
    • Slider: A slider bar
    • TabBar: A set of buttons, at most one of which is active
  • Dialogs: A dialog is a self contained window
    • alert_dialog: A dialog that asks a question.
  • ChangeLayout: These change the type of layout in an element
    • NoLayout: This changes an element to have no layout (i.e. allow free positioning of children)
    • Layered: This changes an element to have a layered layout
    • Vertical: This changes an element to have a vertical layout
    • Horizontal: This changes an element to have a horizontal layout
    • Grid: This changes an element to have a grid layout
  • ChangeFocus: These change the type of focus handler in an element
    • NoFocus: This changes an element to have no focus handler
    • FocusHandler: This changes an element to have a basic focus handler this sets focus on the first item
    • FocusHandler2D: This changes an element to have a 2D focus handler this moves the focus in 2D
    • FocusHandlerTab: This changes an element to have a Tab focus handler this moves the focus backwards and forwards


Airplay Art Tools Reference: Media Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Media Tab >

Media Tab

UI Editor - Media Tab

This is a collection of assets. Drag them onto the Tree view of the Element Editor to set
the respective property on that element. The types of media are:

  • texture: A list of all the textures referenced in the group hierarchy
  • gxfont: A list of all the fonts referenced in the group hierarchy
  • material: A list of all the materials referenced in the group hierarchy
  • styles: A list of all the styles referenced in the group hierarchy


Airplay Art Tools Reference: Viewer Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Viewer Tab >

Viewer Tab

UI Editor - Viewer Tab

This is an Airplay System x86 Emulator window docked into the builder and running an application for viewing UI files using the iwui code. The currently selected element is displayed in the viewer with a black and white scrolling box surrounding it. You can select other elements by clicking on them. If an element is selected you can deselect it by clicking on it. You can add or remove elements from the current selection by shift clicking on them. You can also drag a selection box to select multiple items. The list of selected items can be moved by dragging then, however if they are under a layout, the layout calculates their position. If an element is selected and the mouse cursor is over the element handles appear at the corners and on the sides of the selection box. You can use these handles to drag the position and size of the element, however if they are under a layout, the layout calculates their position and size, also if sizeToContent is set the size is calculated. If the position of size is calculated it is not possible to set this parameter using the viewer.


Airplay Art Tools Reference: Source Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Source Tab >

Source Tab

This displays the source of any file. Non text files are not editable. Text files are and can be saved or reloaded. To load the changes into the other editors, click Reload in the Element Editor.


Airplay Art Tools Reference: Element Editor Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Element Editor Tab >

Element Editor Tab

This is the main editor for elements. On the left side is a tree view of all elements, on the right is a list of properties on the currently selected element.

Left clicking on an element in the tree view selects that element as the current element. Right clicking brings up a menu with 'remove' in it, this removes the current element from its parent and from its parents layout. Elements can be dragged into new positions in the tree. To make an element the child of another drop it onto the element, to insert it between two elements drop it into the gap between to them. To create a copy of an element hold <ctrl> when copying. To add a different kind of element, drag an element from the Palette.

The properties of the elements differ depending of the type of the element. See the documentation for details of individual properties. A couple of important properties are:

name

This identifies the element, this needs to be unique compared to the sibling elements, preferably completely unique.

style

This points to a property set specifying default values of this elements parameters. There is a Go To button next to the property, this takes you to the Property Set in the style editor If a parameter is specified in the property set pointed to by style, or one of its parents, then it it treated specially. If the property has been set in this element then there is a Reset button next to it, clicking this resets the value to its parent value. If the property has not been set in this element then the property is grayed out, to edit the value click on the override button next to the property.

Editing most property types is self explanatory, a few warrant some explanation.
The colour type has four fields which are red, green, blue and alpha. the button brings up a colour picker and is the colour specified by the fields.
Ptr types for things like textures and fonts have an editable text field with the name of the item pointed to and a change button. The change button brings up a list of possible values and '-= new =-' which asks which group file to add the item to, then asks for the location of the file to add. This file is added into the group and the property is set to its name.
Ptr types for things like property sets and materials are like the other pointer types except the '-= new =-' procedure is different. This asks which file to add the item to or should it be added to the current style, then asks for a name for the new item. There is also an extra option '-= inline =-' in the list, this adds a property set (or material) into the element inline.

Element Editor Toolbar

UI Editor - Element Editor Toolbar
  • Save - Saves the currently open UI file
  • Reload - Abandons changes and reloads the currently open UI file
  • Refresh... - Resends the data on the currently selected item to the Viewer
  • Live Update... - If ticked, this sends all changes made in the Element Editor to the Viewer continuously


Airplay Art Tools Reference: Layout Editor Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Layout Editor Tab >

Layout Editor Tab

This is very similar to the Element Editor except it is the hierarchy of layout, layout item containers and focus handlers. The hierarchy does not match that of the file, but is a logical hierarchy, compare:

File | Element Editor | Layout Editor
Element Sub Element 1 Sub Element 2 Sub Sub Element Layout 2 *Sub Sub Element Layout *Sub Element 1 *Sub Element 2 | Element Sub Element 1 Sub Element 2 Sub Sub Element | Layout *Sub Element 1 *Sub Element 2 Layout 2 *Sub Sub Element


Airplay Art Tools Reference: Style Editor Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Style Editor Tab >

Style Editor Tab

This is very similar to the Element Editor except it is a list of all property sets stored in any UI or ITX files in the project. It is not possible to drag and drop with this tree.

The buttons on the tool bar are:

  • Save: Saves the file of the currently selected item
  • Reload: Abandons changes and reloads the current UI file
  • Refresh: Re-sends the current Item to the viewer
  • List: List of stylesheets
  • Add PropSet: Add a new, blank property set
  • Check Usage: This pulls up a dialog showing which property sets are currently in use and
    which are not.
  • Add Stylesheet: This adds a new stylesheet to the project. First you select the location of the file that the stylesheet will be saved into, then select the group to add this file to. Then optionally select which stylesheet to parent this stylesheet from (if there are any).


Airplay Art Tools Reference: Material Editor Tab

Airplay Art Tools Reference > Airplay Studio UI Builder > User Interface > Material Editor Tab >

Material Editor Tab

This is very similar to the Element Editor except it is a list of all materials stored in any MTL files in the project. It is not possible to drag and drop with this tree.

The buttons on the tool bar are:

  • Save: Saves the file of the currently selected item
  • Reload: Abandons changes and reloads the current UI file
  • Refresh: Re-sends the current Item to the viewer
  • Add Material: Add a new, blank material
  • Check Usage: This pulls up a dialog showing which property sets are currently in use and
    which are not.


Airplay Art Tools Reference: Collada Art data Converter

Airplay Art Tools Reference > Collada Art data Converter >

Collada Art data Converter

The Collada Converter converts between Collada (DAE) files and the art files that Airplay uses (GROUP, MTL, GEO, SKEL, SKIN and ANIM).

To run the Converter run <sdk_install>\tools\Exporters\Collada\ColladaConverter.exe. You will need the .NET 3.5 Runtime to run this program.

From Airplay to Collada

To convert from Airplay art files to Collada use the following command line options:

  • ColladaConverter.exe <project dir> <airplay file> <DAE file> [-r]

Where:

  • project dir is the root data directory of your Airplay project.
  • airplay file is an Airplay data file, its file type is one of GROUP,MTL,GEO,SKEL,SKIN,ANIM.
  • DAE file output Collada file.
  • -r copies textures to a folder called textures in the same directory as the DAE file their paths in the DAE file are made relative to the DAE file.

From Collada to Airplay

To convert from Collada art files to Airplay use the following command line options:

  • ColladaConverter.exe <project dir> <DAE file> <airplay file> [-2] [-set face|edge|vert <ident>]*

Where:

  • project dir is the root data directory of your Airplay project.
  • DAE file input Collada file, its file type is one of DAE or XML.
  • airplay file output airplay group file, its file type is GROUP.
  • -2 outputs in OpenGLES 2.x format (equivalent to modelv2 export option) if this option is not given then only 1 set of normals and colours and 2 sets of texture coordinates as a maximum are exported.
  • -set face|edge|vert <ident> create selection sets from materials whose names contain "ident".


Airplay Art Tools Reference: FAQ's

Airplay Art Tools Reference > FAQ's >

FAQ's

This section lists some of the most frequently asked questions about the Airplay Studio Tools. These are split into four sections:

  • Exporters FAQ
  • Director FAQ
  • Viewer FAQ
  • Font Builder FAQ


Airplay Art Tools Reference: Exporters FAQs

Airplay Art Tools Reference > FAQ's > Exporters FAQs >

Exporters FAQs

This section lists the most frequently asked questions about the Airplay Studio Exporters.

Why does my 3d application not respond properly or suffer other problems when I use the Exporter?

Check that you have not got the exporter windows open at any time other than when you want to use them. They must be closed prior to going back to working in your 3d application.

Why do parts of my animation have incorrect rotations or rotate the wrong way?

Any rotation key frames that are set on your objects must not rotate more than 90 degrees between key frames.

Why is my scene exporting with all the meshes on top of each other at 0,0,0?

Check that your Export > Transform Type is set to World if you want the positions of your models in your scene to be exported in your model data.

Why is my model appearing in an incorrect position/rotation in the game but looks fine in my modelling application?

Check that you have Reset XForms in Max / Frozen Transforms in Maya to clear any hidden matrix information.

Why is my object appearing black in the game?

Check that the model doesn't have black vertex colour set on it.

Check that the material doesn't have black ambient colour set in it.

Why is my chromakey magenta transparency not transparent in game?

Check that the magenta is exactly 255,0,255. Often when the texture is converted to index colour in your 2d painting application or in the Software Renderer, the colour is changed and although looks like magenta, it is slightly off. A speckled pattern, like the one seen below, can occur when some of the pixels are not exactly magenta.

Why is my texture's alpha channel not being used correctly in the viewer/application/game?

In the Software Renderer, the colours of a texture are clamped to a palette of 5,6,5 with 1bit for transparency. So in effect it is always chromakey of either on or off. So an alpha channel in a TGA file type will be converted to a 1bit alpha. It is possible to use alpha with 4bits of alpha in the Software Renderer by using a Material Template to set the textures bit depth to 4,4,4.

Why are the colours in my textures/materials not the same in viewer/application/game as they are in my modelling application?

When using the Software Renderer, all textures and colours are clamped to a colour palette of 5,6,5, which may shift the colours in such a ways as to make them appear different.

Why does my vertex colour appear banded or different to how it looks in my modelling application, and why is the banding worse in some places than in others?

When using the Software Renderer, the vertex colour only has 16 effective shades of greyscale that it can use. The greater the distance between vertices, the greater the distance that the shades of greyscale have to interpolate between.

Why does the exporter say there is no animation in the scene when I try to export my animation?

Check that you have keys set within the specified time line, and for skinned models, that the bones are skinned to the model.

Why does my animation have a pause after the last keyframes before it loops again?

Check that you have set the time line to encompass the animation that you want to export and no more and that you have not just set the viewable time line length.

Why is nothing being exported?

Check that you set the Export Type to be something other than none.

Check that you have Export > All selected, otherwise different export conditions will be used.

Check that you are not getting any errors in the exporter log window. The exporter will not write out any data if it has errors.

Why is my object not being exported?

Check that you have not Excluded the objects from the Airplay Studio Exporter via the Exclude Editor.

Why are my selection sets not getting exported?

Selection sets need to be included for export - they don't just get exported automatically. To do this select the object with the selection set (or the selection set itself if using Maya) and add a selection set type from the UI.

Why am I getting the following warning in the log window when I export?:

<objectName> failed to find material! (id is -1)?:

This means that for some reason there is something being exported that has no material associated with it. This could be a face in the object or the object itself

3d Studio Max - This could be because the model that you are exporting uses the default 3d Studio Max materials. The exporter will create a valid material temporarily for use in the material file (MTL) that approximates the default 3d Studio Max material

Why am I getting the following warning in the log window when I export:

<newObjectName> node has been renamed from <originalObjectName>?:

Spaces within names are not allowed, so the exporter will temporarily rename your object/material/node/etc to swap the spaces with underscores.

How do I stop nodes from being exported?

You can use the Exclude Editor to set up objects to manage what gets exported and what doesn't. Only the parent needs to be set, so if you put all the items that you don't want to export in a group or hierarchy then you need only to Exclude the parent

Why is my vertex colour only in greyscale?

In Software Renderers - Either the material on the object needs to be set to Modulate Mode > RGB or change the value of what Modulate Mode > Default means via a material template. Otherwise it will use Modulate Mode > R (which is the Default value)

Why is my vertex colour not correct/not appearing?

Check that the material on the object has not been set to Shading Mode > Flat or that the Default value has been set to Flat through a Material Template. Flat materials can only accept one vertex colour per triangle/quad.

Check that the material on the object has not been set to Modulate Mode > None or that the Default value has been set to None through a Material Template. None means that vertex colour is ignored

Why are none of the Exporter related windows opening after a clean start of my modelling program?

There may be an issue with the plug-in and it has not loaded correctly when the application started.

In Maya, why are none of the Exporter related windows opening and i get the following error message?:

failed to load ASExpUI.dll:

Check that the plug-in is being loaded by going to Window > Settings/Preferences > Plug in Manager, and confirming that the plug-in has the check-boxes loaded and auto Load checked. If it still does not load when these are checked, try re-installing the correct Exporter via Airplay Studio Launchpad > Install Exporters (Listed under the Advanced View). If you are still having problems, contact your Account Manager.

Why are none of the Exporter related windows opening when using the Exporter and I am getting a warning message in the Output Window saying

Already started!!!

This means that the Exporter plug-in has stopped working for some reason and did not close properly. Save a copy of your scene and restart Maya


Airplay Art Tools Reference: Director FAQs

Airplay Art Tools Reference > FAQ's > Director FAQs >

Director FAQs

This section lists the most frequently asked questions about Airplay Studio Director.

Why do the Director panels move around when i change projects?

When you save a layout it is saved for that particular project. When reopening that project, the layout will be automatically loaded. To remove the layout from the project, from the File Menu, choose 'Revert to Default Layout'.


Airplay Art Tools Reference: Viewer FAQs

Airplay Art Tools Reference > FAQ's > Viewer FAQs >

Viewer FAQs

This section lists the most frequently asked questions about the Airplay Studio Viewer.

Why does my scene not appear in the Viewer but is listed under the Viewer > Scene tab.

If the object that you are trying to view is very large, it may be that the camera is being placed outside of boundaries of the Viewers clipping plane. Try moving into the screen to move the camera closer to the model.

Confirm that the model hasn't just got a material/vertex colour related issue that is making it render black. Toggle the Viewer > Options tab > Wireframe checkbox to see if the object is there. If is just being rendered black it will still appear as a red wireframe.

When viewing a scene, I am getting assert messages. What do they mean?

The assert messages are triggered by the data being passed to the viewer which does not conform to an expected structure. The specific asserts detail the problems, and some of these may be understandable to the user (such as being warned about going over the t-page limit) and some will need the help of an engineer to pinpoint the exact issue.


Airplay Art Tools Reference: Font Builder FAQs

Airplay Art Tools Reference > FAQ's > Font Builder FAQs >

Font Builder FAQs

This section lists the most frequently asked questions about the Airplay Studio Font Builder.

Why does my Font not show up in the output box properly, there are just lots of small pink boxes?

Check that you are using a TrueType Font as the Font Builder only supports TrueType Fonts.


Airplay Art Tools Reference: Tutorials

Airplay Art Tools Reference > Tutorials >

Tutorials

Welcome to the tutorials for the Airplay Art Tools. These tutorials are here to help you learn your way around the different tools and to discover how the varied features of the tools can be used to create art assets for any variety of applications using the Airplay SDK.

Users that are new to the Airplay Art Tools should complete the Beginners Tutorials which cover the basics of the different tools, including performing a simple export, viewing and editing files within Director, viewing files using the Viewer, and creating fonts using the Font Builder.

ToolsTutorials Project

The files that are used within the tutorials can be found in the examples/ToolsTutorials directory within the Airplay SDK installation directory. A project needs to be created, called 'toolsTutorials', that is set up with the path Airplay Installation Directory/examples/ToolsTutorials. This can then be used when following the tutorials that require access to the example files included in the ToolsTutorials Directory. For information on setting up a project, see the first tutorial, Projects.

  • Beginners Tutorials
  • Creating UV Animation
  • World Exports and Duplicated Content


Airplay Art Tools Reference: Beginners Tutorials

Airplay Art Tools Reference > Tutorials > Beginners Tutorials >

Beginners Tutorials

Welcome to the Beginners Tutorials for the Airplay Studio Tools. In this section we cover the basics about how to use the different tools for simple examples, how the interface looks, and what controls are required.

When completing the tutorials, start at the beginning and work through each one. Some of the exercises completed, such as the creation of a new project from the first tutorial, will be required in the later tutorials.

  • Projects
  • Using Director
  • Using the Viewer
  • Using the Exporters
  • Building a Font


Airplay Art Tools Reference: Projects

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Projects >

Projects

In this tutorial you will create a project for use when creating art assets for a program built using the Airplay SDK. Projects are used to organise art files, textures and exported assets and are particularly useful when working within a team of people on the same project.

A Project Shown within Director

Features Covered

  • Creating a new Project using Director

Tutorial Files

There are no files required for this tutorial.

Lessons in this Tutorial

Creating a Project

Next step

Creating a Project


Airplay Art Tools Reference: Creating a Project

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Projects > Creating a Project >

Creating a Project

This lesson allows you to create a new project which can be opened within Director and can be used when saving files using the other Tools programs. All of the Tools work using a project system which means that files are easier to keep track of when working on multiple projects with multiple people involved.

Creating the Project

Before starting, make sure Director is open.

  • Select Project from the Director Menu and choose the 'Setup Project' option.

    • Project Menu in Director

  • This is the 'Setup Project' dialog where projects can be created or deleted, and settings can be changed. Click the Add button to create a new project.

    • Setup Project Dialog

  • Enter the name required for the Project. In this case, type 'tutorialProject'. Click OK.

    • Input Name Dialog

  • Create a new folder within the My Documents folder, (or elsewhere if required) and name it 'tutorialProject'.
  • Make a new folder within the tutorialProject folder, and name it 'data'. Make sure this new folder is selected, Click OK.

    • Browse for Location Dialog

  • The Project has been created. As settings are added to the project, they are shown in the settings box. If source control has been set up, and the checkbox is not greyed out, then source control for the project can be used by selecting the checkbox named 'Use Source Control?'.

    • Click the OK button to close the dialog.

    Setup Project Dialog with new Project

The Project has now been created and set up. It is available from any of the Tools programs, and the project settings are also shared between them. Within the tools, such as the Exporters, there is a 'Set Project' button which brings you to the same dialog box as in step 2. This allows projects to be set up while working, without having to open Director every time.


Airplay Art Tools Reference: Using Director

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using Director >

Using Director

In this tutorial you will learn about the layout of Director, how to create reports and edit files, how to open files in different applications, and how to use the context menu to open new views.

A View of the Director Interface

Features Covered

  • Changing the Layout of the Director tabs
  • Using the Context Menu to open different views
  • Create a report about the data from a particular directory

Tutorial Files

There are no files required for this tutorial.

Lessons in this Tutorial

The Director Interface

The Context Menu

Creating a Report

Next step

The Director Interface


Airplay Art Tools Reference: The Director Interface

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using Director > The Director Interface >

The Director Interface

This lesson shows you how to change between projects, and how you can set up the user interface in the way that is best suited to how you want to work. It also explains how layouts can be saved for a project and how the default layout can be restored.

Before starting, ensure Director is open.

Changing to a Different Project

When Director is opened, the current project will be loaded. This may not necessarily be the project that was previously open in Director if the current project has been changed within a different program, such as the Exporters.

  • Open the 'Project' menu and choose the 'Select Project' option

    • The Project > Select Project menu option

  • Choose the project that you wish to open, any one other than the Current Project. The project will then load, closing down any files that were open.
  • Change to the toolsTutorials project, (if this is not already the Current Project) to continue the lesson.

Changing the Screen Layout

The layout of Director can be customised by moving the different tabs to other panels, and closing tabs that are not required (the Project View and Log View cannot be closed).

  • Double-Click the example.txt file within the toolsTutorials project. This file will open in the Editor View, by default in the main tab, this is the large central tab.
  • Drag this file, from the tab, to the bottom left panel, to where the Hierarchy View is.
  • Save the layout by going to the file menu, and choosing the 'Save Layout' option.

    • Director - Save Layout option

  • Change to another project, and close down Director
  • Reopen Director, note the view is back to the default
  • Change to the toolsTutorials project. The view will be loaded with the project.
  • To remove the layout, go to the file menu and use the 'Revert to Default Layout' option.

    • Director - Revert to Default Layout option

  • To check that this worked, close down and then reopen Director

Next step

Context Menu


Airplay Art Tools Reference: The Context Menu

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using Director > The Context Menu >

The Context Menu

This lesson explains the context menu, which gives you access to all the different views that can be used to look at files within Director, and many other options for files and directories, including opening files within external packages, editing files, and creating reports.

You can get to the Context Menu by right-clicking on any filename or directory listed within any of the views. This loads the Context Menu, where all the options mentioned within this lesson can be found.

Before starting, ensure Director is open, and the Current Project is set to the toolsTutorials project.

The Info Option

Right-Click on the objects.group file and look at the options under 'Info'. These are non-selectable options, that provide information about the particular file or folder. Different file types display different options, see the Context Menu Page for more details.

The Info Option

Opening a View

  • Navigate to the Viewer > objects.group file. Double-click on this file within the Project View. Note this file opens in the Viewer, this is the default action, all GROUP files are set to open in the Viewer.
  • Close down the Viewer. Right-click on the objects.group file. The first item in the menu is the default action, in this case 'View in Viewer'.
  • Within the Context menu, choose View > Editor.

    • Opening the Editor View

    This is probably the most common view within Director. It allows the content of all the different files to be edited, either using the text view, or the data view. If a data view is available for the particular file type, then this is shown when the Editor View is opened, otherwise the text view is used.

  • Underneath the '(data)' heading in the tree view, click on 'objects - (CIwResGroup)'. This will show a list of all the files within the 'objects' section of the file. This provides a non-text way of changing the contents of the file, parts can be added, changed, removed, and rearranged.

    • Editor View - The Data View

  • Click on the 'To Text' button on the toolbar of the view. This takes you to the text version of the file. Here you will see the information is the same, this view shows the data as it would appear in a text program such as notepad. Data can be changed by simply modifying the required parts.

    • Editor View - To Text/To Data button

  • To close a view, click the small green and white cross in the top left-hand corner of the top tab of the view you wish to close.

The Action Menu

The 'Action' option contains several processes which can be carried out upon the folder or file selected, including deleting, exporting information about the contents of the folder, or opening the source of a file within an external program.

  • Right-Click on the Viewer folder within the Project View, and look at the 'Action' option.

    • Export Files Option

  • Select the 'Export Files' Option. This will export particular information about the files contained within the folder. This information can be saved into a text-based file.
  • Enter %p into the dialog box, click OK. This will save the paths of every file within the Viewer folder.

    • Export Files Dialog Box

  • Enter a location to save the file. Save the file as fileList.txt
  • Locate the file created and open in a text editing program, such as notepad. You can see that a list has been created of all the different files that were within the Viewer folder. The example below shows some of the lines from the file.

    • For more information on creating files using the 'Export Files' option, including the different options available, see the Exporting Lists of Assets.

    Example Output File from Export Files

Next step

Creating a Report


Airplay Art Tools Reference: Creating a Report

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using Director > Creating a Report >

Creating a Report

This lesson shows how to create a report from different files within different folders, how to filter the report and how to save the report into a different format that can be read by many different applications.

This is obviously not the only report that can be created, it is only an example as to how this function could be used for keeping track of assets within large projects, especially if there are many people working upon the same project.

Before starting, ensure Director is open, and the Current Project is set to the toolsTutorials project.

Creating the Report

  • Right-Click on the root of the project in the Project View, pick 'Send to Report > Children (Recursive)'

    • Sending Data to a Report

  • Select which type of filtering is needed for the report using the filter drop-down menu. In this lesson, we are going to filter by Texture, so select the 'Texture' option. See the image below for the location of the drop-down menu.

    • Filtering the Report View

    The report now shows all the different textures that are used within the different sets of tutorial files.

Saving the Report

  • Click on the 'Export Report...' button, which is underneath the filter drop-down menu. A dialog appears, listing all the elements that will be saved into the report, each encased within curly brackets.

    • Exporting the Report Dialog

  • Remove the items {Ref},{Group Ref},{x},{y},{Depth},{Source Ctrl}, from the list as these are not required. This leaves {FileName},{Path},{Size}. Click the OK button.
  • Save the report as a .csv within the tutorialProject/data directory within MyDocuments.
  • Change the Project to tutorialProject using Project > Select Project.
  • Double-Click the file you just saved within the Project View to open it into an Editor View. This file lists the name of the texture, its location relative to the project root and the amount of space the texture requires. The image below illustrates this report (note - this image will not look identical to your output as some files have been removed for clarity)

    • An Example of the loaded .csv file

    If this report was generated when making a full size application, it would provide a useful tool to see which files have been created, where they are located and their size on disk. Saving the size of the files can provide a way of seeing where there could be memory problems, and reducing certain file sizes if required.


Airplay Art Tools Reference: Using the Viewer

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using the Viewer >

Using the Viewer

In this tutorial you will learn how to open an files in the Viewer, how to use the Free Camera to look around a model, how lighting and animation can be configured, and the differences between using the hardware and software renderer.

An Object shown in the Viewer

Features Covered

  • Using the Camera Controls
  • Changing the Lighting
  • Playing Animations

Tutorial Files

The files required for this tutorial are located in the /examples/ToolsTutorials/Viewer directory within the Airplay SDK installation directory.

Lessons in this Tutorial

Using the Camera

Viewer Options

Next step

Using the Camera


Airplay Art Tools Reference: Using the Camera

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using the Viewer > Using the Camera >

Using the Camera

This lesson covers the basics of opening a file within the Viewer and using the Free Camera to view the objects from different angles or preset views. The Viewer can also be opened from a modelling package, but for this lesson, we shall use Director to find and open the asset.

Opening the Viewer

Before starting, ensure Director is open.

  • Make sure the Project is set to the Airplay SDK installation directory /examples/ToolsTutorials/
  • Navigate to the file Viewer/objects.group

    • Location of Group file within the Project

  • Double Click this file, it will open in the Viewer. All GROUP files open within the Viewer by default.

    • Initial View of Objects

    This is the view of the Objects within the Viewer. The Viewer will always load the Front View of the asset(s) when first opened.

The Camera Controls

The Free Camera is controlled using the mouse and the keyboard. The alt key is used in combination with the mouse to allow you to move in any direction around the world in which the objects appear. There are some keyboard shortcut keys that can be used for movement, these will not be covered here, for more information see the Default Controls page. The images below show the button combinations for the camera movement:

Mouse Controls for Viewer

Alt + Left Mouse Button - Move the Mouse to Rotate around the focal point

Alt + Mouse Wheel Press - Move the Mouse to pan the view

Alt + Right Mouse Button - Move the Mouse up or down to zoom in or out on the focal point

Using the Camera

  • Use the alt and left mouse button combination to rotate around the objects by moving the mouse as though it is pushing the object around. The left mouse click needs to be within the view area, shown by default as black, for the command to be recognised.
  • Zoom in and out on the objects by pressing the alt key and the right mouse button and moving the mouse up and down within the view.

    • Rotated and Zoomed View of Objects

    This image shows the view has been rotated and zoomed. You can see that there are other objects within the scene, all at the center point of the view. Because all the objects are quite small, and close together, the renderer sometimes confuses which object to draw on top of which other. This gives the effect of the object inside the crate being on the outside at times. This is generally not a problem, but if it is, then setting the offset values before export can be a solution.

  • To separate out the objects, switch to the 'Model' tab, and tick the 'Arrange' tickbox. This puts the objects into a line so they can all be seen at the same time.
  • Open the Camera Tab on the right hand side of the Viewer.

    • The Camera Tab

    This tab contains the other possible views, several more options, and the actual coordinates and rotation of the view.

  • Select several of the views to see how they differ. Choose a view, and zoom in to the objects. Use a combination of rotate, pan and zoom to return the objects to a perspective view similar to the image below.

    • Perspective Zoomed View of Objects

  • Change the Near Plane, Far Plane and Field of View sliders to see their effect upon the image. These, like the view, will not have any effect on the original files, they are purely for viewing the files.
  • These are the most important controls in the Viewer, as they allow you to see the object as required. Experiment with these controls until you are comfortable using them.

Next step

Viewer Options


Airplay Art Tools Reference: Viewer Options

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using the Viewer > Viewer Options >

Viewer Options

This lesson goes through the options available in the Viewer for lighting, animation and renderers. This allows different options to be tested, depending on hardware requirements for particular devices.

Before starting, make sure Director is open and the Project is set to the Airplay SDK installation directory /examples/ToolsTutorials/.

Setting the Screen Size

  • Open the file objects.group in the Viewer from the Viewer Directory.
  • In the Viewer menu, there is a selection of pre-programmed sizes, and a Custom Size option. For this example we are going to enter a custom size so select the Custom Size option.
  • Enter 300 in the X Dimension box, and 200 in the Y Dimension box. Click OK.

    • Custom Screen Size Dialog Box

    The Viewer will then redraw the screen in the selected size. The ratio between the size of the screen and the size of the object will stay the same, giving the impression that the camera has zoomed into the object.

  • Return the Screen size to the 176 x 203 BREW preset size using the option in the Viewer Menu.

Hardware and Software Render Modes

When the Viewer is first run, it will be set up to use the Dynamic HW/SW mode. This allows the renderers to be changed without having to close down the Viewer and restart using the chosen renderer. These modes can be changed using the Viewer Menu.

  • The Options Tab gives the options required to switch between dynamic hardware and software modes. Turn the first checkbox, named HW Raster on and off to see the difference in the rendering of the crate. The HW Light checkbox, the next along, toggles the hardware lighting, as this has not been configured yet we shall leave it for now.

    • Options Tab - Hardware Options

  • The HW Trans button stands for hardware translation. By toggling this button, you might be able to see a slight movement showing the difference between the hardware and software translations.
  • Finish off by ensuring the HW Raster, HW Light and HW Trans checkboxes are all ticked.

Lighting

  • On the Lights tab, click the 'Fixed Light' button. You may be able to see a slight change in the lighting on the crate. The fixed light is now turned on.
  • To add a little colour to the light, so we can see it, click the 'Ambient' button. This brings up a colour picker. Choose a bright green colour and click OK. The box now has a greenish hue.

    • Crate lit with a green light

  • Click the 'Rotating' button. You should be able to see the effect that the rotating light has upon the crate.
  • Click the 'Mouse Light' button. Hold the left mouse button down and drag the mouse around the scene. The light will follow the mouse cursor around the scene. This can be used to set the location for the fixed light.
  • Click the 'Reset Button' to reset the lights back to the default. Close the Viewer.

Animation

  • Open the file urbanhero.group from the Viewer Directory within the Project. This file shows the animation of a man walking.
  • Zoom into the character for a better view. Open the Anim tab at the top of the Viewer window.

    • Animation of UrbanHero

  • The buttons on this tab control the current animation. Click the 'Pause' button to pause the animation, notice this button changes to say 'Play' when the animation is paused. Click the button again.
  • Animations automatically loop within the Viewer. To turn off this functionality, turn off the 'loop' checkbox. The animation finishes its current loop and stops. Turn on the checkbox again.
  • Select the 'Scene' tab on the right-hand side of the Viewer. Expand the animated section fully. Here you will see the name of the Character, named UrbanHero. Within this, there is the animations folder which would hold all the animations that had been exported and that were described within the GROUP file that is currently open. In this case there is only one animation, named UrbanHero_walk. The animation shown with the green circle beside it's name is currently playing.

    • Scene Tab - Animations in the Scene

Experiment with the animation controls and practice zooming in and around the object. Change the colour of the lighting and see how it works on a moving character. This is how these effects would appear in game, so its easy to try things out at this stage.


Airplay Art Tools Reference: Using the Exporters

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using the Exporters >

Using the Exporters

In this tutorial you will learn how to use the Exporters to export a simple scene, and to view this scene in the Viewer using Director and a 3D Modelling Package.

The Exported Scene

Features Covered

  • Exporting a simple scene
  • Using the Viewer to check the scene

Tutorial Files

The files required for this tutorial are located in the /examples/ToolsTutorials/Exporters directory within the Airplay SDK installation directory.

Lessons in this Tutorial

Exporting a Scene

Next step

Exporting a Scene


Airplay Art Tools Reference: Exporting a Scene

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Using the Exporters > Exporting a Scene >

Exporting a Scene

This lesson explains how to set the options and perform an Export. It also shows how the scene can be checked from within the 3D Modelling Package and after the export, using the Viewer.

The Finished File

The completed 3D Studio Max files and Maya files are named 'exportersexample' and are located within the Airplay SDK installation directory /examples/ToolsTutorials/Exporters/. Within this folder is also a copy of the files exported at the end of the tutorial.

The exportersexample.group file can be opened from Director and will load in the Viewer. You will be able to see the scene created by the objects. Rotate around the scene to see all sides of the objects.

Viewing from a 3D Modelling Package

  • Open the file exportersexample in your preferred 3D Modelling Package. This is the file you will be exporting. It is a simple file, containing several textured objects.

    • The Simple Scene File

  • Select all the objects.
  • To access the Exporters from the 3D modelling package, do one of the following:
    • In 3D Studio Max, click the Utilities tab, then click the Airplay Studio Exporter tab; this opens the rollout.
    • In Maya, select the Airplay Studio Shelf group.
  • Click the 'View Selected' button, either on the rollout in 3D Studio Max or the shelf button in Maya. This is a good way of checking that the scene is going to export as intended before actually carrying out the export.

    • The Viewer will open and the assets can be seen. Use the Viewer controls to rotate and move the camera around the scene. See that the textures all can be seen, and the default colour of the torus, which was not textured, also is shown. When you have finished, close the Viewer.

Exporting the Scene

  • Open the Exporter Dialog. This is the top button on the 3D Studio Max rollout, or the first shelf button within Maya.
  • The first section of options to set is the Current Project. From the dropdown box, select the 'tutorialProject', which was created in the first tutorial Creating a Project

    • Choosing a Project

  • The next setting is the Export Type. For this example, we are going to do a Scene Export, so ensure that a the 'Scene' Export Type is selected, using the dropdown button.

    • Choosing the Export Type

  • The GROUP file that is saved out containing the names of all the objects requires a name to be entered into the 'Asset Name' field. Enter "exportersexample" (without the quotes).
  • Next is the location for the files to be saved. Enter "exporterTutorial". This will create a folder with this name to place all the files.

    • Choosing Asset Name and Location

  • Last is the Transform Type. This needs to be set as 'World' to keep all the objects in their current positions, and not at the origin.

    • Choosing a Transform Type

  • You are now ready to complete the Export. Click the 'Export' button to run the export. A log file will appear explaining the different files that have been created.

Viewing the Exported Scene

  • Open Director. Ensure the Current Project is set to 'tutorialProject'.
  • Navigate to the exporterTutorial directory and open the exportersexample.group file in the Viewer.

    • The file should look the same as when viewing it from your 3D Package. This file has been exported successfully and could be placed within an application with no further modifications.


Airplay Art Tools Reference: Building a Font

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Building a Font >

Building a Font

In this tutorial you will create a Font to use within the Airplay SDK. This will involve using the Airplay Studio Font Builder tool to create and alter your font. You will also load and make changes to an existing Font.

A Font Created in the Font Builder

Features Covered

  • Creating a Font
  • Adjusting the Properties of the Font
  • Loading an existing Font and making changes

Tutorial Files

The files required for this tutorial are located in the /examples/ToolsTutorials/FontBuilder directory within the Airplay SDK installation directory.

Lessons in this Tutorial

Creating a Font

Loading a Font

Next step

Creating a Font


Airplay Art Tools Reference: Creating a Font

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Building a Font > Creating a Font >

Creating a Font

In this lesson you will learn how to build a Font using the Airplay Studio Font Builder. When a font is created, two files are made, a GXFONT file and a .TGA file. The GXFONT file is used by the Airplay SDK and describes the font, what characters are within the font, and other options that are chosen on creation. The .TGA file contains the textures that are displayed on-screen when the font is used.

Choosing a Font

Before starting, make sure the Airplay Studio Font Builder is open.

  • Click the "Select.." button to choose a font, for this lesson, Times New Roman shall be used. Change the size to 12.
  • Check that the "Preview" checkbox is ticked so that you can see the Characters shown in the correct Font. Shown in the Characters field are all the characters that are currently part of the font. Extra Characters can be added by typing within the field or selecting a Unicode range and clicking the "Add" button, but for this lesson, the default characters shall be used.

    • Input Window in Font Builder

Creating Sub-Ranges

In the Input (per range) Options section, multiple subranges can be created which allows different Fonts to be mixed together to make up a GXFONT. Each sub-range can be given different options such as the padding around the letters and different Fonts and sizes can be chosen, although there can be no duplicate Characters within the GXFONT.

  • Click the "Add" button, and type "123456789!!!" into the box. Click "OK".
  • Make sure the subrange you just created is selected and click the "Select.." button in the Input section to change the Font. Choose a different Font from the first section, making sure that it is a TrueType Font (other fonts may not be supported). In this example, the Wingdings Font was used. Click "OK".

    • Input (per range) Options Window in Font Builder

  • In the Output section, click the "Redraw" button to see the font that you have created. Click on different letters to view them separately in the character box. The Characters look a bit too close together so we need to change the padding values.
  • Going back to the Input (per range) Options section, with the "123456789!!!" subrange still selected, change the Left and Right Padding values to 5. Select the other subrange and change the Padding values to 2. Click "Redraw" to view how the Padding values have altered the Font .

    • Output Window in Font Builder

Changing Colours and Saving

  • In the Output Options section, change the text colour to blue (0, 0, 255) by either typing the values into the fields, or clicking the "Select..." button and changing the colour to blue. The colour that is chosen will be used to colour the "Select..." button.

    • Output Options and Saving and Loading Window in Font Builder

  • Choose a name and location to save your font to, by typing the filename and path into the field or clicking the Browse button and selecting a location and choosing a name. Make sure the "Save .gxfont" and "Save .TGA" checkboxes are both checked. Click the "Create" Button.

TGA File of Font with Alpha Channel on and RGB Channels turned off

Your Font has been created and saved. You can view the .TGA file within an Art Application such as Photoshop. Open the .TGA file and turn on the Alpha Channel (this is where the font is saved). You can turn off the RGB Channels for a clearer view.

Next step

Loading a Font


Airplay Art Tools Reference: Loading a Font

Airplay Art Tools Reference > Tutorials > Beginners Tutorials > Building a Font > Loading a Font >

Loading a Font

In this lesson you will learn how to load an existing example Font, to make changes to the Font and to save it again.

Loading the Font

Before starting, make sure the Airplay Studio Font Builder is open.

  • Load the Font by going to File > Load, or clicking the "Load..." button in the Saving and Loading section of the Window. The Font is located within the Airplay SDK installation directory /examples/ToolsTutorials/FontBuilder/Font.gxfont
  • Click the "Redraw" button to see the Font

    • Output Window in Font Builder

Changing Options

When a sub-range is removed, the letters that it contains will no longer be within the Font. To make sure that no letters are lost, the contents of the sub-range to be removed should be copied to the clipboard and pasted into another sub-range before deleting the original sub-range.

  • Select the sub-range in the Input (per range) Options section that has the letters in (ABCDEFG...XYZabc...xyz). In the Characters field, select all the characters and copy to clipboard (Ctrl + c or right-click > copy).
  • Select the sub-range that contains the numbers (0123456789), and in the Character window, paste the letters from the clipboard (ctrl + v or right-click > paste).

    • Input (per range) Options in Font Builder

  • Select the sub-range that contains the letters and click the "Remove" button.
  • Click the "Redraw" button to check the changes to the Font.

Changing Colours and Saving

  • In the Output Options section, change the colour to black by typing 0, 0, 0 into the colour fields, or by clicking the "Select..." button and choosing black.

    • Output Options and Saving and Loading Window in Font Builder

  • Choose a different name and location to save your font to, by typing the filename and path into the field or clicking the Browse button and selecting a location and choosing a name. Make sure the "Save .gxfont" and "Save .TGA" checkboxes are both checked. Click the "Create" Button.

TGA File of Font with Alpha Channel on and RGB Channels turned off

The Font has been modified and re-saved. You can view the .TGA file within an Art Application such as Photoshop. Open the .TGA file and turn on the Alpha Channel (this is where the font is saved). You can turn off the RGB Channels for a clearer view. (This file is also saved in the same location as the file loaded above, and named 'font2')


Airplay Art Tools Reference: Creating UV Animation

Airplay Art Tools Reference > Tutorials > Creating UV Animation >

Creating UV Animation

In this tutorial you will create a Cell Animation example and a Scroll Animation example. In each case, this will involve creating and texturing the object, and setting the options using the Airplay Studio Exporter Editor.

The finished written word 'Demo'

Features Covered

  • Creating and Exporting Cell Animation
  • Creating and Exporting Scroll Animation

Tutorial Files

The files required for this tutorial are located in the /examples/ToolsTutorials/animatedUVs directory within the Airplay SDK installation directory.

Lessons in this Tutorial

Creating Cell Animation

Creating Scroll Animation

Next step

Creating Cell Animation


Airplay Art Tools Reference: Creating Cell Animation

Airplay Art Tools Reference > Tutorials > Creating UV Animation > Creating Cell Animation >

Creating Cell Animation

This lesson allows you to create an example of a cell animation which gradually writes the word 'Demo' onto the object. The lesson shows the options required to create this effect and how the result appears inside the Viewer.

The Finished File

The completed 3D Studio Max files and Maya files are named 'animatedUVs_CellAnim' and are located within the Airplay SDK installation directory /examples/ToolsTutorials/animatedUVs/. Within this folder is also a copy of the files exported at the end of the tutorial.

The cellanim.group file can be opened from Director and will load in the Viewer. You will be able to see that the animated pencil writes the word 'Demo' before erasing it and starting again.

Creating the UV Animation

Before starting, make sure your 3D modelling package is open.

  • Create a plane 2 meters long and 5 meters wide in the Front viewport. Name the plane cellAnimPlane.

    • Outline of Example Object

  • Create a texture and add the demoTexture.bmp file, from the /ToolsTutorials/animatedUVs/textures/ folder to the diffuse map channel. Apply this material to the plane. The plane should now look like the image below.

    • Textured Object without UVs Set

  • Change the UV coordinates so that they only cover the first 'cell' of the texture. Be sure that this is accurate otherwise the animation will look shaky. See the image below for details.

  • Make sure that the plane is selected. Open the Exporter Editor Dialog and select the texture from the thumbnails. Set the texture options as shown below.

    • The Anim Cell Num Across is the number of cells in each horizontal row and the Anim Cell Num is the total number of cells in the animation. The Anim Cell Height is the height of the texture. The Anim Cell Width is the amount that the cell will be moved across the image for each 'frame'. The Anim Cell Period is the time variable, which can be set to any desired time.

  • Making sure the plane is still selected, click the 'View Selected' button. (In Maya you can also select 'View selected' from the menu or type 'ASMayaViewSelected' into the command line / script editor. This will give a preview of the animated texture. If there is any shaking of the animation it indicates that the UV coordinates are not in the correct place or the values set in the Exporter Editor are incorrect. Check the values and ensure the UVs are in the correct positions and try again.

Exporting the File

  • Open the exporter dialog. Set the project to 'tutorialProject', which was created in the first tutorial (Creating a Project).
  • Set the Export Type to Scene (scene).
  • Set the Asset Name to 'cellanim'
  • Change the Save To Location to a new folder (if not already created) called 'animatedUVs'.
  • Set the Transform Type to 'World'.
  • Click the Export button to export the asset.

Viewing the File

  • Open Director, and if not already done, set the project to tutorialProject
  • Find the cellAnim.group file within the animatedUVs folder.
  • Double click the file to open within the Viewer and compare this to the original file described at the beginning.

Next step

Creating Scroll Animation


Airplay Art Tools Reference: Creating Scroll Animation

Airplay Art Tools Reference > Tutorials > Creating UV Animation > Creating Scroll Animation >

Creating Scroll Animation

This lesson allows you to create an example of a scroll animation by using a texture to produce a glow effect that gradually gets brighter and dimmer. The lesson shows the options required to create this effect and how the result appears inside the Viewer.

The Finished File

The completed 3D Studio Max files and Maya files are named 'animatedUVs_ScrollAnim' and are located within the Airplay SDK installation directory /examples/ToolsTutorials/animatedUVs/. Within this folder is also a copy of the files exported at the end of the tutorial.

The scrollanim.group file can be opened from Director and will load in the Viewer. You will be able to see that the glow comes on, increases to it's maximum brightness, before dimming down and disappearing.

Creating the UV Animation

Before starting, make sure your 3D modelling package is open.

  • Create a plane and modify it to look like the image below. Name the plane scrollAnimPlane.

    • Outline of Example Object

  • Create a texture and add the glow.bmp file, from the /ToolsTutorials/animatedUVs/textures/ folder to the diffuse map channel. Apply this material to the plane. The plane should now look like the image below.

    • Textured Object without UVs Set

  • Change the UV coordinates so that they only cover a small section at the left of the texture. This small area is the amount of the image that is shown for each 'frame' of the animation. See the image below for details.

  • Make sure that the plane is selected. Open the Exporter Editor Dialog and select the texture from the thumbnails. Set the texture options as shown below.

    • The Anim Cell Num Across and the Anim Cell Num should always be the same for a scroll animation, this being the width of the texture. The Anim Cell Height is the height of the texture. The Anim Cell Width is the amount that the cell will be moved across the animation for each 'frame'. The Anim Cell Period is the time variable, which can be set to any desired time.

  • Making sure the plane is still selected, click the 'View Selected' button. (In Maya you can also select 'View selected' from the menu or type 'ASMayaViewSelected' into the command line / script editor. This will give a preview of the animated texture.

Exporting the File

  • Open the exporter dialog. Set the project to 'tutorialProject', which was created in the first tutorial (Creating a Project).
  • Set the Export Type to Scene (scene).
  • Set the Asset Name to 'scrollanim'
  • Change the Save To Location to a new folder (if not already created) called 'animatedUVs'.
  • Set the Transform Type to 'World'.
  • Click the Export button to export the asset.

Viewing the File

  • Open Director, and if not already done, set the project to tutorialProject
  • Find the scrollAnim.group file within the animatedUVs folder.
  • Double click the file to open within the Viewer and compare this to the original file described at the beginning.


Airplay Art Tools Reference: World Exports and Duplicated Content

Airplay Art Tools Reference > Tutorials > World Exports and Duplicated Content >

World Exports and Duplicated Content

In this tutorial you will learn how the use of World Exports can allow for the construction of more complex worlds, as any duplicate content is removed and a single instance of each object is saved. The pieces required for a scene are exported separately in a "library" file, and a scene, or possibly many scenes can be created from these pieces.

The Exported Scene

Features Covered

  • Performing a Scene Export
  • Setting Class Types
  • Performing a World Export

Tutorial Files

The files required for this tutorial are located in the /examples/ToolsTutorials/worldExport directory within the Airplay SDK installation directory. A completed copy of the exported files is also included within this directory.

Lessons in this Tutorial

Exporting the Pieces

Putting Together the Scene

Next step

Exporting the Pieces


Airplay Art Tools Reference: Exporting the Pieces

Airplay Art Tools Reference > Tutorials > World Exports and Duplicated Content > Exporting the Pieces >

Exporting the Pieces

In this lesson you will export the pieces required to make up the complete scene. By exporting in this way, each of the objects only needs to be saved once, and the model is simply called each time an instance of the object is required. This means that memory is not wasted by saving duplicate content.

Exporting the Scene

  • Open the file worldexportscene_scene in your preferred 3D Modelling Package. This file contains a crate, an apple and a bowl.

  • Open the Exporter Dialog.
  • The first section of options to set is the Current Project. From the dropdown box, select the 'tutorialProject', which was created in the first tutorial Creating a Project

    • Choosing a Project

  • The next setting is the Export Type. For this example, we are going to do a Scene Export, so ensure that a the 'Scene' Export Type is selected, using the dropdown button.

    • Choosing the Export Type

  • The GROUP file that is saved out containing the names of all the objects requires a name to be entered into the 'Asset Name' field. Enter "worldExportPieces" (without the quotes).
  • Next is the location for the files to be saved. Enter "worldExport".

    • Choosing Asset Name and Location

  • Last is the Transform Type. This needs to be set as 'Local', so none of the objects have any transforms attached to them.

    • Choosing a Transform Type

  • Click the 'Export' button to run the export. Check the log file to make sure any errors did not occur.

Viewing the Files

  • Open Director. Ensure the Current Project is set to 'tutorialProject'.
  • Navigate to the worldExport directory and open the worldexportpieces.group file in the Viewer.
  • Move the camera around the scene. Only the crate can currently be seen. This is because all the objects were exported at the origin.
  • Select the Model tab and check the 'Arrange' tickbox. This lines all the objects up in a row so they can be easily viewed.

    • The GROUP file within the Viewer

All of the pieces have now been exported. In the next lesson, the objects will be duplicated as required and placed into their required positions.

Next step

Putting Together the Scene


Airplay Art Tools Reference: Putting Together the Scene

Airplay Art Tools Reference > Tutorials > World Exports and Duplicated Content > Putting Together the Scene >

Putting Together the Scene

In this lesson you will learn how to set up Class Types for objects and how to perform a World Export. You will also look at the output from a WORLD file, not just in the Viewer, but also in a data format.

Setting the Options

  • Open the file worldexportscene_world in your preferred 3D Modelling Package. This file contains several crates, and a bowl with some apples inside.

  • Select the three apples in the bowl. Open the Exporter Editor dialog.
  • In the thumbnail view in the Exporter Editor, select the three apple models.
  • Within the C World Object section, use the dropdown box to choose a class for the apples. As these are just static models, choose the CStatic class.

    • Setting Class Types

  • As we want all three apple models to reference just the one apple model saved in the previous lesson, we will need to set the name of the model required. Currently the 'Model' field is empty, so check the 'Override' tickbox and type "apple" into the 'Model' field. Click OK to close the Exporter Editor.

    • Overriding the Model Name

    The Class types for the apples have now been set up, they will only use one model to draw all three of the apples. The types for the bowl and crates has already been completed.

Exporting the Scene

  • Open the Exporter Dialog.
  • Ensure the Current Project is set to the 'tutorialProject'.
  • Set the Export Type to be 'World', using the dropdown button.

    • Choosing the Export Type

  • Set the 'Asset Name' field to "worldExportPieces" (without the quotes). This will be the name of the WORLD file.
  • Set the location for the files to be saved as "worldExport".
  • A Transform Type is not required within a WORLD export as it will always use the 'world' type.
  • Click the 'Export' button to run the export. Check the log file to make sure any errors did not occur.

Viewing the Files

  • Open Director. Ensure the Current Project is set to 'tutorialProject'.
  • Navigate to the worldExport directory and open the worldexportpieces.world file in the Viewer.
  • Here you can see that the world file has all the pieces laid out in the same way as contained within the original art file.

    • The .world file within the Viewer

  • Close down the Viewer and look at the Active View, where the file has been opened in a text format. All of the objects within the file are shown in a list, by clicking on each one, you can see the different options including which model the asset is using. Each of the crates is using the "crate" model and each of the apples is using the "apple" model.

    • The WORLD file viewed in the Active View

These processes can be applied to much larger files, where a major difference in size will be gained by only having one of each model saved, instead of possibly hundreds of copies.